/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.filing.approvalStage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.filing.approvalStage.entity.ApprovalStage;
import com.jeeplus.modules.filing.basicInformation.entity.BasicInformation;

import java.util.List;

/**
 * 核准阶段MAPPER接口
 * @author qy
 * @version 2021-03-25
 */
@MyBatisMapper
public interface ApprovalStageMapper extends BaseMapper<ApprovalStage> {
    List<ApprovalStage> findChildList(ApprovalStage entity);

    Integer findByCode(ApprovalStage entity);


    /**
     * 通过id集合查询出所有符合条件的项目基础信息
     */
    List<ApprovalStage> findByIdList(List<String> idList);
}