/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.filing.approvalStage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.filing.approvalStage.entity.ApprovalStage;
import com.jeeplus.modules.filing.approvalStage.entity.ProjectOverview;

import java.util.List;

/**
 * 可研阶段MAPPER接口
 * @author qy
 * @version 2021-03-25
 */
@MyBatisMapper
public interface ProjectOverviewMapper extends BaseMapper<ProjectOverview> {

    List<ProjectOverview> findChildList(ProjectOverview entity);

    Integer findByCode(ProjectOverview entity);
}