/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.filing.filingImages.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.filing.approvalStage.entity.ApprovalStage;
import com.jeeplus.modules.filing.filingImages.entity.FilingImages;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 图片管理MAPPER接口
 * @author qy
 * @version 2021-03-25
 */
@MyBatisMapper
public interface FilingImagesMapper extends BaseMapper<FilingImages> {
    List<FilingImages> findByProjectId(String id);

    List<String> findAllPurpose(String projectCode);

    List<FilingImages> findAllUpload(@Param("projectCode") String projectCode, @Param("purpose") String purpose);
}