/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.oa.entity.OaNotify;
import com.jeeplus.modules.oa.entity.OaNotifyMaterial;
import com.jeeplus.modules.sg.managementcenter.project.entity.PickingRequisition;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 通知通告MAPPER接口
 * @author jeeplus
 * @version 2017-05-16
 */
@MyBatisMapper
public interface OaNotifyMaterialMapper extends BaseMapper<OaNotifyMaterial> {
	/**
	 * 获取缺货信息
	 */
//	public List<PickingRequisition> notifyInformation();

	public int insertList(@Param(value = "list") List<OaNotifyMaterial> list);

}