package com.jeeplus.modules.sg.balancedlibrary.materialQuota.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 物资限额Entity
 * @author enford
 * @version 1.0
 */
public class MaterialQuota extends DataEntity<MaterialQuota> {

    private String materialCode;//物料编码

    private String materialDesc;//物料描述

    private String materialBigClass;//物料大类

    private String materialMedClass;//物料中类

    private String materialLittleClass;//物料小类

    private String unit;//单位

    private Double quota;//最高限额

    @ExcelField(title = "物料编码", align = 2, sort = 1)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title = "物料描述", align = 2, sort = 2)
    public String getMaterialDesc() {
        return materialDesc;
    }

    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    @ExcelField(title = "物料大类", align = 2, sort = 3)
    public String getMaterialBigClass() {
        return materialBigClass;
    }

    public void setMaterialBigClass(String materialBigClass) {
        this.materialBigClass = materialBigClass;
    }

    @ExcelField(title = "物料中类", align = 2, sort = 4)
    public String getMaterialMedClass() {
        return materialMedClass;
    }

    public void setMaterialMedClass(String materialMedClass) {
        this.materialMedClass = materialMedClass;
    }

    @ExcelField(title = "物料小类", align = 2, sort = 5)
    public String getMaterialLittleClass() {
        return materialLittleClass;
    }

    public void setMaterialLittleClass(String materialLittleClass) {
        this.materialLittleClass = materialLittleClass;
    }

    @ExcelField(title = "单位", align = 2, sort = 6)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @ExcelField(title = "最高限额", align = 2, sort = 7)
    public Double getQuota() {
        return quota;
    }

    public void setQuota(Double quota) {
        this.quota = quota;
    }
}
