package com.jeeplus.modules.sg.balancedlibrary.onPassageMaterials.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 物料信息
 */
public class MaterialInformation extends DataEntity<MaterialInformation> {

    //上报地区
    private String reportingArea;
    //储备项目名称
    private String reserveItemName;
    //物料编码
    private String materialCode;
    //物料名称
    private String materialName;
    //扩展编码
    private String extendedEncode;
    //扩展描述
    private String extendedDescription;
    //单位
    private String unit;
    //总量
    private String total;
    //单重/kg
    private String singleWeightKg;
    //总重/吨
    private String grossWeightTons;
    //甲乙供
    private String aAndB;
    //提报人
    private String planner;
    //提报部门
    private String reportingDepartment;
    //备注
    private String remark;
    //备注文本
    private String remarkText;

    public void setReportingArea(String reportingArea) {
        this.reportingArea = reportingArea;
    }

    public void setReserveItemName(String reserveItemName) {
        this.reserveItemName = reserveItemName;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public void setExtendedEncode(String extendedEncode) {
        this.extendedEncode = extendedEncode;
    }

    public void setExtendedDescription(String extendedDescription) {
        this.extendedDescription = extendedDescription;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public void setSingleWeightKg(String singleWeightKg) {
        this.singleWeightKg = singleWeightKg;
    }

    public void setGrossWeightTons(String grossWeightTons) {
        this.grossWeightTons = grossWeightTons;
    }

    public void setaAndB(String aAndB) {
        this.aAndB = aAndB;
    }

    public void setPlanner(String planner) {
        this.planner = planner;
    }

    public void setReportingDepartment(String reportingDepartment) {
        this.reportingDepartment = reportingDepartment;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setRemarkText(String remarkText) {
        this.remarkText = remarkText;
    }

    @ExcelField(title = "上报地区", align = 2, sort = 1)
    public String getReportingArea() {
        return reportingArea;
    }
    @ExcelField(title = "储备项目名称", align = 2, sort = 2)
    public String getReserveItemName() {
        return reserveItemName;
    }
    @ExcelField(title = "物料编码", align = 2, sort = 3)
    public String getMaterialCode() {
        return materialCode;
    }
    @ExcelField(title = "物料名称", align = 2, sort = 4)
    public String getMaterialName() {
        return materialName;
    }
    @ExcelField(title = "扩展编码", align = 2, sort = 5)
    public String getExtendedEncode() {
        return extendedEncode;
    }
    @ExcelField(title = "扩展描述", align = 2, sort = 6)
    public String getExtendedDescription() {
        return extendedDescription;
    }
    @ExcelField(title = "单位", align = 2, sort = 7)
    public String getUnit() {
        return unit;
    }
    @ExcelField(title = "总量", align = 2, sort = 8)
    public String getTotal() {
        return total;
    }
    @ExcelField(title = "单重/kg", align = 2, sort = 9)
    public String getSingleWeightKg() {
        return singleWeightKg;
    }
    @ExcelField(title = "总重/吨", align = 2, sort = 10)
    public String getGrossWeightTons() {
        return grossWeightTons;
    }
    @ExcelField(title = "甲乙供", align = 2, sort = 11)
    public String getaAndB() {
        return aAndB;
    }
    @ExcelField(title = "提报人", align = 2, sort = 12)
    public String getPlanner() {
        return planner;
    }
    @ExcelField(title = "提报部门", align = 2, sort = 13)
    public String getReportingDepartment() {
        return reportingDepartment;
    }

    @ExcelField(title = "备注", align = 2, sort = 14)
    public String getRemark() {
        return remark;
    }
    @ExcelField(title = "", align = 2, sort = 15)
    public String getRemarkText() {
        return remarkText;
    }

}
