package com.jeeplus.modules.sg.balancedlibrary.onPassageMaterials.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 在途物资Entity
 * @author 徐滕
 * @version 1.0
 */
public class OnPassageMaterials extends DataEntity<OnPassageMaterials> {
    private String serialNumber;    //序号
    private String externalContractNumber;  //外部合同编号
    private String factory; //工厂
    private String factoryName; //工厂名称
    private String batch;   //批次
    private String materialCode;    //物料编码
    private String materialDescription; //物料描述
    private String contractName;    //合同
    private String contractLineItem;    //合同行项目
    private String contractCount;   //合同数量
    private String unit;    //度量单位文本
    private String unitPrice;   //单价
    private String money;   //金额
    private String supplierCode;    //供应商编码
    private String supplierName;    //供应商名称
    private String purchaseOrder;   //采购订单
    private String orderLineItem;   //订单行项目
    private String netPurchaseOrderPrice;   //采购订单净价
    private String purchaseApplicationNo;   //采购申请号
    private String projectOfPurchasingApplicantBank;    //采购申请行项目
    private String purchaseApplicationQuantity; //采购申请数量
    private String orderUnit;   //订单单位
    private String materialCompanySO;   //物资公司SO
    private String soLineItem;//    SO项目行
    private String materialCompanyPO;//物资公司PO
    private String poLineItem;//    PO项目行
    private Date contractPlannedDeliveryDate; //合同计划交货日期
    private String deliveryScheduleOfTheDeliveryOrderIsPlanned; //配送单计划交货期
    private String quantityDelivered;   //已交货数量
    private String materialDocument103;    //103物料凭证
    private Date postingDate103; //103过账日期
    private String electronicAcceptanceReport;  //电子验收报告
    private String electronicAcceptanceReportStatus;    //电子验收报告审批状态
    private Date electronicAcceptanceReportDate;//电子验收报告审批日期
    private String materialDocument105;    //105物料凭证
    private Date postingDate105; //105过账日期
    private String arrivalRegistrant;   //到货登记人
    private String demandForTheUnit;    //需求单位
    private String requirementUnitDescription;  //需求单位描述
    private String deliveryPlace;   //配送地点
    private String distributionLocationDescription; //配送地点描述
    private String drawersCode; //出票方编码
    private String drawersName; //出票方名称
    private String supplierInvoice;//供应商发票
    private Date dateOfIssue;   //开票日期
    private Date payTheTicketDate;  //交票日期
    private String invoiceNumber;//发票数量
    private String invoiceCheckQuantity;    //发票校验数量
    private String invoiceAmount;   //发票金额
    private String invoiceStatus;   //发票状态
    private String taxCode; //税码
    private String assessmentType;//评估类型、
    private String moneyAttribute;//资金属性
    private String propertyRightAttribute;//产权属性
    private String theRatioOfPayment;//付款比例
    private String advancePayment;//预付款
    private String cashOnDelivery;//到货款
    private String putMoney;//投运款
    private String qualityAssuranceModel;//质保款
    private String theMunicipalTerritory;//市级属地
    private String amountOfApplicationForPayment;//申请付款金额
    private String amountOfInventory;//入库金额
    private String forTheAwb;//投运单号
    private String waybillStatus;//投运状态
    private String qualityPolicyNo;//质保单号
    private String pledgedPolicyStatus;//质保单状态
    private String guaranteePeriod;//质保期
    private String planner;//计划编制人
    /*private String tenderBatchDescription;//招标批次描述
    private String projectDefinitionNumber;//项目定义
    private String projectDefinitionDescription;//项目定义描述
    private String wbsElement;//WBS元素
    private String wbsElementDescription;//WBS元素描述
    private String indicatesTheLabelNumber;//中标签报号
    private String successfulUtilPrice;//中标单价
    private String successfulTotalPrice;//中标总价
    private String caseInformation;//分标信息
    private String subcontractInformation;//分包信息
    private String frameContractNumber;//框架合同编号
    private String FrameSuccessfulNumber;//框架中标编号
    private String projectFirstClassification;//项目一级分类
    private String projectFirstClassificationDescription;//一级分类描述
    private String projectSecondClassification;//项目二级分类
    private String projectSecondClassificationDescription;//二级分类描述
    private String projectThreeClassification;//项目三级分类
    private String projectThreeClassificationDescription;//三级分类描述
    private String projectLocation;//项目所在地
    private Date contractDate;//合同日期
    private String businessContractNumber;//商务合同编号
    private String supplierLinkman;//供应商联系人
    private String supplierLinkmanPhone;//供应商联系人电话
    private String extraHighPressureMark;//特高压标识
    private String netUnitPriceOfConsignmentOrder;//寄存订单净单价
    private String unitPriceOfConsignmentOrderIncludingTax;//寄存订单含税单价
    private String consignmentOrderItemizedNetPriceTaxExclusive;//寄存订单分项净价(不含税)
    private String consignmentOrderItemizedNetPriceTaxInclusive;//寄存订单分项总价(含税)
    private String supplementaryAgreementNumber;//补充协议号
    private String totalQuantityAdjustedBySupplementaryAgreement;//补充协议调整后总数量
    private String supplementaryAgreementAdjustedTotalAmount;//补充协议调整后总金额
    private Date supplementaryAgreementDeliveryDate;//补充协议交货日期
    private String changeType;//变更类型
    private String supplementaryAgreementContractNumber;//补充协议合同编号(经法)
    private String supplementaryAgreementPurchaseOrder;//补充协议采购订单
    private String supplementaryAgreementPurchaseOrderLineItems;//补充协议采购订单行项目
    private Date confirmTheDeliveryDate;//确定交货期
    private String technicalSpecificationID;//技术规范ID
    private String eCommerceContractBankProject;//电子商务合同行项目
    private String contractProperties;//合同属性
    private Date putDate;//投运日期
    private Date predictWarrantyExpirationDate;//（预计）质保到期日
    private String whetherToSettleInBatches;//是否分批结算
    private String guaranteeType;//保函类型
    private String sourceSystem;//来源系统
    private String descriptionOfSupplierInvolvedInLaw;//涉法供应商描述
    private String markTheCompletionOfContractExecution;//合同执行完毕标识
    private String monomerProject;//单体工程
    private String monomerProjectDescription;//单体工程描述
    private String applicationNumberOfAdvancePayment;//投运款提前申请单号
    private String applicationForOperationFundsInAdvanceStatus;//投运款提前申请单状态
    private String frameBiddingPlanNumber;//框架招标计划编号
    private String frameTenderLotDescription;//框架招标批次描述*/
    @ExcelField(title = "序号", align = 2, sort = 1)
    public String getSerialNumber() {
        return serialNumber;
    }
    @ExcelField(title = "外部合同编号", align = 2, sort = 2)
    public String getExternalContractNumber() {
        return externalContractNumber;
    }
    @ExcelField(title = "工厂", align = 2, sort = 3)
    public String getFactory() {
        return factory;
    }
    @ExcelField(title = "工厂名称", align = 2, sort = 4)
    public String getFactoryName() {
        return factoryName;
    }
    @ExcelField(title = "批次", align = 2, sort = 5)
    public String getBatch() {
        return batch;
    }
    @ExcelField(title = "物料编码", align = 2, sort = 6)
    public String getMaterialCode() {
        return materialCode;
    }
    @ExcelField(title = "物料描述", align = 2, sort = 7)
    public String getMaterialDescription() {
        return materialDescription;
    }
    @ExcelField(title = "合同", align = 2, sort = 8)
    public String getContractName() {
        return contractName;
    }
    @ExcelField(title = "合同行项目", align = 2, sort = 9)
    public String getContractLineItem() {
        return contractLineItem;
    }
    @ExcelField(title = "合同数量", align = 2, sort = 10)
    public String getContractCount() {
        return contractCount;
    }
    @ExcelField(title = "度量单位文本", align = 2, sort = 11)
    public String getUnit() {
        return unit;
    }
    @ExcelField(title = "单价", align = 2, sort = 12)
    public String getUnitPrice() {
        return unitPrice;
    }
    @ExcelField(title = "金额", align = 2, sort = 13)
    public String getMoney() {
        return money;
    }
    @ExcelField(title = "供应商编码", align = 2, sort = 14)
    public String getSupplierCode() {
        return supplierCode;
    }
    @ExcelField(title = "供应商名称", align = 2, sort = 15)
    public String getSupplierName() {
        return supplierName;
    }
    @ExcelField(title = "采购订单", align = 2, sort = 16)
    public String getPurchaseOrder() {
        return purchaseOrder;
    }
    @ExcelField(title = "订单行项目", align = 2, sort = 17)
    public String getOrderLineItem() {
        return orderLineItem;
    }
    @ExcelField(title = "采购订单净价", align = 2, sort = 18)
    public String getNetPurchaseOrderPrice() {
        return netPurchaseOrderPrice;
    }
    @ExcelField(title = "采购申请号", align = 2, sort = 19)
    public String getPurchaseApplicationNo() {
        return purchaseApplicationNo;
    }
    @ExcelField(title = "采购申请行项目", align = 2, sort = 20)
    public String getProjectOfPurchasingApplicantBank() {
        return projectOfPurchasingApplicantBank;
    }
    @ExcelField(title = "采购申请数量", align = 2, sort = 21)
    public String getPurchaseApplicationQuantity() {
        return purchaseApplicationQuantity;
    }
    @ExcelField(title = "订单单位", align = 2, sort = 22)
    public String getOrderUnit() {
        return orderUnit;
    }
    @ExcelField(title = "物资公司SO", align = 2, sort = 23)
    public String getMaterialCompanySO() {
        return materialCompanySO;
    }
    @ExcelField(title = "SO项目行", align = 2, sort = 24)
    public String getSoLineItem() {
        return soLineItem;
    }
    @ExcelField(title = "物资公司PO", align = 2, sort = 25)
    public String getMaterialCompanyPO() {
        return materialCompanyPO;
    }
    @ExcelField(title = "PO项目行", align = 2, sort = 26)
    public String getPoLineItem() {
        return poLineItem;
    }
    @ExcelField(title = "合同计划交货日期", align = 2, sort = 27)
    public Date getContractPlannedDeliveryDate() {
        return contractPlannedDeliveryDate;
    }
    @ExcelField(title = "配送单计划交货期", align = 2, sort = 28)
    public String getDeliveryScheduleOfTheDeliveryOrderIsPlanned() {
        return deliveryScheduleOfTheDeliveryOrderIsPlanned;
    }
    @ExcelField(title = "已交货数量", align = 2, sort = 29)
    public String getQuantityDelivered() {
        return quantityDelivered;
    }
    @ExcelField(title = "103物料凭证", align = 2, sort = 30)
    public String getMaterialDocument103() {
        return materialDocument103;
    }
    @ExcelField(title = "103过账日期", align = 2, sort = 31)
    public Date getPostingDate103() {
        return postingDate103;
    }
    @ExcelField(title = "电子验收报告", align = 2, sort = 32)
    public String getElectronicAcceptanceReport() {
        return electronicAcceptanceReport;
    }
    @ExcelField(title = "电子验收报告审批状态", align = 2, sort = 33)
    public String getElectronicAcceptanceReportStatus() {
        return electronicAcceptanceReportStatus;
    }
    @ExcelField(title = "电子验收报告审批日期", align = 2, sort = 34)
    public Date getElectronicAcceptanceReportDate() {
        return electronicAcceptanceReportDate;
    }
    @ExcelField(title = "105物料凭证", align = 2, sort = 35)
    public String getMaterialDocument105() {
        return materialDocument105;
    }
    @ExcelField(title = "105过账日期", align = 2, sort = 36)
    public Date getPostingDate105() {
        return postingDate105;
    }
    @ExcelField(title = "到货登记人", align = 2, sort = 37)
    public String getArrivalRegistrant() {
        return arrivalRegistrant;
    }
    @ExcelField(title = "需求单位", align = 2, sort = 38)
    public String getDemandForTheUnit() {
        return demandForTheUnit;
    }
    @ExcelField(title = "需求单位描述", align = 2, sort = 39)
    public String getRequirementUnitDescription() {
        return requirementUnitDescription;
    }
    @ExcelField(title = "配送地点", align = 2, sort = 40)
    public String getDeliveryPlace() {
        return deliveryPlace;
    }
    @ExcelField(title = "配送地点描述", align = 2, sort = 41)
    public String getDistributionLocationDescription() {
        return distributionLocationDescription;
    }
    @ExcelField(title = "出票方编码", align = 2, sort = 42)
    public String getDrawersCode() {
        return drawersCode;
    }
    @ExcelField(title = "出票方名称", align = 2, sort = 43)
    public String getDrawersName() {
        return drawersName;
    }
    @ExcelField(title = "供应商发票", align = 2, sort = 44)
    public String getSupplierInvoice() {
        return supplierInvoice;
    }
    @ExcelField(title = "开票日期", align = 2, sort = 45)
    public Date getDateOfIssue() {
        return dateOfIssue;
    }
    @ExcelField(title = "交票日期", align = 2, sort = 46)
    public Date getPayTheTicketDate() {
        return payTheTicketDate;
    }


    @ExcelField(title = "发票数量", align = 2, sort = 47)
    public String getInvoiceNumber() {
        return invoiceNumber;
    }
    @ExcelField(title = "发票校验数量", align = 2, sort = 48)
    public String getInvoiceCheckQuantity() {
        return invoiceCheckQuantity;
    }
    @ExcelField(title = "发票金额", align = 2, sort = 49)
    public String getInvoiceAmount() {
        return invoiceAmount;
    }
    @ExcelField(title = "发票状态", align = 2, sort = 50)
    public String getInvoiceStatus() {
        return invoiceStatus;
    }
    @ExcelField(title = "税码", align = 2, sort = 51)
    public String getTaxCode() {
        return taxCode;
    }
    @ExcelField(title = "评估类型", align = 2, sort = 52)
    public String getAssessmentType() {
        return assessmentType;
    }
    @ExcelField(title = "资金属性", align = 2, sort = 53)
    public String getMoneyAttribute() {
        return moneyAttribute;
    }
    @ExcelField(title = "产权属性", align = 2, sort = 54)
    public String getPropertyRightAttribute() {
        return propertyRightAttribute;
    }
    @ExcelField(title = "付款比例", align = 2, sort = 55)
    public String getTheRatioOfPayment() {
        return theRatioOfPayment;
    }
    @ExcelField(title = "预付款", align = 2, sort = 56)
    public String getAdvancePayment() {
        return advancePayment;
    }
    @ExcelField(title = "到货款", align = 2, sort = 57)
    public String getCashOnDelivery() {
        return cashOnDelivery;
    }
    @ExcelField(title = "投运款", align = 2, sort = 58)
    public String getPutMoney() {
        return putMoney;
    }
    @ExcelField(title = "质保款", align = 2, sort = 59)
    public String getQualityAssuranceModel() {
        return qualityAssuranceModel;
    }
    @ExcelField(title = "市级属地", align = 2, sort = 60)
    public String getTheMunicipalTerritory() {
        return theMunicipalTerritory;
    }
    @ExcelField(title = "申请付款金额", align = 2, sort = 61)
    public String getAmountOfApplicationForPayment() {
        return amountOfApplicationForPayment;
    }
    @ExcelField(title = "入库金额", align = 2, sort = 62)
    public String getAmountOfInventory() {
        return amountOfInventory;
    }
    @ExcelField(title = "投运单号", align = 2, sort = 63)
    public String getForTheAwb() {
        return forTheAwb;
    }
    @ExcelField(title = "投运状态", align = 2, sort = 64)
    public String getWaybillStatus() {
        return waybillStatus;
    }
    @ExcelField(title = "质保单号", align = 2, sort = 65)
    public String getQualityPolicyNo() {
        return qualityPolicyNo;
    }
    @ExcelField(title = "质保单状态", align = 2, sort = 66)
    public String getPledgedPolicyStatus() {
        return pledgedPolicyStatus;
    }
    @ExcelField(title = "质保期", align = 2, sort = 67)
    public String getGuaranteePeriod() {
        return guaranteePeriod;
    }
    @ExcelField(title = "计划编制人", align = 2, sort = 68)
    public String getPlanner() {
        return planner;
    }
    /*@ExcelField(title = "招标批次描述", align = 2, sort = 69)
    public String getTenderBatchDescription() {
        return tenderBatchDescription;
    }
    @ExcelField(title = "项目定义", align = 2, sort = 70)
    public String getProjectDefinitionNumber() {
        return projectDefinitionNumber;
    }
    @ExcelField(title = "项目定义描述", align = 2, sort = 71)
    public String getProjectDefinitionDescription() {
        return projectDefinitionDescription;
    }
    @ExcelField(title = "WBS元素", align = 2, sort = 72)
    public String getWbsElement() {
        return wbsElement;
    }
    @ExcelField(title = "WBS元素描述", align = 2, sort = 73)
    public String getWbsElementDescription() {
        return wbsElementDescription;
    }
    @ExcelField(title = "中标签报号", align = 2, sort = 74)
    public String getIndicatesTheLabelNumber() {
        return indicatesTheLabelNumber;
    }
    @ExcelField(title = "中标单价", align = 2, sort = 75)
    public String getSuccessfulUtilPrice() {
        return successfulUtilPrice;
    }
    @ExcelField(title = "中标总价", align = 2, sort = 76)
    public String getSuccessfulTotalPrice() {
        return successfulTotalPrice;
    }
    @ExcelField(title = "分标信息", align = 2, sort = 77)
    public String getCaseInformation() {
        return caseInformation;
    }
    @ExcelField(title = "分包信息", align = 2, sort = 78)
    public String getSubcontractInformation() {
        return subcontractInformation;
    }
    @ExcelField(title = "框架合同编号", align = 2, sort = 79)
    public String getFrameContractNumber() {
        return frameContractNumber;
    }
    @ExcelField(title = "框架中标编号", align = 2, sort = 80)
    public String getFrameSuccessfulNumber() {
        return FrameSuccessfulNumber;
    }
    @ExcelField(title = "项目一级分类", align = 2, sort = 81)
    public String getProjectFirstClassification() {
        return projectFirstClassification;
    }
    @ExcelField(title = "一级分类描述", align = 2, sort = 82)
    public String getProjectFirstClassificationDescription() {
        return projectFirstClassificationDescription;
    }
    @ExcelField(title = "项目二级分类", align = 2, sort = 83)
    public String getProjectSecondClassification() {
        return projectSecondClassification;
    }
    @ExcelField(title = "二级分类描述", align = 2, sort = 84)
    public String getProjectSecondClassificationDescription() {
        return projectSecondClassificationDescription;
    }
    @ExcelField(title = "项目三级分类", align = 2, sort = 85)
    public String getProjectThreeClassification() {
        return projectThreeClassification;
    }
    @ExcelField(title = "三级分类描述", align = 2, sort = 86)
    public String getProjectThreeClassificationDescription() {
        return projectThreeClassificationDescription;
    }
    @ExcelField(title = "项目所在地", align = 2, sort = 87)
    public String getProjectLocation() {
        return projectLocation;
    }
    @ExcelField(title = "合同日期", align = 2, sort = 88)
    public Date getContractDate() {
        return contractDate;
    }
    @ExcelField(title = "商务合同编号", align = 2, sort = 89)
    public String getBusinessContractNumber() {
        return businessContractNumber;
    }
    @ExcelField(title = "供应商联系人", align = 2, sort = 90)
    public String getSupplierLinkman() {
        return supplierLinkman;
    }
    @ExcelField(title = "供应商联系人电话", align = 2, sort = 91)
    public String getSupplierLinkmanPhone() {
        return supplierLinkmanPhone;
    }
    @ExcelField(title = "特高压标识", align = 2, sort = 92)
    public String getExtraHighPressureMark() {
        return extraHighPressureMark;
    }
    @ExcelField(title = "寄存订单净单价", align = 2, sort = 93)
    public String getNetUnitPriceOfConsignmentOrder() {
        return netUnitPriceOfConsignmentOrder;
    }
    @ExcelField(title = "寄存订单含税单价", align = 2, sort = 94)
    public String getUnitPriceOfConsignmentOrderIncludingTax() {
        return unitPriceOfConsignmentOrderIncludingTax;
    }
    @ExcelField(title = "寄存订单分项净价(不含税)", align = 2, sort = 95)
    public String getConsignmentOrderItemizedNetPriceTaxExclusive() {
        return consignmentOrderItemizedNetPriceTaxExclusive;
    }
    @ExcelField(title = "寄存订单分项总价(含税)", align = 2, sort = 96)
    public String getConsignmentOrderItemizedNetPriceTaxInclusive() {
        return consignmentOrderItemizedNetPriceTaxInclusive;
    }
    @ExcelField(title = "补充协议号", align = 2, sort = 97)
    public String getSupplementaryAgreementNumber() {
        return supplementaryAgreementNumber;
    }
    @ExcelField(title = "补充协议调整后总数量", align = 2, sort = 98)
    public String getTotalQuantityAdjustedBySupplementaryAgreement() {
        return totalQuantityAdjustedBySupplementaryAgreement;
    }
    @ExcelField(title = "补充协议调整后总金额", align = 2, sort = 99)
    public String getSupplementaryAgreementAdjustedTotalAmount() {
        return supplementaryAgreementAdjustedTotalAmount;
    }
    @ExcelField(title = "补充协议交货日期", align = 2, sort = 100)
    public Date getSupplementaryAgreementDeliveryDate() {
        return supplementaryAgreementDeliveryDate;
    }
    @ExcelField(title = "变更类型", align = 2, sort = 101)
    public String getChangeType() {
        return changeType;
    }
    @ExcelField(title = "补充协议合同编号(经法)", align = 2, sort = 102)
    public String getSupplementaryAgreementContractNumber() {
        return supplementaryAgreementContractNumber;
    }
    @ExcelField(title = "补充协议采购订单", align = 2, sort = 103)
    public String getSupplementaryAgreementPurchaseOrder() {
        return supplementaryAgreementPurchaseOrder;
    }
    @ExcelField(title = "补充协议采购订单行项目", align = 2, sort = 104)
    public String getSupplementaryAgreementPurchaseOrderLineItems() {
        return supplementaryAgreementPurchaseOrderLineItems;
    }
    @ExcelField(title = "确定交货期", align = 2, sort = 105)
    public Date getConfirmTheDeliveryDate() {
        return confirmTheDeliveryDate;
    }
    @ExcelField(title = "技术规范ID", align = 2, sort = 106)
    public String getTechnicalSpecificationID() {
        return technicalSpecificationID;
    }
    @ExcelField(title = "电子商务合同行项目", align = 2, sort = 107)
    public String geteCommerceContractBankProject() {
        return eCommerceContractBankProject;
    }
    @ExcelField(title = "合同属性", align = 2, sort = 108)
    public String getContractProperties() {
        return contractProperties;
    }
    @ExcelField(title = "投运日期", align = 2, sort = 109)
    public Date getPutDate() {
        return putDate;
    }
    @ExcelField(title = "（预计）质保到期日", align = 2, sort = 110)
    public Date getPredictWarrantyExpirationDate() {
        return predictWarrantyExpirationDate;
    }
    @ExcelField(title = "是否分批结算", align = 2, sort = 111)
    public String getWhetherToSettleInBatches() {
        return whetherToSettleInBatches;
    }
    @ExcelField(title = "保函类型", align = 2, sort = 112)
    public String getGuaranteeType() {
        return guaranteeType;
    }
    @ExcelField(title = "来源系统", align = 2, sort = 113)
    public String getSourceSystem() {
        return sourceSystem;
    }
    @ExcelField(title = "涉法供应商描述", align = 2, sort = 114)
    public String getDescriptionOfSupplierInvolvedInLaw() {
        return descriptionOfSupplierInvolvedInLaw;
    }
    @ExcelField(title = "合同执行完毕标识", align = 2, sort = 115)
    public String getMarkTheCompletionOfContractExecution() {
        return markTheCompletionOfContractExecution;
    }
    @ExcelField(title = "单体工程", align = 2, sort = 116)
    public String getMonomerProject() {
        return monomerProject;
    }
    @ExcelField(title = "单体工程描述", align = 2, sort = 117)
    public String getMonomerProjectDescription() {
        return monomerProjectDescription;
    }
    @ExcelField(title = "投运款提前申请单号", align = 2, sort = 118)
    public String getApplicationNumberOfAdvancePayment() {
        return applicationNumberOfAdvancePayment;
    }
    @ExcelField(title = "投运款提前申请单状态", align = 2, sort = 119)
    public String getApplicationForOperationFundsInAdvanceStatus() {
        return applicationForOperationFundsInAdvanceStatus;
    }
    @ExcelField(title = "框架招标计划编号", align = 2, sort = 120)
    public String getFrameBiddingPlanNumber() {
        return frameBiddingPlanNumber;
    }
    @ExcelField(title = "框架招标批次描述", align = 2, sort = 121)
    public String getFrameTenderLotDescription() {
        return frameTenderLotDescription;
    }*/

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public void setExternalContractNumber(String externalContractNumber) {
        this.externalContractNumber = externalContractNumber;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public void setContractLineItem(String contractLineItem) {
        this.contractLineItem = contractLineItem;
    }

    public void setContractCount(String contractCount) {
        this.contractCount = contractCount;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public void setSupplierCode(String supplierCode) {
        this.supplierCode = supplierCode;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public void setPurchaseOrder(String purchaseOrder) {
        this.purchaseOrder = purchaseOrder;
    }

    public void setOrderLineItem(String orderLineItem) {
        this.orderLineItem = orderLineItem;
    }

    public void setNetPurchaseOrderPrice(String netPurchaseOrderPrice) {
        this.netPurchaseOrderPrice = netPurchaseOrderPrice;
    }

    public void setPurchaseApplicationNo(String purchaseApplicationNo) {
        this.purchaseApplicationNo = purchaseApplicationNo;
    }

    public void setProjectOfPurchasingApplicantBank(String projectOfPurchasingApplicantBank) {
        this.projectOfPurchasingApplicantBank = projectOfPurchasingApplicantBank;
    }

    public void setPurchaseApplicationQuantity(String purchaseApplicationQuantity) {
        this.purchaseApplicationQuantity = purchaseApplicationQuantity;
    }

    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }

    public void setMaterialCompanySO(String materialCompanySO) {
        this.materialCompanySO = materialCompanySO;
    }

    public void setSoLineItem(String soLineItem) {
        this.soLineItem = soLineItem;
    }

    public void setMaterialCompanyPO(String materialCompanyPO) {
        this.materialCompanyPO = materialCompanyPO;
    }

    public void setPoLineItem(String poLineItem) {
        this.poLineItem = poLineItem;
    }

    public void setContractPlannedDeliveryDate(Date contractPlannedDeliveryDate) {
        this.contractPlannedDeliveryDate = contractPlannedDeliveryDate;
    }

    public void setDeliveryScheduleOfTheDeliveryOrderIsPlanned(String deliveryScheduleOfTheDeliveryOrderIsPlanned) {
        this.deliveryScheduleOfTheDeliveryOrderIsPlanned = deliveryScheduleOfTheDeliveryOrderIsPlanned;
    }

    public void setQuantityDelivered(String quantityDelivered) {
        this.quantityDelivered = quantityDelivered;
    }

    public void setMaterialDocument103(String materialDocument103) {
        this.materialDocument103 = materialDocument103;
    }

    public void setPostingDate103(Date postingDate103) {
        this.postingDate103 = postingDate103;
    }

    public void setElectronicAcceptanceReport(String electronicAcceptanceReport) {
        this.electronicAcceptanceReport = electronicAcceptanceReport;
    }

    public void setElectronicAcceptanceReportStatus(String electronicAcceptanceReportStatus) {
        this.electronicAcceptanceReportStatus = electronicAcceptanceReportStatus;
    }

    public void setElectronicAcceptanceReportDate(Date electronicAcceptanceReportDate) {
        this.electronicAcceptanceReportDate = electronicAcceptanceReportDate;
    }

    public void setMaterialDocument105(String materialDocument105) {
        this.materialDocument105 = materialDocument105;
    }

    public void setPostingDate105(Date postingDate105) {
        this.postingDate105 = postingDate105;
    }

    public void setArrivalRegistrant(String arrivalRegistrant) {
        this.arrivalRegistrant = arrivalRegistrant;
    }

    public void setDemandForTheUnit(String demandForTheUnit) {
        this.demandForTheUnit = demandForTheUnit;
    }

    public void setRequirementUnitDescription(String requirementUnitDescription) {
        this.requirementUnitDescription = requirementUnitDescription;
    }

    public void setDeliveryPlace(String deliveryPlace) {
        this.deliveryPlace = deliveryPlace;
    }

    public void setDistributionLocationDescription(String distributionLocationDescription) {
        this.distributionLocationDescription = distributionLocationDescription;
    }

    public void setDrawersCode(String drawersCode) {
        this.drawersCode = drawersCode;
    }

    public void setDrawersName(String drawersName) {
        this.drawersName = drawersName;
    }

    public void setDateOfIssue(Date dateOfIssue) {
        this.dateOfIssue = dateOfIssue;
    }

    public void setPayTheTicketDate(Date payTheTicketDate) {
        this.payTheTicketDate = payTheTicketDate;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public void setInvoiceCheckQuantity(String invoiceCheckQuantity) {
        this.invoiceCheckQuantity = invoiceCheckQuantity;
    }

    public void setInvoiceAmount(String invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public void setInvoiceStatus(String invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public void setTaxCode(String taxCode) {
        this.taxCode = taxCode;
    }

    public void setAssessmentType(String assessmentType) {
        this.assessmentType = assessmentType;
    }

    public void setMoneyAttribute(String moneyAttribute) {
        this.moneyAttribute = moneyAttribute;
    }

    public void setPropertyRightAttribute(String propertyRightAttribute) {
        this.propertyRightAttribute = propertyRightAttribute;
    }

    public void setTheRatioOfPayment(String theRatioOfPayment) {
        this.theRatioOfPayment = theRatioOfPayment;
    }

    public void setAdvancePayment(String advancePayment) {
        this.advancePayment = advancePayment;
    }

    public void setCashOnDelivery(String cashOnDelivery) {
        this.cashOnDelivery = cashOnDelivery;
    }

    public void setPutMoney(String putMoney) {
        this.putMoney = putMoney;
    }

    public void setQualityAssuranceModel(String qualityAssuranceModel) {
        this.qualityAssuranceModel = qualityAssuranceModel;
    }

    public void setTheMunicipalTerritory(String theMunicipalTerritory) {
        this.theMunicipalTerritory = theMunicipalTerritory;
    }

    public void setAmountOfApplicationForPayment(String amountOfApplicationForPayment) {
        this.amountOfApplicationForPayment = amountOfApplicationForPayment;
    }

    public void setAmountOfInventory(String amountOfInventory) {
        this.amountOfInventory = amountOfInventory;
    }

    public void setForTheAwb(String forTheAwb) {
        this.forTheAwb = forTheAwb;
    }

    public void setWaybillStatus(String waybillStatus) {
        this.waybillStatus = waybillStatus;
    }

    public void setQualityPolicyNo(String qualityPolicyNo) {
        this.qualityPolicyNo = qualityPolicyNo;
    }

    public void setPledgedPolicyStatus(String pledgedPolicyStatus) {
        this.pledgedPolicyStatus = pledgedPolicyStatus;
    }

    public void setGuaranteePeriod(String guaranteePeriod) {
        this.guaranteePeriod = guaranteePeriod;
    }

    public void setPlanner(String planner) {
        this.planner = planner;
    }

    /*public void setTenderBatchDescription(String tenderBatchDescription) {
        this.tenderBatchDescription = tenderBatchDescription;
    }

    public void setProjectDefinitionNumber(String projectDefinitionNumber) {
        this.projectDefinitionNumber = projectDefinitionNumber;
    }

    public void setProjectDefinitionDescription(String projectDefinitionDescription) {
        this.projectDefinitionDescription = projectDefinitionDescription;
    }

    public void setWbsElement(String wbsElement) {
        this.wbsElement = wbsElement;
    }

    public void setWbsElementDescription(String wbsElementDescription) {
        this.wbsElementDescription = wbsElementDescription;
    }

    public void setIndicatesTheLabelNumber(String indicatesTheLabelNumber) {
        this.indicatesTheLabelNumber = indicatesTheLabelNumber;
    }

    public void setSuccessfulUtilPrice(String successfulUtilPrice) {
        this.successfulUtilPrice = successfulUtilPrice;
    }

    public void setSuccessfulTotalPrice(String successfulTotalPrice) {
        this.successfulTotalPrice = successfulTotalPrice;
    }

    public void setCaseInformation(String caseInformation) {
        this.caseInformation = caseInformation;
    }

    public void setSubcontractInformation(String subcontractInformation) {
        this.subcontractInformation = subcontractInformation;
    }

    public void setFrameContractNumber(String frameContractNumber) {
        this.frameContractNumber = frameContractNumber;
    }

    public void setFrameSuccessfulNumber(String frameSuccessfulNumber) {
        FrameSuccessfulNumber = frameSuccessfulNumber;
    }

    public void setProjectFirstClassification(String projectFirstClassification) {
        this.projectFirstClassification = projectFirstClassification;
    }

    public void setProjectFirstClassificationDescription(String projectFirstClassificationDescription) {
        this.projectFirstClassificationDescription = projectFirstClassificationDescription;
    }

    public void setProjectSecondClassification(String projectSecondClassification) {
        this.projectSecondClassification = projectSecondClassification;
    }

    public void setProjectSecondClassificationDescription(String projectSecondClassificationDescription) {
        this.projectSecondClassificationDescription = projectSecondClassificationDescription;
    }

    public void setProjectThreeClassification(String projectThreeClassification) {
        this.projectThreeClassification = projectThreeClassification;
    }

    public void setProjectThreeClassificationDescription(String projectThreeClassificationDescription) {
        this.projectThreeClassificationDescription = projectThreeClassificationDescription;
    }

    public void setProjectLocation(String projectLocation) {
        this.projectLocation = projectLocation;
    }

    public void setContractDate(Date contractDate) {
        this.contractDate = contractDate;
    }

    public void setBusinessContractNumber(String businessContractNumber) {
        this.businessContractNumber = businessContractNumber;
    }

    public void setSupplierLinkman(String supplierLinkman) {
        this.supplierLinkman = supplierLinkman;
    }

    public void setSupplierLinkmanPhone(String supplierLinkmanPhone) {
        this.supplierLinkmanPhone = supplierLinkmanPhone;
    }

    public void setExtraHighPressureMark(String extraHighPressureMark) {
        this.extraHighPressureMark = extraHighPressureMark;
    }

    public void setNetUnitPriceOfConsignmentOrder(String netUnitPriceOfConsignmentOrder) {
        this.netUnitPriceOfConsignmentOrder = netUnitPriceOfConsignmentOrder;
    }

    public void setUnitPriceOfConsignmentOrderIncludingTax(String unitPriceOfConsignmentOrderIncludingTax) {
        this.unitPriceOfConsignmentOrderIncludingTax = unitPriceOfConsignmentOrderIncludingTax;
    }

    public void setConsignmentOrderItemizedNetPriceTaxExclusive(String consignmentOrderItemizedNetPriceTaxExclusive) {
        this.consignmentOrderItemizedNetPriceTaxExclusive = consignmentOrderItemizedNetPriceTaxExclusive;
    }

    public void setConsignmentOrderItemizedNetPriceTaxInclusive(String consignmentOrderItemizedNetPriceTaxInclusive) {
        this.consignmentOrderItemizedNetPriceTaxInclusive = consignmentOrderItemizedNetPriceTaxInclusive;
    }

    public void setSupplementaryAgreementNumber(String supplementaryAgreementNumber) {
        this.supplementaryAgreementNumber = supplementaryAgreementNumber;
    }

    public void setTotalQuantityAdjustedBySupplementaryAgreement(String totalQuantityAdjustedBySupplementaryAgreement) {
        this.totalQuantityAdjustedBySupplementaryAgreement = totalQuantityAdjustedBySupplementaryAgreement;
    }

    public void setSupplementaryAgreementAdjustedTotalAmount(String supplementaryAgreementAdjustedTotalAmount) {
        this.supplementaryAgreementAdjustedTotalAmount = supplementaryAgreementAdjustedTotalAmount;
    }

    public void setSupplementaryAgreementDeliveryDate(Date supplementaryAgreementDeliveryDate) {
        this.supplementaryAgreementDeliveryDate = supplementaryAgreementDeliveryDate;
    }

    public void setChangeType(String changeType) {
        this.changeType = changeType;
    }

    public void setSupplementaryAgreementContractNumber(String supplementaryAgreementContractNumber) {
        this.supplementaryAgreementContractNumber = supplementaryAgreementContractNumber;
    }

    public void setSupplementaryAgreementPurchaseOrder(String supplementaryAgreementPurchaseOrder) {
        this.supplementaryAgreementPurchaseOrder = supplementaryAgreementPurchaseOrder;
    }

    public void setSupplementaryAgreementPurchaseOrderLineItems(String supplementaryAgreementPurchaseOrderLineItems) {
        this.supplementaryAgreementPurchaseOrderLineItems = supplementaryAgreementPurchaseOrderLineItems;
    }

    public void setConfirmTheDeliveryDate(Date confirmTheDeliveryDate) {
        this.confirmTheDeliveryDate = confirmTheDeliveryDate;
    }

    public void setTechnicalSpecificationID(String technicalSpecificationID) {
        this.technicalSpecificationID = technicalSpecificationID;
    }

    public void seteCommerceContractBankProject(String eCommerceContractBankProject) {
        this.eCommerceContractBankProject = eCommerceContractBankProject;
    }

    public void setContractProperties(String contractProperties) {
        this.contractProperties = contractProperties;
    }

    public void setPutDate(Date putDate) {
        this.putDate = putDate;
    }

    public void setPredictWarrantyExpirationDate(Date predictWarrantyExpirationDate) {
        this.predictWarrantyExpirationDate = predictWarrantyExpirationDate;
    }

    public void setWhetherToSettleInBatches(String whetherToSettleInBatches) {
        this.whetherToSettleInBatches = whetherToSettleInBatches;
    }

    public void setGuaranteeType(String guaranteeType) {
        this.guaranteeType = guaranteeType;
    }

    public void setSourceSystem(String sourceSystem) {
        this.sourceSystem = sourceSystem;
    }

    public void setDescriptionOfSupplierInvolvedInLaw(String descriptionOfSupplierInvolvedInLaw) {
        this.descriptionOfSupplierInvolvedInLaw = descriptionOfSupplierInvolvedInLaw;
    }

    public void setMarkTheCompletionOfContractExecution(String markTheCompletionOfContractExecution) {
        this.markTheCompletionOfContractExecution = markTheCompletionOfContractExecution;
    }

    public void setMonomerProject(String monomerProject) {
        this.monomerProject = monomerProject;
    }

    public void setMonomerProjectDescription(String monomerProjectDescription) {
        this.monomerProjectDescription = monomerProjectDescription;
    }

    public void setApplicationNumberOfAdvancePayment(String applicationNumberOfAdvancePayment) {
        this.applicationNumberOfAdvancePayment = applicationNumberOfAdvancePayment;
    }

    public void setApplicationForOperationFundsInAdvanceStatus(String applicationForOperationFundsInAdvanceStatus) {
        this.applicationForOperationFundsInAdvanceStatus = applicationForOperationFundsInAdvanceStatus;
    }

    public void setFrameBiddingPlanNumber(String frameBiddingPlanNumber) {
        this.frameBiddingPlanNumber = frameBiddingPlanNumber;
    }

    public void setFrameTenderLotDescription(String frameTenderLotDescription) {
        this.frameTenderLotDescription = frameTenderLotDescription;
    }*/

    public void setSupplierInvoice(String supplierInvoice) {
        this.supplierInvoice = supplierInvoice;
    }
}
