package com.jeeplus.modules.sg.balancedlibrary.planSummary.vo;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

public class PlanSummary {
    public PlanSummary() {
    }

    public PlanSummary(String applicant, String projectDepartment, String materialCoding, String descriptionOfMaterials, String amountOfDemand, String numberOfReports, String progressOfImplementation) {
        this.applicant = applicant;
        this.projectDepartment = projectDepartment;
        this.materialCoding = materialCoding;
        this.descriptionOfMaterials = descriptionOfMaterials;
        this.amountOfDemand = amountOfDemand;
        this.numberOfReports = numberOfReports;
        this.progressOfImplementation = progressOfImplementation;
    }

    //申请人
    private String applicant;
    //项目部门
    private String projectDepartment;
    //物料编码
    private String materialCoding;
    //物料描述
    private String descriptionOfMaterials;
    //需求数量
    private String amountOfDemand;
    //上报数量
    private String numberOfReports;
    //执行进度（%）
    private String progressOfImplementation;
    @ExcelField(title="申请人", align=2, sort=1)
    public String getApplicant() {
        return applicant;
    }
    @ExcelField(title="项目部门", align=2, sort=2)
    public String getProjectDepartment() {
        return projectDepartment;
    }
    @ExcelField(title="物料编码", align=2, sort=3)
    public String getMaterialCoding() {
        return materialCoding;
    }
    @ExcelField(title="物料描述", align=2, sort=4)

    public String getDescriptionOfMaterials() {
        return descriptionOfMaterials;
    }
    @ExcelField(title="需求数量", align=2, sort=5)

    public String getAmountOfDemand() {
        return amountOfDemand;
    }
    @ExcelField(title="上报数量", align=2, sort=6)

    public String getNumberOfReports() {
        return numberOfReports;
    }
    @ExcelField(title="执行进度", align=2, sort=7)

    public String getProgressOfImplementation() {
        return progressOfImplementation;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public void setProjectDepartment(String projectDepartment) {
        this.projectDepartment = projectDepartment;
    }

    public void setMaterialCoding(String materialCoding) {
        this.materialCoding = materialCoding;
    }

    public void setDescriptionOfMaterials(String descriptionOfMaterials) {
        this.descriptionOfMaterials = descriptionOfMaterials;
    }

    public void setAmountOfDemand(String amountOfDemand) {
        this.amountOfDemand = amountOfDemand;
    }

    public void setNumberOfReports(String numberOfReports) {
        this.numberOfReports = numberOfReports;
    }

    public void setProgressOfImplementation(String progressOfImplementation) {
        this.progressOfImplementation = progressOfImplementation;
    }
}
