package com.jeeplus.modules.sg.balancedlibrary.preferredMaterials.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 优选物资Entity
 * @author enford
 * @version 1.0
 */
public class PreferredMaterials extends DataEntity<PreferredMaterials> {

    private String materialCode;//物料编码

    private String materialDesc;//物料描述

    private String extendCode;//扩展编码

    private String extendDesc;//扩展描述

    private String thirdClassList;//三级清单物料（是否优选）

    private String subclassDesc;//小类描述

    @ExcelField(title = "物料编码", align = 2, sort = 1)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title = "物料描述", align = 2, sort = 2)
    public String getMaterialDesc() {
        return materialDesc;
    }

    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    @ExcelField(title = "扩展编码", align = 2, sort = 3)
    public String getExtendCode() {
        return extendCode;
    }

    public void setExtendCode(String extendCode) {
        this.extendCode = extendCode;
    }

    @ExcelField(title = "扩展描述", align = 2, sort = 4)
    public String getExtendDesc() {
        return extendDesc;
    }

    public void setExtendDesc(String extendDesc) {
        this.extendDesc = extendDesc;
    }

    @ExcelField(title = "三级清单物料", align = 2, sort = 5)
    public String getThirdClassList() {
        return thirdClassList;
    }

    public void setThirdClassList(String thirdClassList) {
        this.thirdClassList = thirdClassList;
    }

    @ExcelField(title = "小类描述", align = 2, sort = 6)
    public String getSubclassDesc() {
        return subclassDesc;
    }

    public void setSubclassDesc(String subclassDesc) {
        this.subclassDesc = subclassDesc;
    }
}
