/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.replaceMaterial.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.entity.LiKuResourcePool;
import com.jeeplus.modules.sg.balancedlibrary.replaceMaterial.entity.ReplaceMaterial;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 物料替换MAPPER接口
 * @author enford
 * @version 1.0
 */
@MyBatisMapper
public interface ReplaceMaterialMapper extends BaseMapper<ReplaceMaterial> {
    /**
     * 批量插入替换物料信息
     * @param list 插入信息
     * */
    void insertList(@Param("list") List<ReplaceMaterial> list);

    List<ReplaceMaterial> findAll();
}