/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.reportPerson.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.entity.LiKuResourcePool;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.mapper.LiKuResourcePoolMapper;
import com.jeeplus.modules.sg.balancedlibrary.replaceMaterial.entity.ReplaceMaterial;
import com.jeeplus.modules.sg.balancedlibrary.replaceMaterial.mapper.ReplaceMaterialMapper;
import com.jeeplus.modules.sg.balancedlibrary.reportPerson.entity.ReportPerson;
import com.jeeplus.modules.sg.balancedlibrary.reportPerson.mapper.ReportPersonMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 提报人
 * @author enford
 * @version 1.0
 */
@Service
@Transactional(readOnly = true)
public class ReportPersonService extends CrudService<ReportPersonMapper, ReportPerson> {

	@Override
	public ReportPerson get(String id) {
		return super.get(id);
	}
	
	@Override
	public List<ReportPerson> findList(ReportPerson entity) {
		return super.findList(entity);
	}
	
	@Override
	public Page<ReportPerson> findPage(Page<ReportPerson> page, ReportPerson entity) {
		return super.findPage(page, entity);
	}
	
	@Override
	@Transactional(readOnly = false)
	public void save(ReportPerson entity) {
		super.save(entity);
	}
	
	@Override
	@Transactional(readOnly = false)
	public void delete(ReportPerson entity) {
		super.delete(entity);
	}

	@Transactional(readOnly = false)
	public void insertList(List<ReportPerson> list) {
		mapper.insertList(list);
	}

}