package com.jeeplus.modules.sg.balancedlibrary.standardMaterials.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 标准物资Entity
 * @author enford
 * @version 1.0
 */
public class StandardMaterials extends DataEntity<StandardMaterials> {

    //物料编码
    private String materialCode;

    //物料描述
    private String materialDesc;

    //采购标准标识
    private String purchaseStandardId;

    @ExcelField(title = "物料编码", align = 2, sort = 1)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title = "物料描述", align = 2, sort = 2)
    public String getMaterialDesc() {
        return materialDesc;
    }

    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    @ExcelField(title = "采购标准标识", align = 2, sort = 3)
    public String getPurchaseStandardId() {
        return purchaseStandardId;
    }

    public void setPurchaseStandardId(String purchaseStandardId) {
        this.purchaseStandardId = purchaseStandardId;
    }


}
