/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.standardMaterials.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.entity.LiKuResourcePool;
import com.jeeplus.modules.sg.balancedlibrary.standardMaterials.entity.StandardMaterials;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 标准物资MAPPER接口
 * @author enford
 * @version 1.0
 */
@MyBatisMapper
public interface StandardMaterialsMapper extends BaseMapper<StandardMaterials> {
    /**
     *
     * @param list 数据列表
     * */
    void insertList(@Param("list") List<StandardMaterials> list);

    /**
     * 清空利库资源池数据
     */
    void clearStandardMaterials();

    /**
     * 根据id批量删除
     * @param list
     */
    void delList(@Param("list") List<String> list);



}