package com.jeeplus.modules.sg.budgetSpectaculars.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.budgetSpectaculars.entity.ProjectWarnExamineInfo;

import java.util.List;

/**
 * 项目预警检查Mapper
 * @author: 徐滕
 * @create: 2021-11-26 09:21
 **/
@MyBatisMapper
public interface ProjectWarnExamineMapper extends BaseMapper<ProjectWarnExamineInfo> {

    List<ProjectWarnExamineInfo> getListBySecondLevelUnitAndProjectType(ProjectWarnExamineInfo info);
}
