/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.financial.erpcredit.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.financial.erpcredit.entity.ErpCredit;

import com.jeeplus.modules.sg.financial.erpcredit.entity.ErpCreditMaterial;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface ErpCreditMaterialMapper extends BaseMapper<ErpCreditMaterial> {

    public List<ErpCreditMaterial> findErpCreditChild2List(List<String> strings);

    public Integer deleteAll();

    int insertList(@Param("list") List<ErpCreditMaterial> list);
}