package com.jeeplus.modules.sg.fund.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.fund.entity.Fund;
import org.apache.ibatis.annotations.Param;

@MyBatisMapper
public interface FundMapper extends BaseMapper<Fund> {
    //修改项目wbs
    void updateWbs(@Param("wbsEncoding") String wbsEncoding,@Param("wbsNumber") String wbsNumber, @Param("procInsId")String procInsId);

    //修改项目资产卡片号
    void updateAsset(@Param("assetCardNumber") String assetCardNumber, @Param("procInsId")String procInsId);

    void deleteList(String[] idList);
}
