package com.jeeplus.modules.sg.managementcenter.projectPlanArrage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.materialproject.entity.MaterialProject;
import com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity.ProjectAssignment;
import com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity.ProjectPlanArrage;
import com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity.ProjectQuantity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface ProjectPlanArrageMapper extends BaseMapper<ProjectPlanArrage> {
    //保存-批处理
    Integer insertList(@Param("list") List<ProjectPlanArrage> list);

    //根据项目名称查找人员表
    List<ProjectAssignment> findListAssignment(@Param("list") List<ProjectPlanArrage> list);

    //查找项目表中状态未未安排计划的项目
    List<MaterialProject> findListMaterialProject(MaterialProject materialProject);

    //根据项目名称查找项目
    List<ProjectQuantity> findListQuantity(@Param("list") List<ProjectPlanArrage> list);

    //主页面删除项目
    Integer deleteMainAll(@Param("list")List<String> list);
}
