package com.jeeplus.modules.sg.managementcenter.reserveManagement.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialInfo;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ScaleDetails;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.Standard;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目规模 Mapper
 */
@MyBatisMapper
public interface ScaleDetailsMapper extends BaseMapper<ScaleDetails> {

    /**
     * 更新项目规模数据
     * */
    void insertList(@Param("list") List<ScaleDetails> list);

    /**
     * 通过项目名称删除对应的项目规模数据
     * */
    void deleteName(String projectName);

    /**
     * 导出信息进行中及审核过
     * */
    List<ScaleDetails> exportList(@Param("ids")String[] ids);


    List<ScaleDetails> exportAfterList(@Param("ids")String[] ids);


    /**
     * 查询审核过
     * */
    List<ScaleDetails> findExamineList(ScaleDetails scaleDetails);


}
