<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>批概阶段管理</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp" %>
	<style type="text/css">
		/* 下边两行是去掉input 输入框右边的上下箭头按钮*/
		.deal::-webkit-inner-spin-button {
			-webkit-appearance: none !important;
		}
		.deal::-webkit-outer-spin-button {
			-webkit-appearance: none !important;
		}
		input[type="number"]{
			-moz-appearance:textfield;
		}
	</style>
	<script type="text/javascript">

		$(document).ready(function() {
	        $('#initialDesignDate').datetimepicker({
				 format: "YYYY-MM-DD"
		    });
		});

		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/filing/biddingContract/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }

	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="biddingContract" action="${ctx}/filing/biddingContract/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编码：</label></td>
					<td class="width-35">
						<form:input path="projectCode" readonly="true" htmlEscape="false"  class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">单体编码：</label></td>
					<td class="width-35">
						<form:input path="monomerCode" readonly="true" htmlEscape="false"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-35">
						<form:input path="entryName" readonly="true" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">可研初设一体化设计中标通知书</label></td>
					<td class="width-35">
						<sys:fileUpload path="letterDesign"  value="${biddingContract.letterDesign}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">勘察设计合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="disigningContract"  value="${biddingContract.disigningContract}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">业主项目部成立文件</label></td>
					<td class="width-35">
						<sys:fileUpload path="ownerDapartment"  value="${biddingContract.ownerDapartment}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
		  		</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">三个项目部关键人员信息</label></td>
					<td class="width-35">
						<form:input path="threeDepartment" htmlEscape="false" class="form-control"/>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">监理合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="inspectionControl"  value="${biddingContract.inspectionControl}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工中标通知书</label></td>
					<td class="width-35">
						<sys:fileUpload path="letterAcceptance"  value="${biddingContract.letterAcceptance}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">施工合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="conContract"  value="${biddingContract.conContract}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">其他合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="otherContracts"  value="${biddingContract.otherContracts}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
		 	</tbody>
		</table>
		</div>
		</form:form>
</body>
</html>