<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>核准阶段管理</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {
	        $('#inDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
			$('#dateOfApproval').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#approvalDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#milestoneStartDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#milestoneCommissioningDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#startDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#internalControl').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#earliestArrival').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#arrivalPlan').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#initialDesignDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#landDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#eiaDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#acceptanceDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#replyDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#soilDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#depositDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#recordDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#siteProposalDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#planningDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#usePlanDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#requisitonDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#conLandDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#transferDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#certificateDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#permitDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#fireProdate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#fireAccDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#estateDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#commDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#compDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#cossDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#acceptanceDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#soilWaterDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#levelRiskTime').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#standStartTime').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#standTransferTime').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#standAcceptanceTime').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#dateOfInterview').datetimepicker({
				format: "YYYY-MM-DD"
			});
		});

		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/filing/summary/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
		function addRow(list, idx, tpl, row){
			$(list).append(Mustache.render(tpl, {
				idx: idx, delBtn: true, row: row
			}));
			$(list+idx).find("select").each(function(){
				$(this).val($(this).attr("data-value"));
			});
			$(list+idx).find("input[type='checkbox'], input[type='radio']").each(function(){
				var ss = $(this).attr("data-value").split(',');
				for (var i=0; i<ss.length; i++){
					if($(this).val() == ss[i]){
						$(this).attr("checked","checked");
					}
				}
			});
			$(list+idx).find(".form_datetime").each(function(){
				 $(this).datetimepicker({
					 format: "YYYY-MM-DD HH:mm:ss"
			    });
			});
		}
		function delRow(obj, prefix){
			var id = $(prefix+"_id");
			var delFlag = $(prefix+"_delFlag");
			if (id.val() == ""){
				$(obj).parent().parent().remove();
			}else if(delFlag.val() == "0"){
				delFlag.val("1");
				$(obj).html("&divide;").attr("title", "撤销删除");
				$(obj).parent().parent().addClass("error");
			}else if(delFlag.val() == "1"){
				delFlag.val("0");
				$(obj).html("&times;").attr("title", "删除");
				$(obj).parent().parent().removeClass("error");
			}
		}

		function noFue(val){
			document.getElementById('approvedAmount').value = val >= 0 ? val : 0;
		}

		function noFue2(val){
			document.getElementById('staticInvestment').value = val >= 0 ? val : 0;
		}

		function noFue3(val){
			document.getElementById('dynamicInvestment').value = val >= 0 ? val : 0;
		}

		function noFue4(val){
			document.getElementById('constructionScaleVA').value = val >= 0 ? val : 0;
		}

		function noFue5(val){
			document.getElementById('constructionScaleKM').value = val >= 0 ? val : 0;
		}

		function noFue6(val){
			document.getElementById('numberOf').value = val >= 0 ? val : 0;
		}

		function noFue7(val){
			document.getElementById('batchOverview').value = val >= 0 ? val : 0;
		}

		function noFue8(val){
			document.getElementById('batchStatistics').value = val >= 0 ? val : 0;
		}

		function noFue9(val){
			document.getElementById('estimateCode').value = val >= 0 ? val : 0;
		}

		function noFue10(val){
			document.getElementById('designCost').value = val >= 0 ? val : 0;
		}

		function noFue11(val){
			document.getElementById('supervisionFeeCode').value = val >= 0 ? val : 0;
		}

		function noFue12(val){
			document.getElementById('managementFeeCode').value = val >= 0 ? val : 0;
		}

		function noFue13(val){
			document.getElementById('dataCode').value = val >= 0 ? val : 0;
		}
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="summary" action="${ctx}/filing/summary/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>项目编码：</label></td>
					<td class="width-35">
						<form:input path="projectCode" htmlEscape="false"  class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>单体编码：</label></td>
					<td class="width-35">
						<form:input path="monomerCode" htmlEscape="false"  class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>项目名称：</label></td>
					<td class="width-35">
						<form:input path="entryName" htmlEscape="false"  class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="pull-right">工程属性/重点程度：</label></td>
					<td class="width-35">
						<form:input path="emphasis" htmlEscape="false"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="width-15 active"><label class="">项目前期阶段：</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">可研静态态投资金额：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue2(this.value)" path="staticInvestment" htmlEscape="false" rows="4" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">可研动态投资金额：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue3(this.value)" path="dynamicInvestment" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">可研附件：</label></td>
					<td class="width-35">
						<sys:fileUpload path="studyAppendix"  value="${earlyStage.studyAppendix}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
				</tr>
				<tr>

					<td class="width-15 active"><label class="pull-right">建设规模（变电容量）万伏安：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue4(this.value)" path="constructionScaleVA" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">建设规模（线路长度）千米：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue5(this.value)" path="constructionScaleKM" htmlEscape="false" rows="4" class="form-control"/>
					</td>
				</tr>
				<tr>

					<td class="width-15 active"><label class="pull-right">铁塔数量/钢管杆数量：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue6(this.value)" path="numberOf" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">导线型号及双回否型号：</label></td>
					<td class="width-35">
						<form:input path="conductorType" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>

					<td class="width-15 active"><label class="pull-right">导线型号及双回否长度：</label></td>
					<td class="width-35">
						<form:input path="conductorLength"  htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">变压器来源新购/利旧，主变来源的变电站：</label></td>
					<td class="width-35">
						<form:input path="theSource" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>

					<td class="width-15 active"><label class="pull-right">模块化建设方案：</label></td>
					<td class="width-35">
						<form:input path="modularConstructionScheme"  htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">工程难点描述：</label></td>
					<td class="width-35">
						<form:input path="descriptionOf"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>

					<td class="width-15 active"><label class="pull-right">里程碑开工日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='milestoneStartDate'>
							<input type='text'  name="milestoneStartDate" class="form-control"  value="<fmt:formatDate value="${earlyStage.milestoneStartDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">里程碑投产日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='milestoneCommissioningDate'>
							<input type='text'  name="milestoneCommissioningDate" class="form-control"  value="<fmt:formatDate value="${earlyStage.milestoneCommissioningDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">内控开工日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='startDate'>
							<input type='text'  name="startDate" class="form-control"  value="<fmt:formatDate value="${earlyStage.startDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">内控投产日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='internalControl'>
							<input type='text'  name="internalControl" class="form-control"  value="<fmt:formatDate value="${earlyStage.internalControl}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
				</tr>

				<tr>

					</td>
					<td class="width-15 active"><label class="pull-right">主设备最早到货时间：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='earliestArrival'>
							<input type='text'  name="earliestArrival" class="form-control"  value="<fmt:formatDate value="${earlyStage.earliestArrival}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">线路塔材到货计划：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='arrivalPlan'>
							<input type='text'  name="arrivalPlan" class="form-control"  value="<fmt:formatDate value="${earlyStage.arrivalPlan}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="width-15 active"><label class="">工程前期阶段：</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">初设批复文号：</label></td>
					<td class="width-35">
						<form:input path="preDesignNo" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">初设批复日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='initialDesignDate'>
							<input type='text'  name="initialDesignDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.initialDesignDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">初设附件：</label></td>
					<td class="width-35">
						<sys:fileUpload path="preDesignAnnex"  value="${earlyEngineering.preDesignAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>

					<td class="width-15 active"><label class="pull-right">批概动态：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue7(this.value)" path="batchOverview" htmlEscape="false" rows="4" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">批概静态：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue8(this.value)" path="batchStatistics" htmlEscape="false" rows="4" class="form-control"/>
					</td>
				</tr>
				<tr>
					</td>
					<td class="width-15 active"><label class="pull-right">批概场地清理费/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue9(this.value)" path="estimateCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">设计费批概相应的/相应的WBS编码WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue10(this.value)" path="designCost" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">监理费批概/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue11(this.value)" path="supervisionFeeCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">批概法人管理费/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue12(this.value)" path="managementFeeCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">其他概算中需要的数据/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue13(this.value)" path="dataCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">三个项目部关键人员信息</label></td>
					<td class="width-35">
						<form:input path="threeDepartment" htmlEscape="false" class="form-control"/>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">监理合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="inspectionControl"  value="${earlyEngineering.inspectionControl}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">施工中标通知书</label></td>
					<td class="width-35">
						<sys:fileUpload path="letterAcceptance"  value="${earlyEngineering.letterAcceptance}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="conContract"  value="${earlyEngineering.conContract}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">其他合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="otherContracts"  value="${earlyEngineering.otherContracts}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">用地预审意见（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="landNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">用地预审意见（变电站） 日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='landDate'>
							<input type='text'  name="landDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.landDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">用地预审意见（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="landAnnex"  value="${earlyEngineering.landAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">环评批复（变电站、线路） 文号</label></td>
					<td class="width-35">
						<form:input path="eiaNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">环评批复（变电站、线路） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='eiaDate'>
							<input type='text'  name="eiaDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.eiaDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">环评批复（变电站、线路） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="eiaAnnex"  value="${earlyEngineering.eiaAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">环评验收文号及日期 文号</label></td>
					<td class="width-35">
						<form:input path="acceptanceNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">环评验收文号及日期 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='acceptanceDate'>
							<input type='text'  name="acceptanceDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.acceptanceDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">环评验收文号及日期 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="acceptanceAnnex"  value="${earlyEngineering.acceptanceAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">水保批复（变电站、线路） 文号</label></td>
					<td class="width-35">
						<form:input path="replyNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">水保批复（变电站、线路） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='replyDate'>
							<input type='text'  name="replyDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.replyDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">水保批复（变电站、线路） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="replyAnnex"  value="${earlyEngineering.replyAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">水保验收文号及日期 文号</label></td>
					<td class="width-35">
						<form:input path="soilNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">水保验收文号及日期 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='soilDate'>
							<input type='text'  name="soilDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.soilDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">水保验收文号及日期 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="soilannex"  value="${earlyEngineering.soilannex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">压覆矿藏复函（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="depositNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">压覆矿藏复函（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='depositDate'>
							<input type='text'  name="depositDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.depositDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">压覆矿藏复函（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="depositAnnex"  value="${earlyEngineering.depositAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">地灾评估备案表（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="recordNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">地灾评估备案表（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='recordDate'>
							<input type='text'  name="recordDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.recordDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">地灾评估备案表（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="recordAnnex"  value="${earlyEngineering.recordAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">选址意见书（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="siteProposalNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">选址意见书（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='siteProposalDate'>
							<input type='text'  name="siteProposalDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.siteProposalDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">选址意见书（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="siteProposalAnnex"  value="${earlyEngineering.siteProposalAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">线路路径规划意见 文号</label></td>
					<td class="width-35">
						<form:input path="planningNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">线路路径规划意见 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='planningDate'>
							<input type='text'  name="planningDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.planningDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">线路路径规划意见 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="planningAnnex"  value="${earlyEngineering.planningAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">用地规划许可证 文号</label></td>
					<td class="width-35">
						<form:input path="usePlanNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">用地规划许可证 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='usePlanDate'>
							<input type='text'  name="usePlanDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.usePlanDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">用地规划许可证 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="usePlanAnnex"  value="${earlyEngineering.usePlanAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">征地补偿批复 文号</label></td>
					<td class="width-35">
						<form:input path="requisitonNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">征地补偿批复 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='requisitonDate'>
							<input type='text'  name="requisitonDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.requisitonDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">征地补偿批复 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="requisitonAnnex"  value="${earlyEngineering.requisitonAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">建设用地批准书 文号</label></td>
					<td class="width-35">
						<form:input path="conLandNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">建设用地批准书 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='conLandDate'>
							<input type='text'  name="conLandDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.conLandDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">建设用地批准书 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="conLandAnnex"  value="${earlyEngineering.conLandAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">划拨决定书 文号</label></td>
					<td class="width-35">
						<form:input path="transferNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">划拨决定书 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='transferDate'>
							<input type='text'  name="transferDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.transferDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">划拨决定书 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="transferAnnex"  value="${earlyEngineering.transferAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">土地证（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="certificateNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">土地证（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='certificateDate'>
							<input type='text'  name="certificateDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.certificateDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">土地证（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="certificateAnnex"  value="${earlyEngineering.certificateAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">建设工程规划许可证（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="permitNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">建设工程规划许可证（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='permitDate'>
							<input type='text'  name="permitDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.permitDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">建设工程规划许可证（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="permitAnnex"  value="${earlyEngineering.permitAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">消防设计审查/备案意见（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="fireProNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">消防设计审查/备案意见（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='fireProdate'>
							<input type='text'  name="fireProdate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.fireProdate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">消防设计审查/备案意见（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="fireProAnnex"  value="${earlyEngineering.fireProAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">消防验收/备案意见（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="fireAccNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">消防验收/备案意见（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='fireAccDate'>
							<input type='text'  name="fireAccDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.fireAccDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">消防验收/备案意见（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="fireAccAnnex"  value="${earlyEngineering.fireAccAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">不动产权证 文号</label></td>
					<td class="width-35">
						<form:input path="estateNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">不动产权证 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='estateDate'>
							<input type='text'  name="estateDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.estateDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					<td class="width-15 active"><label class="pull-right">不动产权证 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="estateAnnex"  value="${earlyEngineering.estateAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">规划总平（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planningLevel" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">勘察定界报告（变电站）：</label></td>
					<td class="width-35">
						<form:input path="surveyReport" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">征地红线图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="redLineMap" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">用地红线图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="redLineLand" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">宗地图：</label></td>
					<td class="width-35">
						<form:input path="zongMap" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">勘察合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordSurvey" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">设计合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordDesign" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">施工合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordContract" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">监理合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="supervisionRecord" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">岩土勘察报告审查合格意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qulifiedOpinions" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工图审查合格意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="constructionComments" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">施工图审查合格证（变电站）：</label></td>
					<td class="width-35">
						<form:input path="constructionDrawing" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">抗震设防审查证书（变电站）：</label></td>
					<td class="width-35">
						<form:input path="seismicReview" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">规划放线报告（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planningSetting" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">安监申报书、备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="safetyRecord" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">质监申报书、备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qualityRecord" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工许可证：</label></td>
					<td class="width-35">
						<form:input path="constructionPermit" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">规划竣工测绘现状图及管线、绿化、比较图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planBuiltMapping" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">质监竣工验收意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qualityAcceptance" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">城建档案接收合格证明（变电站）：</label></td>
					<td class="width-35">
						<form:input path="urbanArchives" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">竣工备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="completionRecord" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">房产测绘报告：</label></td>
					<td class="width-35">
						<form:input path="realEstate" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">宗地复测报告：</label></td>
					<td class="width-35">
						<form:input path="reportOnLang" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="width-15 active"><label class="">工程建设阶段：</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-35">
						<form:input path="entryName" readonly="true" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">开工日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='commDate'>
							<input type='text' name="commDate" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.commDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                          <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">开工报告：</label></td>
					<td class="width-35">
						<sys:fileUpload path="commReport" value="${constructionStage.commReport}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">竣工日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='compDate'>
							<input type='text' name="compDate" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.compDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">竣工报告：</label></td>
					<td class="width-35">
						<sys:fileUpload path="compLetion" value="${constructionStage.compLetion}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">投运日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='cossDate'>
							<input type='text' name="cossDate" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.cossDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">投运报告：</label></td>
					<td class="width-35">
						<sys:fileUpload path="cossReport" value="${constructionStage.cossReport}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">环评验收日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='acceptanceDate'>
							<input type='text' name="acceptanceDate" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.acceptanceDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">水保验收日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='soilWaterDate'>
							<input type='text' name="soilWaterDate" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.soilWaterDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
					<td class="width-15 active"><label class="pull-right">例会报告：</label></td>
					<td class="width-35">
						<sys:fileUpload path="enclosure" value="${constructionStage.enclosure}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">土建：</label></td>
					<td class="width-35">
						<sys:fileUpload path="scheduleCivil" value="${constructionStage.scheduleCivil}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">电气：</label></td>
					<td class="width-35">
						<sys:fileUpload path="scheduleElectrical" value="${constructionStage.scheduleElectrical}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">调试：</label></td>
					<td class="width-35">
						<sys:fileUpload path="scheduleDebugging" value="${constructionStage.scheduleDebugging}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">验收：</label></td>
					<td class="width-35">
						<sys:fileUpload path="scheduleCheck" value="${constructionStage.scheduleCheck}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">累计定性描述：</label></td>
					<td class="width-35">
						<sys:fileUpload path="scheduleCumulative" value="${constructionStage.scheduleCumulative}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">启委会文：</label></td>
					<td class="width-35">
						<sys:fileUpload path="openingCommittee" value="${constructionStage.openingCommittee}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">调度命名编号：</label></td>
					<td class="width-35">
						<form:input path="dispatchingNaming"  htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">安全质量量化考核成果：</label></td>
					<td class="width-35">
						<form:input path="resultsSafety" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">工程荣誉：</label></td>
					<td class="width-35">
						<sys:fileUpload path="engineeringHonors" value="${constructionStage.engineeringHonors}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">工程结算审核报告：</label></td>
					<td class="width-35">
						<sys:fileUpload path="settAuditReport" value="${constructionStage.settAuditReport}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">工程决算审计报告：</label></td>
					<td class="width-35">
						<sys:fileUpload path="accAuditReport" value="${constructionStage.accAuditReport}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">增资产生的卡片信息：</label></td>
					<td class="width-35">
						<form:input path="cardInformation" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">达标投产文：</label></td>
					<td class="width-35">
						<sys:fileUpload path="standardProduction" value="${constructionStage.standardProduction}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">五方质量终身责任承诺书：</label></td>
					<td class="width-35">
						<sys:fileUpload path="fiveParty" value="${constructionStage.fiveParty}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">分包单位名称：</label></td>
					<td class="width-35">
						<form:input path="nameOfSubcontractor" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">项目地点：</label></td>
					<td class="width-35">
						<form:input path="projectLocation" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">四级风险内容：</label></td>
					<td class="width-35">
						<form:input path="levelRiskContent" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">四级风险实施时间：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='levelRiskTime'>
							<input type='text' name="levelRiskTime" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.levelRiskTime}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">“标准化开工”时间：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='standStartTime'>
							<input type='text' name="standStartTime" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.standStartTime}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
					<td class="width-15 active"><label class="pull-right">“标准化转序”时间：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='standTransferTime'>
							<input type='text' name="standTransferTime" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.standTransferTime}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">“标准化转序”时间</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='standAcceptanceTime'>
							<input type='text' name="standAcceptanceTime" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.standAcceptanceTime}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
					<td class="width-15 active"><label class="pull-right">约谈日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='dateOfInterview'>
							<input type='text' name="dateOfInterview" class="form-control"
								   value="<fmt:formatDate value="${constructionStage.dateOfInterview}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
                            <span class="glyphicon glyphicon-calendar"></span>
                    </span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">约谈会议纪要</label></td>
					<td class="width-35">
						<sys:fileUpload path="mettingMinutes" value="${constructionStage.mettingMinutes}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">累计扣款金额</label></td>
					<td class="width-35">
						<form:input path="accumulatedAmount" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">扣款单</label></td>
					<td class="width-35">
						<sys:fileUpload path="deductionForm" value="${constructionStage.deductionForm}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">工程遗留相关事项</label></td>
					<td class="width-35">
						<form:input path="mattersLeft" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">退料及报废手续</label></td>
					<td class="width-35">
						<sys:fileUpload path="returnAndScrap" value="${constructionStage.returnAndScrap}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
					<td class="width-15 active"><label class="pull-right">重要的附件等扫描件</label></td>
					<td class="width-35">
						<sys:fileUpload path="importantAccessories" value="${constructionStage.importantAccessories}" type="*" uploadPath="/photo"
										readonly="false"/>
					</td>
				</tr>
		 	</tbody>
		</table>
		</div>
		</form:form>
</body>
</html>