<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>年度物资上报统计</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {
			// $('#startDate').datetimepicker({
			// 	format: "YYYY-MM-DD"
			// });
			// $('#endDate').datetimepicker({
			// 	format: "YYYY-MM-DD"
			// });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/new/materialProject/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="newMaterialReport" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">储备项目名称：</label></td>
					<td class="width-35">
						<form:input path="reserveProjectName" htmlEscape="false" class="form-control required" readonly="true"/>
					</td>
					<td class="width-15 active"><label class="pull-right">储备编码：</label></td>
					<td class="width-35">
						<form:input path="reserveCode" htmlEscape="false"    class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目类型：</label></td>
					<td class="width-35">
						<form:input path="projectType" htmlEscape="false"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="pull-right">项目计划年度批次：</label></td>
					<td class="width-35">
						<form:input path="batchPlan" htmlEscape="false"    class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目正式发文批次：</label></td>
					<td class="width-35">
						<form:input path="issuePlan" htmlEscape="false"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="pull-right">项目年度实施计划（月份）：</label></td>
					<td class="width-35">
						<form:input path="monthPlan" htmlEscape="false"    class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">年度计划有无预测：</label></td>
					<td class="width-35">
						<form:input path="hasPlan" htmlEscape="false"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="pull-right">项目物资执行计划（上半年/下半年）：</label></td>
					<td class="width-35">
						<form:input path="halfPlan" htmlEscape="false"    class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目定义：</label></td>
					<td class="width-35">
						<form:input path="projectId"  htmlEscape="false"  class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName"  htmlEscape="false"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">归属年份：</label></td>
					<td class="width-35">
						<form:input path="attributionYear" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>