<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>利库资源池管理</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="MaterialReportDetailsList.js" %>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">物资信息</h3>
	</div>
	<div class="panel-body">
	
	<!-- 搜索 -->
	<div id="search-collapse" class="collapse">
		<div class="accordion-inner">
			<form:form id="searchForm" modelAttribute="entity" class="form form-horizontal well clearfix">
			 	<div class="col-xs-12 col-sm-6 col-md-4">
					<label class="label-item single-overflow pull-left" title="储备项目名称：">储备项目名称：</label>
					<form:input path="nameOfReserve" htmlEscape="false" maxlength="257"  class=" form-control"/>
				</div>
				<div class="col-xs-12 col-sm-6 col-md-4">
					<label class="label-item single-overflow pull-left" title="物料编码：">物料编码：</label>
					<form:input path="materialCode" htmlEscape="false" maxlength="257"  class=" form-control"/>
				</div>
				<div class="col-xs-12 col-sm-6 col-md-4">
					<label class="label-item single-overflow pull-left" title="是否利库：">是否利库：</label>
					<form:select path="numberOfNiches"  class="form-control m-b">
						<form:option value="" label=""/>
						<form:option value="1" label="是"/>
						<form:option value="0" label="否"/>
					</form:select>
				</div>
		 <div class="col-xs-12 col-sm-6 col-md-4">
			<div style="margin-top:26px">
			  <a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
			  <a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
			 </div>
	    </div>	
	</form:form>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div id="toolbar">
	<%--		<shiro:hasPermission name="sg:balancedlibrary:liKuResourcePool:del">
				<button id="remove" class="btn btn-danger" disabled onclick="deleteAll()">
	            	<i class="glyphicon glyphicon-remove"></i> 删除
	        	</button>
			</shiro:hasPermission>--%>
			<shiro:hasPermission name="sg:balancedlibrary:liKuResourcePool:import">
				<button id="btnImport" class="btn btn-info">
					<i class="fa fa-folder-open-o"></i> 导入
				</button>
			</shiro:hasPermission>
			<shiro:hasPermission name="sg:balancedlibrary:liKuResourcePool:export">
				<button id="export" class="btn btn-warning">
					<i class="fa fa-file-excel-o"></i> 导出利库情况
				</button>
			 </shiro:hasPermission>
		    </div>
		
	<!-- 表格 -->
	<table id="leave1Table"   data-toolbar="#toolbar"></table>

    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    </ul>
	</div>
	</div>
	</div>
</body>
</html>