<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>资金计划管理</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="capitalPlanList.js" %>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">资金计划管理</h3>
	</div>
	<div class="panel-body">
		<!-- 搜索 -->
		<div id="search-collapse" class="collapse">
			<div class="accordion-inner">
				<form:form id="searchForm" modelAttribute="capitalPlan" class="form form-horizontal well clearfix">
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="项目定义号：">项目定义号：</label>
						<form:input path="projectId" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<div style="margin-top:26px">
							<a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
							<a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
						</div>
					</div>
				</form:form>
			</div>
		</div>
	
	<!-- 工具栏 -->
	<div id="toolbar">
		<shiro:hasPermission name="sg:managementcenter:capitalPlanList:import">
		<button id="btnImport" class="btn btn-info">
				<i class="fa fa-folder-open-o"></i> 导入项目明细账
			</button>
		</shiro:hasPermission>
		<shiro:hasPermission name="sg:managementcenter:capitalPlanList:edit">
		<button id="edit" class="btn btn-primary" onclick="edit()">
				<i class="glyphicon glyphicon-edit"></i> 修改项目费率
			</button>
		</shiro:hasPermission>
	</div>
		
	<!-- 表格 -->
	<table id="projectTable"  style="table-layout:fixed"  data-toolbar="#toolbar"></table>

	</div>
	</div>
	</div>
</body>
</html>