<%@ page pageEncoding="UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>转资模块</title>
    <meta name="decorator" content="ani"/>
    <%@include file="/webpage/include/summernote.jsp" %>
    <%@include file="fundStart.js" %>
</head>
<body>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        <a class="panelButton" href="#" onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
                    </h3>
                </div>
                <div class="panel-body">
                    <form:form id="inputForm" modelAttribute="fund" action="${ctx}/fund/save" method="post"
                               class="form-horizontal" enctype="multipart/form-data">
                        <form:hidden path="id"/>
                        <form:hidden path="act.taskId"/>
                        <form:hidden path="act.taskName"/>
                        <form:hidden path="act.taskDefKey"/>
                        <form:hidden path="act.procInsId"/>
                        <form:hidden path="act.procDefId"/>
                        <form:hidden id="flag" path="act.flag"/>
                        <div class="form-group text-center">
                            <h3> 转资模块项目选择</h3>
                        </div>
                        <table class="table table-bordered">
                            <tbody>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"><font
                                        color="red">*</font>项目名称：</label></td>
                                <td class="width-35">
                                    <sys:itemselect url="${ctx}/sg/managementcenter/project/fundData"
                                                    id="projectId" name="projectId"
                                                    value="${project.projectId}"
                                                    labelName="project.reserveProjectName"
                                                    labelValue="${project.reserveProjectName}"
                                                    title="选择项目号" cssClass="form-control"
                                                    fieldLabels="${fns:urlEncode('项目需求名称|项目定义号|项目名称')}"
                                                    fieldKeys="reserveProjectName|projectId|projectName"
                                                    searchLabels="${fns:urlEncode('储备项目名称')}|${fns:urlEncode('项目定义号')}|${fns:urlEncode('项目名称')}"
                                                    searchKeys="reserveProjectName|projectId|projectName"
                                                    isMultiSelected="false">
                                    </sys:itemselect>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="form-group">
                            <div class="col-lg-3"></div>
                            <div class="col-lg-6">
                                <div class="form-group text-center">
                                    <div>
                                        <button class="btn btn-primary btn-block btn-lg btn-parsley" data-loading-text="正在提交...">提 交</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form:form>
                    <c:if test="${not empty fund.id}">
                        <act:flowChart procInsId="${fund.act.procInsId}"/>
                        <act:histoicFlow procInsId="${fund.act.procInsId}"/>
                    </c:if>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>