<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>模块表</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="moduleBlockList.js" %>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">模块表</h3>
	</div>
	<div class="panel-body">
		<!-- 搜索 -->
		<div id="search-collapse" class="collapse">
			<div class="accordion-inner">
				<form:form id="searchForm" modelAttribute="moduleBlock" class="form form-horizontal well clearfix">
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="模块名称：">模块名称：</label>
						<form:input path="mdSmallClass" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="模块大类：">模块大类：</label>
						<form:input path="mdBigClass" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="模块中类：">模块中类：</label>
						<form:input path="mdTheClass" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="版本名称：">版本名称：</label>
						<form:input path="mdVersionName" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<div style="margin-top:26px">
							<a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
							<a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
						</div>
					</div>
				</form:form>
			</div>
		</div>
	
	<!-- 工具栏 -->
	<div id="toolbar">
				<shiro:hasPermission name="managementcenter:moduleacquisition:import">
					<button id="btnImport" class="btn btn-info"><i class="fa fa-folder-open-o"></i> 导入</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="managementcenter:moduleacquisition:edit">
					<button id="edit" class="btn btn-success" disabled onclick="edit()">
						<i class="glyphicon glyphicon-edit"></i> 上传附件
					</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="managementcenter:moduleacquisition:insertVersion">
					<button id="insertVersion" class="btn btn-warning">
						<i class="fa fa-file-excel-o"></i> 生成新版本
					</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="managementcenter:moduleacquisition:selectVersion">
					<button id="selectVersion" class="btn btn-warning">
						<i class="fa fa-file-excel-o"></i> 选择流程使用版本
					</button>
				</shiro:hasPermission>
		    </div>
		
	<!-- 表格 -->
	<table id="moduleBlockTable"  data-toolbar="#toolbar"></table>

    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    	<shiro:hasPermission name="sg:managementcenter:moduleacquisition:view">
        <li data-item="view"><a>查看</a></li>
        </shiro:hasPermission>
    	<shiro:hasPermission name="sg:managementcenter:moduleacquisition:edit">
        <li data-item="edit"><a>编辑</a></li>
        </shiro:hasPermission>
        <shiro:hasPermission name="sg:managementcenter:moduleacquisition:del">
        <li data-item="delete"><a>删除</a></li>
        </shiro:hasPermission>
        <li data-item="action1"><a>取消</a></li>
    </ul>  
	</div>
	</div>
	</div>
</body>
</html>