<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>用户管理</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<link href="${ctxStatic}/plugin/bootstrapTree/bootstrap-treeview.css" rel="stylesheet" type="text/css"/>
	<script src="${ctxStatic}/plugin/bootstrapTree/bootstrap-treeview.js" type="text/javascript"></script>
	<%@ include file="privilegeProcdef.js"%>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">用户列表</h3>
	</div>
	<div class="panel-body">
	<div class="row">
		<form:form id="privilegePre" modelAttribute="privilegePre" class="form-horizontal">
			<form:hidden path="uid"/>
		</form:form>
			<%--<!-- 搜索框-->
			<div id="search-collapse" class="collapse">

				<div class="accordion-inner">
					<form id="searchForm" class="form form-horizontal well clearfix" >
						<div class="col-sm-4">
							<label class="label-item single-overflow pull-left" title="登录名：">登录名：</label>
							<input type="text" name="loginName" maxlength="100"  class=" form-control"/>
						</div>
						<div class="col-sm-4">
							<label class="label-item single-overflow pull-left" title="姓名：">姓名：</label>
							<input type="text" name="name" maxlength="100"  class=" form-control"/>
						</div>
					    <div class="col-sm-4">
							 <div style="margin-top:26px">
							  <a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
							  <a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
							</div>
					    </div>
					</form>
				</div>
			</div><!-- 搜索框结束 -->--%>
		
		<!-- 工具栏 -->
	    <div id="toolbar">
				<button id="add" class="btn btn-success" onclick="add()">
		            <i class="glyphicon glyphicon-edit"></i> 添加
		        </button>
	    </div><!-- 工具栏结束 -->


	    <!-- 表格 -->
	    <table id="table" data-toolbar="#toolbar">
	    </table>

	</div>
	</div>
	</div>
	</div>
</body>
</html>