<%@ page contentType="text/html;charset=UTF-8"  %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>交底计划安排修改</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">
		$(document).ready(function() {
	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/sg/managementcenter/project/savePlan",$('#inputForm').serialize(),function(data){
					function extracted() {
						jp.getParent().refresh();
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
					}
					if(data.success){
						extracted();
                        jp.success(data.msg)
                    }else{
						jp.error(data.msg);
                    }
                })
			}

        }

	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="project" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>储备项目暂定名称：</label></td>
					<td class="width-35">
						<form:input path="reserveProjectName"   htmlEscape="false"  readonly="true"   class="form-control"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目定义：</label></td>
					<td class="width-35">
						<form:input path="projectId"   htmlEscape="false"  readonly="true"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName"   htmlEscape="false"  readonly="true" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">交底类型：</label></td>
					<td class="width-35">
							<form:input path="disclosurePlan.disclosureType"  readonly="true"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目类型：</label></td>
					<td class="width-35">
							<form:input path="disclosurePlan.projectType"  readonly="true" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">交底方式：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.disclosureMethod" readonly="true" htmlEscape="false" class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">运维单位：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.operationUnit" readonly="true"  htmlEscape="false" class="form-control "/>
					</td>
					<td class="width-15 active"><label class="">施工单位：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.constructionUnit" readonly="true"  htmlEscape="false" class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">供电所：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.powerSupplyStation"  htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">施工项目经理：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.constructionManage"  readonly="true" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">运维人员：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.maintenance"  htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">自动化联系人：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.automationContacts"  htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">带电查勘联系人：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.liveSurveyContact"  htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">供电所查勘人：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.inspector"  htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">交底计划日期：</label></td>
					<td class="width-35">
						<form:input path="disclosurePlan.disclosurePlanDate"  htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
			</tbody>
		</table>
	</form:form>
</body>
</html>