<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>需求基本信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/sg/managementcenter/project/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="project" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目需求名称：</label></td>
					<td class="width-35">
						<form:input path="requireName" readonly="true"  htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>类型：</label></td>
					<td class="width-35">
						<form:input path="type" readonly="true"  htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">储备编号：</label></td>
					<td class="width-35">
						<form:input path="reserveNumber" readonly="true"  htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">工程编号：</label></td>
					<td class="width-35">
						<form:input path="projectId" readonly="true"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName" readonly="true"  htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">项目定义号：</label></td>
					<td class="width-35">
						<form:input path="projectNumber" readonly="true"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>需求提出单位：</label></td>
					<td class="width-35">
						<form:input path="demandUnit" readonly="true"  htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">变电站名称：</label></td>
					<td class="width-35">
						<form:input path="bdzName" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">线路名称：</label></td>
					<td class="width-35">
						<form:input path="lineName" readonly="true"  htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网项目经理：</label></td>
					<td class="width-35">
						<form:input path="projectManageRole" readonly="true"  disabled="disabled" htmlEscape="false" class="form-control required "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网工程专职：</label></td>
					<td class="width-35">
						<form:input path="distributionEngineering" readonly="true"  htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网物资专职：</label></td>
					<td class="width-35">
						<form:input path="distributionMaterials" readonly="true"  htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网系统专职：</label></td>
					<td class="width-35">
						<form:input path="distributionSystem" readonly="true"  htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网政策处理专职：</label></td>
					<td class="width-35">
						<form:input path="distributionPolicy"  readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目管理中心领导角色：</label></td>
					<td class="width-35">
						<form:input path="managementLeader"  readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目管理中心技经专职：</label></td>
					<td class="width-35">
						<form:input path="skillByFull" readonly="true"  htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>运行单位：</label></td>
					<td class="width-35">
						<form:input path="runUnit" readonly="true"  htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>运行单位角色：</label></td>
					<td class="width-35">
						<form:input path="runUnitRole" readonly="true"  htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>经研所角色：</label></td>
					<td class="width-35">
						<form:input path="throughResearchRole" readonly="true"   htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工合同单位：</label></td>
					<td class="width-35">
						<form:input path="constructionContractUnit" readonly="true"   htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工合同率：</label></td>
					<td class="width-35">
						<form:input path="constructionContractRate"  readonly="true"  htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工分包单位：</label></td>
					<td class="width-35">
						<form:input path="constructionContractSub" readonly="true"   htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位：</label></td>
					<td class="width-35">
						<form:input path="constructionUnit" readonly="true"   htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位物资专职：</label></td>
					<td class="width-35">
						<form:input path="constructionUnitRole" readonly="true"   htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位项目经理：</label></td>
					<td class="width-35">
						<form:input path="constructionUnitManage" readonly="true"   htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位领导：</label></td>
					<td class="width-35">
						<form:input path="constructionUnitLeader" readonly="true"   htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位技经专职：</label></td>
					<td class="width-35">
						<form:input path="constructionSkillByFull" readonly="true"  htmlEscape="false"  class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>设计单位：</label></td>
					<td class="width-35">
						<form:input path="designUnit" htmlEscape="false" readonly="true"   class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>设计单位设计人员：</label></td>
					<td class="width-35">
						<form:input path="designUnitManage" htmlEscape="false" readonly="true"  class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>设计单位领导：</label></td>
					<td class="width-35">
						<form:input path="designUnitLeader"  htmlEscape="false" readonly="true"  class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>交底类型：</label></td>
					<td class="width-35">
						<form:input path="clarificaitonType"  htmlEscape="false" readonly="true"  class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">建设理由分类：</label></td>
					<td class="width-35">
						<form:input path="bulidClassificationResons" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">建设理由：</label></td>
					<td class="width-35">
						<form:textarea path="bulbidResons"  htmlEscape="false" rows="4"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="">设备基本情况：</label></td>
					<td class="width-35">
						<form:input path="asicEquipment"  htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">运行班：</label></td>
					<td class="width-35">
						<form:input path="runTheClass"  htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">费用估算：</label></td>
					<td class="width-35">
						<form:input path="costEstimate"  htmlEscape="false"    class="form-control number"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">是否迎风期度夏项目：</label></td>
					<td class="width-35">
						<form:input path="whetherRheUpwind"   htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">确定下达时间：</label></td>
					<td class="width-35">
						<form:input path="sureDaDate"  htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">备注：</label></td>
					<td class="width-35">
						<form:textarea path="textRemark"  htmlEscape="false" rows="4"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="">自动化备注：</label></td>
					<td class="width-35">
						<form:input path="automatedRemarks"  htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">停电线路：</label></td>
					<td class="width-35">
						<form:input path="powerLine" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>停电范围：</label></td>
					<td class="width-35">
<%--						<form:checkboxes path="powerScopeList" items="${fns:getDictList('Range')}" itemLabel="label" itemValue="value" htmlEscape="false" cssClass="i-checks required"/>--%>
						<form:input path="powerScope" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目类型：</label></td>
					<td class="width-35">
						<form:select  path="projectType" cssClass="form-control">
							<form:option value="配变改造"/>
							<form:option value="配变新增"/>
							<form:option value="电缆项目"/>
							<form:option value="杆线项目"/>
							<form:option value="混合项目"/>
							<form:option value="纯自动化"/>
							<form:option value="纯土建"/>
							<form:option value="井盖维修"/>
							<form:option value="环网柜更换"/>
							<form:option value="箱变更换"/>
							<form:option value="其他特殊类"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否为停电打包项目：</label></td>
					<td class="width-35">
						<form:select  path="powerFlagPackage" cssClass="form-control">
							<form:option value="是"/>
							<form:option value="否"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>政处初步判断：</label></td>
					<td class="width-35">
						<form:select  path="preliminaryJudgment" cssClass="form-control">
							<form:option value="行政政处（城区道路）"/>
							<form:option value="民事政处"/>
							<form:option value="农村政处"/>
							<form:option value="无"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否含土建（不含钢管杆）：</label></td>
					<td class="width-35">
						<form:select  path="flagCivilEngineering" cssClass="form-control">
							<form:option value="可能有土建"/>
							<form:option value="无土建"/>
							<form:option value="含土建"/>
							<form:option value="纯土建"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>钢管杆基础类型：</label></td>
					<td>
						<form:select  path="steelTubePole" cssClass="form-control">
							<form:option value="压桩"/>
							<form:option value="灌注桩"/>
							<form:option value="无"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否需要规矩报批：</label></td>
					<td class="width-35">
						<form:select  path="flagApprovalPlanning" cssClass="form-control">
							<form:option value="是"/>
							<form:option value="否"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>设备改造类型：</label></td>
					<td class="width-35">
						<form:select  path="equCreateType" cssClass="form-control">
							<form:option value="箱变"/>
							<form:option value="环网柜"/>
							<form:option value="分支箱"/>
							<form:option value="DTU"/>
							<form:option value="干变"/>
							<form:option value="其他"/>
							<form:option value="无"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class="">改造设备尺寸及间隔数：</label></td>
					<td class="width-35">
						<form:input path="equCreateSize" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否新设备命名：</label></td>
					<td class="width-35">
						<form:select  path="flagNewEquName" cssClass="form-control">
							<form:option value="是"/>
							<form:option value="否"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否含变电站新间格投运：</label></td>
					<td class="width-35">
						<form:select  path="includeBdzNews" cssClass="form-control">
							<form:option value="是"/>
							<form:option value="否"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否非涉电电气施工：</label></td>
					<td class="width-35">
						<form:select  path="flagNoElectrical" cssClass="form-control">
							<form:option value="是"/>
							<form:option value="否"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>图纸标注的带点作业情况：</label></td>
					<td class="width-35">
						<form:select  path="drawingsWork" cssClass="form-control">
							<form:option value="带电作业"/>
							<form:option value="停电作业"/>
							<form:option value="未标注"/>
							<form:option value="非涉电作业"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否含自动化：</label></td>
					<td class="width-35">
						<form:select  path="flagAutomation" cssClass="form-control">
							<form:option value="是"/>
							<form:option value="否"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>二遥或三摇：</label></td>
					<td class="width-35">
						<form:select  path="twoAndThreeRemote" cssClass="form-control">
							<form:option value="二遥"/>
							<form:option value="三摇"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>通讯方式：</label></td>
					<td class="width-35">
						<form:select  path="phoneStyle" cssClass="form-control">
							<form:option value="公网"/>
							<form:option value="专网"/>
							<form:option value="光圈"/>
							<form:option value="混合"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>柱开集中或就业地：</label></td>
					<td class="width-35">
						<form:select  path="stayOpenArea" cssClass="form-control">
							<form:option value="集中"/>
							<form:option value="就地"/>
							<form:option value="混合"/>
						</form:select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>环网柜：</label></td>
					<td class="width-35">
						<form:select  path="ringNetworkCabinet" cssClass="form-control">
							<form:option value="户内"/>
							<form:option value="户外"/>
							<form:option value="混合"/>
						</form:select>
					</td>
					<td class="width-15 active"><label class="">站房dtu：</label></td>
					<td class="width-35">
						<form:input path="stationDtu" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
			</tbody>
		</table>
	</form:form>
</body>
</html>