<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>日计划安排</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#deliverySchedule').datetimepicker({
				 format: "YYYY-MM-DD"
		    });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/sg/managementCenter/projectDailyPlan/update",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="projectDailyPlan" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right" style="float: left">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName" htmlEscape="false" readonly="true" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="pull-right">项目定义号：</label></td>
					<td class="width-35">
						<form:input path="projectNumber" htmlEscape="false" readonly="true"  class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">停电范围：</label></td>
					<td class="width-35">
						<form:input path="projectPowerRange" htmlEscape="false" readonly="true"   class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">是否停电：</label></td>
					<td class="width-35">
						<form:select path="projectPowerOut" class='form-control'>
							<form:option value='带电'/>
							<form:option value='停电'/>
						</form:select>
						<%--<select class='form-control' id=''>--%>
							<%----%>
						<%--<select>--%>
							<%--<form:input path="projectPowerOut" htmlEscape="false" readonly="true"   class="form-control"/>--%>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">日计划时间：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='deliverySchedule'>
							<input type='text'  name="projectDate" class="form-control required"  value="<fmt:formatDate value="${projectDailyPlan.projectDate}" pattern="yyyy-MM-dd"/>"/>
								<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					<td class="width-15 active"><label class="pull-right">备注信息：</label></td>
					<td class="width-35">
						<form:textarea path="remarks" htmlEscape="false" rows="4"    class="form-control "/>
					</td>
				</tr>
			</tbody>
		</table>
	</form:form>
</body>
</html>