<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目计划安排</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="projectDailyPlanList.js" %>
</head>
<body>
<form id="inputFormIds">
	<input value="" name="ids" id="idPower" type="hidden">
</form>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">项目计划安排</h3>
	</div>
	<div class="panel-body">
		<!-- 搜索 -->
		<div id="search-collapse" class="collapse">
			<div class="accordion-inner">
				<form:form id="searchForm" modelAttribute="projectDailyPlan" class="form form-horizontal well clearfix">
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="项目定义号：">项目定义号：</label>
						<form:input path="projectNumber" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="项目名称：">项目名称：</label>
						<form:input path="projectName" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<div class="form-group">
							<label class="label-item single-overflow pull-left" title="具体时间：">&nbsp;具体时间：</label>
							<div class="col-xs-12">
								<div class='input-group date' id='endDate' >
									<input type='text'  name="projectDate" class="form-control"  />
									<span class="input-group-addon">
			                       <span class="glyphicon glyphicon-calendar"></span>
			                   </span>
								</div>
							</div>
						</div>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<div style="margin-top:26px">
							<a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
							<a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
						</div>
					</div>
				</form:form>
			</div>
		</div>
	
	<!-- 工具栏 -->
	<div id="toolbar">
			<%--<shiro:hasPermission name="sg:managementCenter:constructionProject:add">--%>
				<shiro:hasPermission name="sg:managementcenter:dayplan:add">
				<button id="add" class="btn btn-primary" onclick="add()">
					<i class="glyphicon glyphicon-plus"></i> 新建
				</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="sg:managementcenter:dayplan:del">
				<button id="remove" class="btn btn-danger" disabled onclick="deleteAll()">
					<i class="glyphicon glyphicon-remove"></i> 删除
				</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="sg:managementcenter:dayplan:import">
				<button id="btnImport" class="btn btn-info"><i class="fa fa-folder-open-o"></i> 导入</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="sg:managementcenter:dayplan:export">
				<button id="export" class="btn btn-warning">
					<i class="fa fa-file-excel-o"></i> 导出
				</button>
				</shiro:hasPermission>
				<%--<button id="exportTim" class="btn btn-primary">--%>
					<%--<i class="glyphicon glyphicon-plus"></i> 下载导入模板--%>
				<%--</button>--%>
	 </div>
		
	<!-- 表格 -->
	<table id="projectTable"  style="table-layout:fixed"  data-toolbar="#toolbar"></table>

    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
<%--    	<shiro:hasPermission name="sg:managementcenter:project:view">--%>
        <li data-item="view"><a>查看</a></li>
<%--        </shiro:hasPermission>--%>
<%--    	<shiro:hasPermission name="sg:managementcenter:project:edit">--%>
        <li data-item="edit"><a>编辑</a></li>
        <%--</shiro:hasPermission>--%>
        <%--<shiro:hasPermission name="sg:managementcenter:project:del">--%>
        <li data-item="delete"><a>删除</a></li>
        <%--</shiro:hasPermission>--%>
        <li data-item="action1"><a>取消</a></li>
    </ul>  
	</div>
	</div>
	</div>
</body>
</html>