<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>甲供标准物资</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
		    var projectReserveId = $("#projectReserveId").val();
		    var projectName = $("#projectName").val();
		    if (null==projectReserveId||""==projectReserveId){
                jp.error("请填写项目储备编号！");
			}else if(null==projectName||""==projectName){
				jp.error("请填写项目名称！");
			}
		    else {
                var isValidate = jp.validateForm('#inputForm');//校验表单
                if(!isValidate){
                    return false;
                }else{
                    jp.loading();
                    jp.post("${ctx}/sg/managementCenter/reserveManagement/save",$('#inputForm').serialize(),function(data){
                        if(data.success){
                            jp.getParent().refresh();
                            var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                            parent.layer.close(dialogIndex);
                            jp.success(data.msg)

                        }else{
                            jp.error(data.msg);
                        }
                    })
                }
			}
        }
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="reserveManagement" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
		   	<tbody>
				<tr>
					<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目性质：</label></td>
					<td class="width-35">
						<form:input path="projectNature" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">需求单位：</label></td>
					<td class="width-35">
						<form:input path="demandUnit" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">区域：</label></td>
					<td class="width-35">
						<form:input path="district" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">项目分组：</label></td>
					<td class="width-35">
						<form:input path="projectGroup" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">储备批次：</label></td>
					<td class="width-35">
						<form:input path="reserveBatches" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">供电区域：</label></td>
					<td class="width-35">
						<form:input path="blockSupply" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">网格编号：</label></td>
					<td class="width-35">
						<form:input path="gridNumber" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">单元格编号：</label></td>
					<td class="width-35">
						<form:input path="cellNumber" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">电网项目编号：</label></td>
					<td class="width-35">
						<form:input path="powerGridProjectId" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目储备编号：</label></td>
					<td class="width-35">
						<form:input path="projectReserveId" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">建设必要性及内容：</label></td>
					<td class="width-35">
						<form:input path="constructionNecessityAndContent" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">变电站名称：</label></td>
					<td class="width-35">
						<form:input path="substationName" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">线路名称：</label></td>
					<td class="width-35">
						<form:input path="circuitName" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">网架项目划分：</label></td>
					<td class="width-35">
						<form:input path="netRackProjectDivide" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">项目类型：</label></td>
					<td class="width-35">
						<form:input path="projectType" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">费用估算：</label></td>
					<td class="width-35">
						<form:input path="costEstimate" htmlEscape="false"    class="form-control number money"/>
					</td>
					<td class="width-15 active"><label class="">是否迎峰度夏项目：</label></td>
					<td class="width-35">
						<select id="whetherWindwardProject" name="whetherWindwardProject"  class="form-control">
							<option value="">请选择</option>
							<option value="1">是</option>
							<option value="0">否</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目紧急程度：</label></td>
					<td class="width-35">
						<form:input path="projectUrgencyDegree" htmlEscape="false" class="form-control number"/>
					</td>
					<td class="width-15 active"><label class="">拟实施下达年份：</label></td>
					<td class="width-35">
						<form:input path="implementIssuedYear" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">拟实施批次：</label></td>
					<td class="width-35">
						<form:input path="implementBatch" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">备注：</label></td>
					<td class="width-35">
						<form:textarea path="basicRemarks" htmlEscape="false" rows="3" maxlength="200" class="form-control"/>
					</td>
				</tr>




				<tr>
					<td colspan="4" class="width-15 active"><label class="">设计及评审情况：</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">设计状态：</label></td>
					<td class="width-35">
						<select id="designCondition" name="designCondition"  class="form-control">
							<option value="">请选择</option>
							<option value="1">已完成</option>
							<option value="0">未完成</option>
						</select>
					</td>
					<td class="width-15 active"><label class="">是否通过省公司评审：</label></td>
					<td class="width-35">
						<select id="whetherPassReview" name="whetherPassReview" class="form-control">
							<option value="">请选择</option>
							<option value="1">已通过</option>
							<option value="0">未通过</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">是否需提交路径图（政处）：</label></td>
					<td class="width-35">
						<select id="whetherNeedWiringDiagram" name="whetherNeedWiringDiagram" class="form-control">
							<option value="">请选择</option>
							<option value="1">是</option>
							<option value="0">否</option>
						</select>
					</td>
					<td class="width-15 active"><label class="">是否完成物资清册编制：</label></td>
					<td class="width-35">
						<select id="whetherFinishMaterials" name="whetherFinishMaterials" class="form-control">
							<option value="">请选择</option>
							<option value="1">是</option>
							<option value="0">否</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">是否完成图纸移交：</label></td>
					<td class="width-35">
						<select id="whetherFinishDrawing" name="whetherFinishDrawing" class="form-control">
							<option value="">请选择</option>
							<option value="1">是</option>
							<option value="0">否</option>
						</select>
					</td>
				</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>