<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>

<html>
<head>
	<title>项目建设规模明细</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@ include file="/webpage/include/treeview.jsp" %>
	<%@ include file="scaleDetailsList.js"%>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
		<div class="panel-heading">
			<h3 class="panel-title">项目建设规模明细</h3>
		</div>
		<div class="panel-body">
			<div>
				<ul class="nav nav-tabs">
					<li role="presentation" class="active"><a href="">实时状态</a></li>
					<li role="presentation"><a href="${ctx}/sg/managementCenter/scaleDetails/afterList">审核后状态</a></li>
				</ul>
			</div>
			<!-- 搜索 -->
			<div id="search-collapse" class="collapse">
				<div class="accordion-inner">
					<form:form id="searchForm" modelAttribute="scaleDetails"
							   class="form form-horizontal well clearfix">
						<div class="col-xs-12 col-sm-6 col-md-4">
							<label class="label-item single-overflow pull-left" title="储备项目编号：">储备项目编号：</label>
							<form:input path="projectReserveId" htmlEscape="false" maxlength="64" class=" form-control"/>
						</div>
						<div class="col-xs-12 col-sm-6 col-md-4">
							<div style="margin-top:26px">
								<a id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i
										class="fa fa-search"></i> 查询</a>
								<a id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i
										class="fa fa-refresh"></i> 重置</a>
							</div>
						</div>
					</form:form>
				</div>
			</div>

			<!-- 工具栏 -->
			<div id="toolbar">
				<button id="export" class="btn btn-warning">
					<shiro:hasPermission name="sg:reserve:reserveProcess:export">
					<i class="fa fa-file-excel-o"></i> 导出
					</shiro:hasPermission>
				</button>
			</div>

			<!-- 表格 -->
			<table id="testPicTable" style="table-layout:fixed;overflow:scroll;"  data-toolbar="#toolbar"></table>
		</div>
	</div>
</div>
</body>
</html>