<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>配网物资专职审核材料清单</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="materialReportForm.js" %>
	<style type="text/css">
		/* 下边两行是去掉input 输入框右边的上下箭头按钮*/
		.deal::-webkit-inner-spin-button {
			-webkit-appearance: none !important;
		}
		.deal::-webkit-outer-spin-button {
			-webkit-appearance: none !important;
		}
		input[type="number"]{
			-moz-appearance:textfield;
		}
	</style>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">审核材料清单</h3>
	</div>
		<form:form id="inputForm" modelAttribute="act" class="form-horizontal">
			<input type="hidden" id="procInsId" name="procInsId" value="${showList.act.procInsId}"/>
			<input type="hidden" id="taskId" name="procInsId" value="${showList.act.taskId}"/>
		</form:form>
		<div class="panel-body">
			<table id="informationTable"   data-toolbar="#toolbar" class="table"></table>
			<div class="row">
				<div class="col-sm-3"></div>
				<div class="col-sm-6">
					<div class="form-group text-center" style="text-align: center;margin-top: 20px;">
						<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="确认提交" />&nbsp;
					</div>
				</div>
			</div>
			<c:if test="${not empty showList.id}">
				<act:flowChart procInsId="${showList.act.procInsId}"/>
				<act:histoicFlow procInsId="${showList.act.procInsId}" />
			</c:if>
		</div>
	</div>
	</div>
</body>
</html>