<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>导入Excel</title>
    <meta name="decorator" content="ani"/>
    <script>
        function importExcel(url, fn) {
            var importForm =$("#importForm")[0];
            var year = $("#year").val();
            if(null == year || undefined == year || '' == year){
                jp.error("请填写年份信息！");
                return false;
            }
            jp.loading('  正在导入，请稍等...');
            jp.uploadFile(importForm, url,function (data) {
               fn(data);
            })
        }
    </script>
</head>
<body class="bg-white">
    <div class="wrapper wrapper-content">
        <div id="importBox" >
            <form id="importForm" action="${url}" method="post" enctype="multipart/form-data" style="padding-left:20px;text-align:center;" onsubmit="loading('正在导入，请稍等...');">
                <table class="table table-bordered">
                    <tbody>
                        <tr>
                            <td class="width-15 active"><label class="pull-right"><font color="red">*</font>年份：</label></td>
                            <td class="width-35">
                                <input type="text" id="year" name="year" value="" required="required" class="form-control required">
                            </td>
                            <td class="width-15 active"><label class="pull-right">上传文件：</label></td>
                            <td class="width-35">
                                <input id="uploadFile" name="file" type="file" class="form-control" style="width:300px"/>
                            </td>
                        </tr>
                        <tr>
                            导入文件不能超过5M，仅允许导入“xls”或“xlsx”格式文件！
                        </tr>
                    </tbody>
                </table>


            </form>
        </div>
    </div>
</body>
</html>
