<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>核准阶段管理</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {
	        $('#inDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });

			$(".list-tabs li").click(function(){
				$(".list-tabs li").each(function(){
					$(this).removeAttr("class","active");
					var id='#'+$(this).find("span").html();
					$(id).attr("class","hide");
				})
				$(this).attr("class","active");
				var id='#'+$(this).find("span").html();
				$(id).removeAttr("class","hide");
			})

			$(".list-tabs li").each(function(){
				var data = ${fns:toJson(cableSectionData)};
				var name=$(this).find("span").eq(1).html();
				for (var i=0;i<data.length;i++){
					if (name==data[i].voltageName){
						$(this).find("input").val(data[i].id);
					}
				}
			})
			//400mm
			var cableFourHundredList = ${fns:toJson(cableFourHundredList)};
			if (null != cableFourHundredList){
				var cableFourHundredListTotal=0;
				for (var i=0;i<cableFourHundredList.length;i++){
					var electricalChief=cableFourHundredList[i].electricalChief;
					cableFourHundredListTotal=cableFourHundredListTotal+parseFloat(electricalChief);
				}
				document.getElementById("cableFourHundredListTotal").value=(cableFourHundredListTotal/1000).toFixed(4);
			}
			//300mm
			var cableThreeHundredList = ${fns:toJson(cableThreeHundredList)};
			if (null != cableThreeHundredList){
				var cableThreeHundredListTotal=0;
				for (var i=0;i<cableThreeHundredList.length;i++){
					var electricalChief=cableThreeHundredList[i].electricalChief;
					cableThreeHundredListTotal=cableThreeHundredListTotal+parseFloat(electricalChief);
				}
				document.getElementById("cableThreeHundredListTotal").value=(cableThreeHundredListTotal/1000).toFixed(4);
			}
			//240mm
			var cableTwoHundredFortyList = ${fns:toJson(cableTwoHundredFortyList)};
			if (null != cableTwoHundredFortyList){
				var cableTwoHundredFortyListTotal=0;
				for (var i=0;i<cableTwoHundredFortyList.length;i++){
					var electricalChief=cableTwoHundredFortyList[i].electricalChief;
					cableTwoHundredFortyListTotal=cableTwoHundredFortyListTotal+parseFloat(electricalChief);
				}
				document.getElementById("cableTwoHundredFortyListTotal").value=(cableTwoHundredFortyListTotal/1000).toFixed(4);
			}
			//120mm
			var cableHundredAndTwentyList = ${fns:toJson(cableHundredAndTwentyList)};
			if (null != cableHundredAndTwentyList){
				var cableHundredAndTwentyListTotal=0;
				for (var i=0;i<cableHundredAndTwentyList.length;i++){
					var electricalChief=cableHundredAndTwentyList[i].electricalChief;
					cableHundredAndTwentyListTotal=cableHundredAndTwentyListTotal+parseFloat(electricalChief);
				}
				document.getElementById("cableHundredAndTwentyListTotal").value=(cableHundredAndTwentyListTotal/1000).toFixed(4);
			}
			//70mm
			var cableSeventyList = ${fns:toJson(cableSeventyList)};
			if (null != cableSeventyList){
				var cableSeventyListTotal=0;
				for (var i=0;i<cableSeventyList.length;i++){
					var electricalChief=cableSeventyList[i].electricalChief;
					cableSeventyListTotal=cableSeventyListTotal+parseFloat(electricalChief);
				}
				document.getElementById("cableSeventyListTotal").value=(cableSeventyListTotal/1000).toFixed(4);
			}

		});

		function save() {
			var isValidate = jp.validateForm('#inputForm');//校验表单
			if(!isValidate){
				return false;
			}else{
				var uuid = $("#uuid").val();
				jp.loading();
				jp.post("${ctx}/raiseCapitalDesign/saveCable",$('#inputForm').serialize(),function(data){
					if(data.success){
						jp.getParent().refresh();
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
						jp.success(data.msg)
						jp.getParent().refreshCables(uuid);
					}else{
						jp.error(data.msg);
					}
				})
			}

		}
		function addRow(list, idx, tpl, row){
			$(list).prepend(Mustache.render(tpl, {
				idx: idx, delBtn: true, row: row
			}));
			$(list+idx).find("select").each(function(){
				$(this).val($(this).attr("data-value"));
			});
			$(list+idx).find("input[type='checkbox'], input[type='radio']").each(function(){
				var ss = $(this).attr("data-value").split(',');
				for (var i=0; i<ss.length; i++){
					if($(this).val() == ss[i]){
						$(this).attr("checked","checked");
					}
				}
			});
			$(list+idx).find(".form_datetime").each(function(){
				 $(this).datetimepicker({
					 format: "YYYY-MM-DD HH:mm:ss"
			    });
			});
		}
		function delRow(obj, prefix,tbody,idx){
			var id = $(prefix+"_id");
			var delFlag = $(prefix+"_delFlag");
			if (id.val() == ""){
				$(obj).parent().parent().remove();
				if (idx=='cableFourHundredRowIdx'){
					cableFourHundredRowIdx=cableFourHundredRowIdx-1;
					cableFourHundredTotal(tbody,cableFourHundredRowIdx);
				}else if (idx=='cableThreeHundredRowIdx'){
					cableThreeHundredRowIdx=cableThreeHundredRowIdx-1;
					cableFourHundredTotal(tbody,cableThreeHundredRowIdx);
				}else if (idx=='cableTwoHundredFortyRowIdx'){
					cableTwoHundredFortyRowIdx=cableTwoHundredFortyRowIdx-1;
					cableFourHundredTotal(tbody,cableTwoHundredFortyRowIdx);
				}else if (idx=='cableHundredAndTwentyRowIdx'){
					cableHundredAndTwentyRowIdx=cableHundredAndTwentyRowIdx-1;
					cableFourHundredTotal(tbody,cableHundredAndTwentyRowIdx);
				}else if (idx=='cableSeventyRowIdx'){
					cableSeventyRowIdx=cableSeventyRowIdx-1;
					cableFourHundredTotal(tbody,cableSeventyRowIdx);
				}
			}else if(delFlag.val() == "0"){
				delFlag.val("1");
				$(obj).html("&divide;").attr("title", "撤销删除");
				$(obj).parent().parent().addClass("error");
			}else if(delFlag.val() == "1"){
				delFlag.val("0");
				$(obj).html("&times;").attr("title", "删除");
				$(obj).parent().parent().removeClass("error");
			}
		}
		function cableJiSuan(obj,prefix,tbody,idx) {
			var tr=$(obj).parent().parent();
			// var pathLength =$(tr).find("td").eq(2).val();//路径长（m）
			var pathLength =document.getElementById(prefix+"_pathLength").value;//路径长（m）
			var upperRod =document.getElementById(prefix+"_upperRod").value;//上杆（m）
			var arrival =document.getElementById(prefix+"_arrival").value;//进站（m）
			var incomingEquipment =document.getElementById(prefix+"_incomingEquipment").value;//进设备（m）
			var coefficient =document.getElementById(prefix+"_coefficient").value;//系数
			if (pathLength==undefined || pathLength=='' ){
				pathLength=0;
			}if (upperRod==undefined || upperRod==''){
				upperRod=0;
			}if ( arrival==undefined || arrival==''){
				arrival=0;
			}if (incomingEquipment==undefined || incomingEquipment==''){
				incomingEquipment=0;
			}
			var total=(parseFloat(pathLength)+parseFloat(upperRod)+parseFloat(arrival)+parseFloat(incomingEquipment))*parseFloat(coefficient);
			document.getElementById(prefix+"_electricalChief").value=total.toFixed(2);
			cableFourHundredTotal(tbody,idx);
		}
		function cableFourHundredTotal(tbody,idx) {
			var length=idx;
			var totalLength=0
			for (var i=0;i<length;i++){
				var ss=$("#"+tbody).find('tr').eq(i).attr("id");
				var id=ss+"_electricalChief";
				var electricalChief =document.getElementById(id).value;//电气长（m）
				if (electricalChief==''){
					electricalChief=0;
				}
				totalLength+=parseFloat(electricalChief)
			}
			var totalName=tbody+"Total"
			document.getElementById(totalName).value=(totalLength/1000).toFixed(4);
		}
	</script>
</head>
<body class="bg-white">

		<form:form id="inputForm" modelAttribute="cableSectionData" action="${ctx}/filing/basicInformation/save" method="post" class="form-horizontal">
			<input type="hidden" id="uuid" name="uuid" value="${uuid}">
			<div>
				<ul class="nav nav-tabs list-tabs">
					<li class="active" role="presentation" id="click1"><a id="dq" href="javascript:void(0)"><span class="hide">cableFourHundred</span><span>YJV22-3×400mm²</span></a><input type="hidden" name="cableFourHundredId"/></li>
					<li role="presentation"><a href="javascript:void(0)"><span class="hide">cableThreeHundred</span><span>YJV22-3×300mm²</span></a><input type="hidden" name="cableThreeHundredId"/></li>
					<li role="presentation"><a href="javascript:void(0)"><span class="hide">cableTwoHundredForty</span><span>YJV22-3×240mm²</span></a><input type="hidden" name="cableTwoHundredFortyId"/></li>
					<li role="presentation"><a href="javascript:void(0)"><span class="hide">cableHundredAndTwenty</span><span>YJV22-3×120mm²</span></a><input type="hidden" name="cableHundredAndTwentyId"/></li>
					<li role="presentation"><a href="javascript:void(0)"><span class="hide">cableSeventy</span><span>YJV22-3×70mm²</span></a><input type="hidden" name="cableSeventyId"/></li>
				</ul>
			</div>
			<div class="tabs-container" id="cableFourHundred">
				<div class="tab-content">
					<div id="tab-1" class="tab-pane fade in  active">
					<a class="btn btn-white btn-sm" onclick="addRow('#cableFourHundredList', cableFourHundredRowIdx, cableFourHundredTpl);cableFourHundredRowIdx = cableFourHundredRowIdx + 1;" title="新增">	<i class="glyphicon glyphicon-plus"></i> 新建</a>
					<table class="table table-striped table-bordered table-condensed">
					<thead>
						<tr>
							<th class="hide"></th>
							<th>起讫点</th>
							<th>路径长（m）</th>
							<th>上杆（m）</th>
							<th>进站（m）</th>
							<th>进设备（m）</th>
							<th>系数</th>
							<th>电气长（m）</th>
							<th width="10">&nbsp;</th>
						</tr>
					</thead>
					<tbody id="cableFourHundredList">
						<tr>
							<td colspan="6">总长（km)：</td>
							<td width="200px">
								<input type='text' id="cableFourHundredListTotal"  name="cableFourHundredListTotal" readonly= "true" class="form-control"  value=""/>
							</td>
						</tr>
					</tbody>
				</table>
				<script type="text/template" id="cableFourHundredTpl">//<!--
					<tr id="cableFourHundredList[{{idx}}]">
						<td class="hide">
							<input id="cableFourHundredList{{idx}}_id" name="cableFourHundredList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
							<input id="cableFourHundredList{{idx}}_delFlag" name="cableFourHundredList[{{idx}}].delFlag" type="hidden" value="0"/>
						</td>

						<td  class="max-width-250">
						<input type='text' id="cableFourHundredList[{{idx}}]_destination" name="cableFourHundredList[{{idx}}].destination" class="form-control"  value="{{row.destination}}" />
						</td>

						<td  class="max-width-250">
							<input type='text' id="cableFourHundredList[{{idx}}]_pathLength" name="cableFourHundredList[{{idx}}].pathLength" class="form-control" onchange="cableJiSuan(this,'cableFourHundredList[{{idx}}]','cableFourHundredList',cableFourHundredRowIdx)"  value="{{row.pathLength}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableFourHundredList[{{idx}}]_upperRod" name="cableFourHundredList[{{idx}}].upperRod" class="form-control" onchange="cableJiSuan(this,'cableFourHundredList[{{idx}}]','cableFourHundredList',cableFourHundredRowIdx)"  value="{{row.upperRod}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableFourHundredList[{{idx}}]_arrival" name="cableFourHundredList[{{idx}}].arrival" class="form-control" onchange="cableJiSuan(this,'cableFourHundredList[{{idx}}]','cableFourHundredList',cableFourHundredRowIdx)"  value="{{row.arrival}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableFourHundredList[{{idx}}]_incomingEquipment" name="cableFourHundredList[{{idx}}].incomingEquipment" onchange="cableJiSuan(this,'cableFourHundredList[{{idx}}]','cableFourHundredList',cableFourHundredRowIdx)" class="form-control"  value="{{row.incomingEquipment}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableFourHundredList[{{idx}}]_coefficient"  name="cableFourHundredList[{{idx}}].coefficient" readonly= "true" class="form-control"  value="${cableFactor}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableFourHundredList[{{idx}}]_electricalChief"  name="cableFourHundredList[{{idx}}].electricalChief" readonly= "true" class="form-control"  value="{{row.electricalChief}}"/>
						</td>
						<td class="text-center" width="10">
							{{#delBtn}}<span class="close" onclick="delRow(this, '#cableFourHundredList{{idx}}','cableFourHundredList','cableFourHundredRowIdx')" title="删除">&times;</span>{{/delBtn}}
						</td>
					</tr>//-->
				</script>
				<script type="text/javascript">
					var cableFourHundredRowIdx = 0, cableFourHundredTpl = $("#cableFourHundredTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
					$(document).ready(function() {
						var data = ${fns:toJson(cableFourHundredList)};
						for (var i=0; i<data.length; i++){
							console.log(data[i])
							addRow('#cableFourHundredList', cableFourHundredRowIdx, cableFourHundredTpl, data[i]);
							cableFourHundredRowIdx = cableFourHundredRowIdx + 1;
						}
					});
				</script>
				</div>
			</div>
		</div>
			<div class="tabs-container hide" id="cableThreeHundred">
				<div class="tab-content">
					<div id="tab-2" class="tab-pane fade in  active">
					<a class="btn btn-white btn-sm" onclick="addRow('#cableThreeHundredList', cableThreeHundredRowIdx, cableThreeHundredTpl);cableThreeHundredRowIdx = cableThreeHundredRowIdx + 1;" title="新增">	<i class="glyphicon glyphicon-plus"></i> 新建</a>
					<table class="table table-striped table-bordered table-condensed">
					<thead>
						<tr>
							<th class="hide"></th>
							<th>起讫点</th>
							<th>路径长（m）</th>
							<th>上杆（m）</th>
							<th>进站（m）</th>
							<th>进设备（m）</th>
							<th>系数</th>
							<th>电气长（m）</th>
							<th width="10">&nbsp;</th>
						</tr>
					</thead>
					<tbody id="cableThreeHundredList">
						<tr>
							<td colspan="6">总长（km)：</td>
							<td width="200px">
								<input type='text' id="cableThreeHundredListTotal"  name="cableThreeHundredListTotal" readonly= "true" class="form-control"  value=""/>
							</td>
						</tr>
					</tbody>
				</table>
				<script type="text/template" id="cableThreeHundredTpl">//<!--
				<tr id="cableThreeHundredList[{{idx}}]">
						<td class="hide">
							<input id="cableThreeHundredList{{idx}}_id" name="cableThreeHundredList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
							<input id="cableThreeHundredList{{idx}}_delFlag" name="cableThreeHundredList[{{idx}}].delFlag" type="hidden" value="0"/>
						</td>

						<td  class="max-width-250">
						<input type='text' id="cableThreeHundredList[{{idx}}]_destination" name="cableThreeHundredList[{{idx}}].destination" class="form-control"  value="{{row.destination}}"/>
						</td>

						<td  class="max-width-250">
							<input type='text' id="cableThreeHundredList[{{idx}}]_pathLength" name="cableThreeHundredList[{{idx}}].pathLength" class="form-control" onchange="cableJiSuan(this,'cableThreeHundredList[{{idx}}]','cableThreeHundredList',cableThreeHundredRowIdx)"  value="{{row.pathLength}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableThreeHundredList[{{idx}}]_upperRod" name="cableThreeHundredList[{{idx}}].upperRod" class="form-control" onchange="cableJiSuan(this,'cableThreeHundredList[{{idx}}]','cableThreeHundredList',cableThreeHundredRowIdx)"  value="{{row.upperRod}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableThreeHundredList[{{idx}}]_arrival" name="cableThreeHundredList[{{idx}}].arrival" class="form-control" onchange="cableJiSuan(this,'cableThreeHundredList[{{idx}}]','cableThreeHundredList',cableThreeHundredRowIdx)"  value="{{row.arrival}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableThreeHundredList[{{idx}}]_incomingEquipment" name="cableThreeHundredList[{{idx}}].incomingEquipment" onchange="cableJiSuan(this,'cableThreeHundredList[{{idx}}]','cableThreeHundredList',cableThreeHundredRowIdx)" class="form-control"  value="{{row.incomingEquipment}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableThreeHundredList[{{idx}}]_coefficient"  name="cableThreeHundredList[{{idx}}].coefficient" readonly= "true" class="form-control"  value="${cableFactor}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableThreeHundredList[{{idx}}]_electricalChief"  name="cableThreeHundredList[{{idx}}].electricalChief" readonly= "true" class="form-control"  value="{{row.electricalChief}}"/>
						</td>
						<td class="text-center" width="10">
							{{#delBtn}}<span class="close" onclick="delRow(this, '#cableThreeHundredList{{idx}}','cableThreeHundredList','cableThreeHundredRowIdx')" title="删除">&times;</span>{{/delBtn}}
						</td>
					</tr>//-->
				</script>
				<script type="text/javascript">
					var cableThreeHundredRowIdx = 0, cableThreeHundredTpl = $("#cableThreeHundredTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
					$(document).ready(function() {
						var data = ${fns:toJson(cableThreeHundredList)};
						for (var i=0; i<data.length; i++){
							console.log(data[i])
							addRow('#cableThreeHundredList', cableThreeHundredRowIdx, cableThreeHundredTpl, data[i]);
							cableThreeHundredRowIdx = cableThreeHundredRowIdx + 1;
						}
					});
				</script>
				</div>
			</div>
		</div>
			<div class="tabs-container hide" id="cableTwoHundredForty">
				<div class="tab-content">
					<div id="tab-3" class="tab-pane fade in  active">
					<a class="btn btn-white btn-sm" onclick="addRow('#cableTwoHundredFortyList', cableTwoHundredFortyRowIdx, cableTwoHundredFortyTpl);cableTwoHundredFortyRowIdx = cableTwoHundredFortyRowIdx + 1;" title="新增">	<i class="glyphicon glyphicon-plus"></i> 新建</a>
					<table class="table table-striped table-bordered table-condensed">
					<thead>
						<tr>
							<th class="hide"></th>
							<th>起讫点</th>
							<th>路径长（m）</th>
							<th>上杆（m）</th>
							<th>进站（m）</th>
							<th>进设备（m）</th>
							<th>系数</th>
							<th>电气长（m）</th>
							<th width="10">&nbsp;</th>

						</tr>
					</thead>
					<tbody id="cableTwoHundredFortyList">
						<tr>
							<td colspan="6">总长（km)：</td>
							<td width="200px">
								<input type='text' id="cableTwoHundredFortyListTotal"  name="cableTwoHundredFortyListTotal" readonly= "true" class="form-control"  value=""/>
							</td>
						</tr>
					</tbody>
				</table>
				<script type="text/template" id="cableTwoHundredFortyTpl">//<!--
				<tr id="cableTwoHundredFortyList[{{idx}}]">
						<td class="hide">
							<input id="cableTwoHundredFortyList{{idx}}_id" name="cableTwoHundredFortyList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
							<input id="cableTwoHundredFortyList{{idx}}_delFlag" name="cableTwoHundredFortyList[{{idx}}].delFlag" type="hidden" value="0"/>
						</td>

						<td  class="max-width-250">
						<input type='text' id="cableTwoHundredFortyList[{{idx}}]_destination" name="cableTwoHundredFortyList[{{idx}}].destination" class="form-control"  value="{{row.destination}}"/>
						</td>

						<td  class="max-width-250">
							<input type='text' id="cableTwoHundredFortyList[{{idx}}]_pathLength" name="cableTwoHundredFortyList[{{idx}}].pathLength" class="form-control" onchange="cableJiSuan(this,'cableTwoHundredFortyList[{{idx}}]','cableTwoHundredFortyList',cableTwoHundredFortyRowIdx)"  value="{{row.pathLength}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableTwoHundredFortyList[{{idx}}]_upperRod" name="cableTwoHundredFortyList[{{idx}}].upperRod" class="form-control" onchange="cableJiSuan(this,'cableTwoHundredFortyList[{{idx}}]','cableTwoHundredFortyList',cableTwoHundredFortyRowIdx)"  value="{{row.upperRod}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableTwoHundredFortyList[{{idx}}]_arrival" name="cableTwoHundredFortyList[{{idx}}].arrival" class="form-control" onchange="cableJiSuan(this,'cableTwoHundredFortyList[{{idx}}]','cableTwoHundredFortyList',cableTwoHundredFortyRowIdx)"  value="{{row.arrival}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableTwoHundredFortyList[{{idx}}]_incomingEquipment" name="cableTwoHundredFortyList[{{idx}}].incomingEquipment" onchange="cableJiSuan(this,'cableTwoHundredFortyList[{{idx}}]','cableTwoHundredFortyList',cableTwoHundredFortyRowIdx)" class="form-control"  value="{{row.incomingEquipment}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableTwoHundredFortyList[{{idx}}]_coefficient"  name="cableTwoHundredFortyList[{{idx}}].coefficient" readonly= "true" class="form-control"  value="${cableFactor}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableTwoHundredFortyList[{{idx}}]_electricalChief"  name="cableTwoHundredFortyList[{{idx}}].electricalChief" readonly= "true" class="form-control"  value="{{row.electricalChief}}"/>
						</td>
						<td class="text-center" width="10">
							{{#delBtn}}<span class="close" onclick="delRow(this, '#cableTwoHundredFortyList{{idx}}','cableTwoHundredFortyList','cableTwoHundredFortyRowIdx')" title="删除">&times;</span>{{/delBtn}}
						</td>
					</tr>//-->
				</script>
				<script type="text/javascript">
					var cableTwoHundredFortyRowIdx = 0, cableTwoHundredFortyTpl = $("#cableTwoHundredFortyTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
					$(document).ready(function() {
						var data = ${fns:toJson(cableTwoHundredFortyList)};
						for (var i=0; i<data.length; i++){
							console.log(data[i])
							addRow('#cableTwoHundredFortyList', cableTwoHundredFortyRowIdx, cableTwoHundredFortyTpl, data[i]);
							cableTwoHundredFortyRowIdx = cableTwoHundredFortyRowIdx + 1;
						}
					});
				</script>
				</div>
			</div>
		</div>
			<div class="tabs-container hide" id="cableHundredAndTwenty">
				<div class="tab-content">
					<div id="tab-4" class="tab-pane fade in  active">
					<a class="btn btn-white btn-sm" onclick="addRow('#cableHundredAndTwentyList', cableHundredAndTwentyRowIdx, cableHundredAndTwentyTpl);cableHundredAndTwentyRowIdx = cableHundredAndTwentyRowIdx + 1;" title="新增">	<i class="glyphicon glyphicon-plus"></i> 新建</a>
					<table class="table table-striped table-bordered table-condensed">
					<thead>
						<tr>
							<th class="hide"></th>
							<th>起讫点</th>
							<th>路径长（m）</th>
							<th>上杆（m）</th>
							<th>进站（m）</th>
							<th>进设备（m）</th>
							<th>系数</th>
							<th>电气长（m）</th>
							<th width="10">&nbsp;</th>
						</tr>
					</thead>
					<tbody id="cableHundredAndTwentyList">
						<tr>
							<td colspan="6">总长（km)：</td>
							<td width="200px">
								<input type='text' id="cableHundredAndTwentyListTotal"  name="cableHundredAndTwentyListTotal" readonly= "true" class="form-control"  value=""/>
							</td>
						</tr>
					</tbody>
				</table>
				<script type="text/template" id="cableHundredAndTwentyTpl">//<!--
				<tr id="cableHundredAndTwentyList[{{idx}}]">
						<td class="hide">
							<input id="cableHundredAndTwentyList{{idx}}_id" name="cableHundredAndTwentyList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
							<input id="cableHundredAndTwentyList{{idx}}_delFlag" name="cableHundredAndTwentyList[{{idx}}].delFlag" type="hidden" value="0"/>
						</td>

						<td  class="max-width-250">
						<input type='text' id="cableHundredAndTwentyList[{{idx}}]_destination" name="cableHundredAndTwentyList[{{idx}}].destination" class="form-control"  value="{{row.destination}}"/>
						</td>

						<td  class="max-width-250">
							<input type='text' id="cableHundredAndTwentyList[{{idx}}]_pathLength" name="cableHundredAndTwentyList[{{idx}}].pathLength" class="form-control" onchange="cableJiSuan(this,'cableHundredAndTwentyList[{{idx}}]','cableHundredAndTwentyList',cableHundredAndTwentyRowIdx)"  value="{{row.pathLength}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableHundredAndTwentyList[{{idx}}]_upperRod" name="cableHundredAndTwentyList[{{idx}}].upperRod" class="form-control" onchange="cableJiSuan(this,'cableHundredAndTwentyList[{{idx}}]','cableHundredAndTwentyList',cableHundredAndTwentyRowIdx)"  value="{{row.upperRod}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableHundredAndTwentyList[{{idx}}]_arrival" name="cableHundredAndTwentyList[{{idx}}].arrival" class="form-control" onchange="cableJiSuan(this,'cableHundredAndTwentyList[{{idx}}]','cableHundredAndTwentyList',cableHundredAndTwentyRowIdx)"  value="{{row.arrival}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableHundredAndTwentyList[{{idx}}]_incomingEquipment" name="cableHundredAndTwentyList[{{idx}}].incomingEquipment" onchange="cableJiSuan(this,'cableHundredAndTwentyList[{{idx}}]','cableHundredAndTwentyList',cableHundredAndTwentyRowIdx)" class="form-control"  value="{{row.incomingEquipment}}" onkeyup="this.value=this.value.replace(/^(\d*\.?\d{0,2}).*/,'$1')" maxlength="10"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableHundredAndTwentyList[{{idx}}]_coefficient"  name="cableHundredAndTwentyList[{{idx}}].coefficient" readonly= "true" class="form-control"  value="${cableFactor}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableHundredAndTwentyList[{{idx}}]_electricalChief"  name="cableHundredAndTwentyList[{{idx}}].electricalChief" readonly= "true" class="form-control"  value="{{row.electricalChief}}"/>
						</td>
						<td class="text-center" width="10">
							{{#delBtn}}<span class="close" onclick="delRow(this, '#cableHundredAndTwentyList{{idx}}','cableHundredAndTwentyList','cableHundredAndTwentyRowIdx')" title="删除">&times;</span>{{/delBtn}}
						</td>
					</tr>//-->
				</script>
				<script type="text/javascript">
					var cableHundredAndTwentyRowIdx = 0, cableHundredAndTwentyTpl = $("#cableHundredAndTwentyTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
					$(document).ready(function() {
						var data = ${fns:toJson(cableHundredAndTwentyList)};
						for (var i=0; i<data.length; i++){
							console.log(data[i])
							addRow('#cableHundredAndTwentyList', cableHundredAndTwentyRowIdx, cableHundredAndTwentyTpl, data[i]);
							cableHundredAndTwentyRowIdx = cableHundredAndTwentyRowIdx + 1;
						}
					});
				</script>
				</div>
			</div>
		</div>
			<div class="tabs-container hide" id="cableSeventy">
				<div class="tab-content">
					<div id="tab-5" class="tab-pane fade in  active">
					<a class="btn btn-white btn-sm" onclick="addRow('#cableSeventyList', cableSeventyRowIdx, cableSeventyTpl);cableSeventyRowIdx = cableSeventyRowIdx + 1;" title="新增">	<i class="glyphicon glyphicon-plus"></i> 新建</a>
					<table class="table table-striped table-bordered table-condensed">
					<thead>
						<tr>
							<th class="hide"></th>
							<th>起讫点</th>
							<th>路径长（m）</th>
							<th>上杆（m）</th>
							<th>进站（m）</th>
							<th>进设备（m）</th>
							<th>系数</th>
							<th>电气长（m）</th>
							<th width="10">&nbsp;</th>
						</tr>
					</thead>
					<tbody id="cableSeventyList">
						<tr>
							<td colspan="6">总长（km)：</td>
							<td width="200px">
								<input type='text' id="cableSeventyListTotal"  name="cableSeventyListTotal" readonly= "true" class="form-control"  value=""/>
							</td>
						</tr>
					</tbody>
				</table>
				<script type="text/template" id="cableSeventyTpl">//<!--
				<tr id="cableSeventyList[{{idx}}]">
						<td class="hide">
							<input id="cableSeventyList{{idx}}_id" name="cableSeventyList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
							<input id="cableSeventyList{{idx}}_delFlag" name="cableSeventyList[{{idx}}].delFlag" type="hidden" value="0"/>
						</td>

						<td  class="max-width-250">
						<input type='text' id="cableSeventyList[{{idx}}]_destination" name="cableSeventyList[{{idx}}].destination" class="form-control"  value="{{row.destination}}"/>
						</td>

						<td  class="max-width-250">
							<input type='text' id="cableSeventyList[{{idx}}]_pathLength" name="cableSeventyList[{{idx}}].pathLength" class="form-control" onchange="cableJiSuan(this,'cableSeventyList[{{idx}}]','cableSeventyList',cableSeventyRowIdx)"  value="{{row.pathLength}}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableSeventyList[{{idx}}]_upperRod" name="cableSeventyList[{{idx}}].upperRod" class="form-control" onchange="cableJiSuan(this,'cableSeventyList[{{idx}}]','cableSeventyList',cableSeventyRowIdx)"  value="{{row.upperRod}}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableSeventyList[{{idx}}]_arrival" name="cableSeventyList[{{idx}}].arrival" class="form-control" onchange="cableJiSuan(this,'cableSeventyList[{{idx}}]','cableSeventyList',cableSeventyRowIdx)"  value="{{row.arrival}}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableSeventyList[{{idx}}]_incomingEquipment" name="cableSeventyList[{{idx}}].incomingEquipment" onchange="cableJiSuan(this,'cableSeventyList[{{idx}}]','cableSeventyList',cableSeventyRowIdx)" class="form-control"  value="{{row.incomingEquipment}}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableSeventyList[{{idx}}]_coefficient"  name="cableSeventyList[{{idx}}].coefficient" readonly= "true" class="form-control"  value="${cableFactor}"/>
						</td>
						<td class="max-width-250">
							<input type='text' id="cableSeventyList[{{idx}}]_electricalChief"  name="cableSeventyList[{{idx}}].electricalChief" readonly= "true" class="form-control"  value="{{row.electricalChief}}"/>
						</td>
						<td class="text-center" width="10">
							{{#delBtn}}<span class="close" onclick="delRow(this, '#cableSeventyList{{idx}}','cableSeventyList','cableSeventyRowIdx')" title="删除">&times;</span>{{/delBtn}}
						</td>
					</tr>//-->
				</script>
				<script type="text/javascript">
					var cableSeventyRowIdx = 0, cableSeventyTpl = $("#cableSeventyTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
					$(document).ready(function() {
						var data = ${fns:toJson(cableSeventyList)};
						for (var i=0; i<data.length; i++){
							console.log(data[i])
							addRow('#cableSeventyList', cableSeventyRowIdx, cableSeventyTpl, data[i]);
							cableSeventyRowIdx = cableSeventyRowIdx + 1;
						}
					});
				</script>
				</div>
			</div>
		</div>
		</form:form>
</body>
</html>
