<%@ page pageEncoding="UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>所有项目信息</title>
    <meta name="decorator" content="ani"/>
    <!-- SUMMERNOTE -->
    <%@ include file="/webpage/include/bootstraptable.jsp"%>
    <%@include file="/webpage/include/summernote.jsp" %>
    <%@include file="closureView.js" %>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <style type="text/css">
        /* 下边两行是去掉input 输入框右边的上下箭头按钮*/
        .deal::-webkit-inner-spin-button {
            -webkit-appearance: none !important;
        }
        .deal::-webkit-outer-spin-button {
            -webkit-appearance: none !important;
        }
        input[type="number"]{
            -moz-appearance:textfield;
        }

    </style>
</head>
<body>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        <a class="panelButton" href="#" onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
                    </h3>
                </div>
                <div class="panel-body">
                    <div>
                        <ul class="nav nav-tabs">
                            <li role="presentation" ><a href="${ctx}/scheduleView/designView">设计变更问题</a></li>
                            <li role="presentation" class="active"><a href="">项目关闭问题</a></li>
                            <li role="presentation"><a href="${ctx}/scheduleView/policyView">政策处理问题</a> </li>
                        </ul>
                    </div>
                    <!-- 搜索 -->
                    <div id="search-collapse" class="collapse">
                        <div class="accordion-inner">
                            <form:form id="searchForm" modelAttribute="scheduleView" class="form form-horizontal well clearfix">
                                <div class="col-xs-12 col-sm-6 col-md-4">
                                    <label class="label-item single-overflow pull-left" title="储备项目暂定名称：">储备项目暂定名称：</label>
                                    <form:input path="reserveProjectName" htmlEscape="false" maxlength="100"  class=" form-control"/>
                                </div>
                                <div class="col-xs-12 col-sm-6 col-md-4">
                                    <label class="label-item single-overflow pull-left" title="项目定义：">项目定义号：</label>
                                    <form:input path="projectId" htmlEscape="false" maxlength="100"  class=" form-control"/>
                                </div>
                                <div class="col-xs-12 col-sm-6 col-md-4">
                                    <label class="label-item single-overflow pull-left" title="项目名称：">项目名称：</label>
                                    <form:input path="projectName" htmlEscape="false" maxlength="100"  class=" form-control"/>
                                </div>
                                <div class="col-xs-12 col-sm-6 col-md-4">
                                    <div style="margin-top:26px">
                                        <a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
                                        <a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
                                    </div>
                                </div>
                            </form:form>
                        </div>
                    </div>
                    <!-- 表格 -->
                    <table id="settTable" data-toolbar="#toolbar" class="table"></table>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>