<%@ page pageEncoding="UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>审计现场复核数量</title>
    <meta name="decorator" content="ani"/>
    <!-- SUMMERNOTE -->
    <%@include file="/webpage/include/summernote.jsp" %>
    <%@include file="reviewQuantity.js" %>
    <style type="text/css">
        /* 下边两行是去掉input 输入框右边的上下箭头按钮*/
        .deal::-webkit-inner-spin-button {
            -webkit-appearance: none !important;
        }
        .deal::-webkit-outer-spin-button {
            -webkit-appearance: none !important;
        }
        input[type="number"]{
            -moz-appearance:textfield;
        }
    </style>
</head>
<body>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        <a class="panelButton" href="#" onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
                    </h3>
                </div>

                <div class="panel-body">
                    <form:form id="inputForm" modelAttribute="settActivi" action="" method="post" class="form-horizontal" enctype="multipart/form-data">
                        <form:hidden path="id"/>
                        <form:hidden path="act.taskId"/>
                        <form:hidden path="act.taskName"/>
                        <form:hidden path="act.taskDefKey"/>
                        <form:hidden path="act.procDefId"/>
                        <input type="hidden" id="procInsId" name="procInsId" value="${settActivi.act.procInsId}"/>
                        <div class="form-group text-center">
                            <h3> 审计现场复核数量</h3>
                        </div>

                        <table class="table table-bordered">
                            <tbody>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"><font color="red">*</font>上传扫描件：</label></td>
                                <td class="width-35">
                                    <sys:fileUpload  path="pic" fileNumLimit="50" fileSizeLimit="50" value="${}" type="file" uploadPath="/jiesuan"></sys:fileUpload>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                        <div id="">
                            <button id="printf" class="btn btn-info">
                                <i class="fa fa-folder-open-o"></i> 导出
                            </button>
                        </div>


                        <!-- 表格 -->
                        <table id="settTable" data-toolbar="#toolbar" class="table"></table>

                        <div class="row">
                            <div class="col-sm-3"></div>
                            <div class="col-sm-6">
                                <div class="form-group text-center" style="text-align: center;margin-top: 20px;">
                                    <input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="完成领料" />&nbsp;
                                </div>
                            </div>
                        </div>
                    </form:form>
                    <c:if test="${not empty settActivi.id}">
                        <act:flowChart procInsId="${settActivi.act.procInsId}"/>
                        <act:histoicFlow procInsId="${settActivi.act.procInsId}"/>
                    </c:if>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>