/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.filing.approvalStage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.filing.approvalStage.entity.ApprovalStage;
import com.jeeplus.modules.filing.approvalStage.entity.ProjectOverview;
import com.jeeplus.modules.filing.approvalStage.entity.StudyStage;

import java.util.List;

/**
 * 项目概述MAPPER接口
 * @author qy
 * @version 2021-03-25
 */
@MyBatisMapper
public interface StudyStageMapper extends BaseMapper<StudyStage> {

    List<StudyStage> findChildList(StudyStage entity);

    Integer findByCode(StudyStage entity);


    /**
     * 通过项目id查询出所有的项目信息
     * findAllStudy
     * */
    List<StudyStage> findAllStudy(List<String> idList);
}