/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.filing.earlyEngineering.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.filing.earlyEngineering.entity.ApplicationFor;

import java.util.List;

/**
 * 核准阶段MAPPER接口
 * @author qy
 * @version 2021-03-25
 */
@MyBatisMapper
public interface ApplicationForMapper extends BaseMapper<ApplicationFor> {
    List<ApplicationFor> findChildList(ApplicationFor entity);

    Integer findByCode(ApplicationFor entity);


    /**
     * 通过id集合查询出所有符合条件的项目基础信息
     */
    List<ApplicationFor> findByIdList(List<String> idList);

    /**
     * 通过项目id查询出所有的项目信息
     * */
    List<ApplicationFor> findAll(List<String> idList);
}