/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.oa.entity.OaNotify;
import com.jeeplus.modules.sg.managementcenter.project.entity.PickingRequisition;

import java.util.List;

/**
 * 通知通告MAPPER接口
 * @author jeeplus
 * @version 2017-05-16
 */
@MyBatisMapper
public interface OaNotifyMapper extends BaseMapper<OaNotify> {
	
	/**
	 * 获取通知数目
	 * @param oaNotify
	 * @return
	 */
	public Long findCount(OaNotify oaNotify);

	/**
	 * 获取缺货信息
	 */
	public List<PickingRequisition> notifyInformation();

}