/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.materialQuota.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.entity.LiKuResourcePool;
import com.jeeplus.modules.sg.balancedlibrary.materialQuota.entity.MaterialQuota;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 物料限额MAPPER接口
 * @author enford
 * @version 1.0
 */
@MyBatisMapper
public interface MaterialQuotaMapper extends BaseMapper<MaterialQuota> {
    /**
     *
     * @param list 数据列表
     * */
    void insertList(@Param("list") List<MaterialQuota> list);

    /**
     * 清空物料限额数据
     */
    void clearMaterialQuota();

    /**
     * 根据id批量删除
     * @param list
     */
    void delList(@Param("list") List<String> list);
}