/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.entity.LiKuResourcePool;
import com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.entity.LikuDetail;
import com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.entity.MaterialReportDetails;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 物资上报明细MAPPER接口
 * @author enford
 * @version 1.0
 */
@MyBatisMapper
public interface MaterialReportDetailsMapper extends BaseMapper<MaterialReportDetails> {
    void insertList(List<MaterialReportDetails> list);

    void delAll();

    List<LikuDetail>  getLikuDetails(MaterialReportDetails report);
}