/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.preferredMaterials.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.entity.LiKuResourcePool;
import com.jeeplus.modules.sg.balancedlibrary.preferredMaterials.entity.PreferredMaterials;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 优选物料MAPPER接口
 * @author enford
 * @version 1.0
 */
@MyBatisMapper
public interface PreferredMaterialsMapper extends BaseMapper<PreferredMaterials> {
    /**
     *
     * @param list 数据列表
     * */
    void insertList(@Param("list") List<PreferredMaterials> list);

    /**
     * 清空优选物料数据
     */
    void clearPreferredMaterials();

    /**
     * 根据id批量删除
     * @param list
     */
    void delList(@Param("list") List<String> list);

    List<String> findAllCodes();
}