package com.jeeplus.modules.sg.budgetSpectaculars.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * @author: 徐滕
 * @create: 2021-11-25 09:00
 **/
public class ProjectScheduleStatInfo extends DataEntity<ProjectScheduleStatInfo> {
    private String areaName;    //地区名称
    private String projectType; //项目类型
    private Integer totalCount; //总和
    private Integer notStartWorkCount; //项目未开工数量
    private Integer startWorkCount; //开工数量
    private Integer completionCount;    //竣工数量
    private Integer calculationForReviewCount;  //结算送审数量
    private Integer calculationExamineCount;    //结算审定数量
    private Integer whichMaterialStoresReturnedCount;   //发起甲供材领退料数量
    private Integer rejectedMaterialFinishCount;    //领退料完成数量
    private Integer completedActualBudgetCount; //提报竣工决算数量
    private Integer actualBudgetSubmittalsCount;    //决算送审数量
    private Integer actualBudgetauditReportCount;   //出具决算审计报告数量
    private Integer projectCloseCount;  //项目关闭数量


    private String projectName;    //项目名称
    private String projectNumber;    //国网项目编码
    private String firstLevelUnit;    //一级单位
    private String secondLevelUnit;    //二级单位
    private String relevantDepartment;    //归口部门
    private String projectProperty;    //项目性质
    private String projectStage;    //项目阶段
    private String dataQualityInspection;    //数据质量检查
    private String planStartUpDate;    //计划开工日期
    private String plancompletionDate; //计划竣工日期
    private String practicalStartUpDate;    //实际开工日期

    private String practicalcompletionDate; //实际竣工日期
    private String firstAcquisitionTime;    //首次领料日期
    private String firstConstructionFeeRecordedTime;    //首笔施工费入账日期
    private String calculationForReviewTime;    //结算送审日期
    private String calculationExamineTime;    //结算审定日期
    private String whichMaterialStoresReturnedTime;    //发起甲供材领退料日期
    private String ifGetRejectedMaterialFinish;    //领退料是否完成
    private String completedActualBudgetTime;    //提报竣工决算日期
    private String actualBudgetSubmittalsTime;    //决算送审日期
    private String actualBudgetauditReportTime;    //出具决算审计报告日期

    private String firstWorkingCapitalTime;    //首笔转资日期
    private String ifProjectClose;    //项目是否关闭
    private String year;    //年份

    public String getAreaName() {
        return areaName;
    }

    public String getProjectType() {
        return projectType;
    }

    public String getProjectProperty() {
        return projectProperty;
    }

    public String getProjectStage() {
        return projectStage;
    }

    public String getDataQualityInspection() {
        return dataQualityInspection;
    }

    public String getPlanStartUpDate() {
        return planStartUpDate;
    }

    public String getPlancompletionDate() {
        return plancompletionDate;
    }

    public String getPracticalStartUpDate() {
        return practicalStartUpDate;
    }

    public String getPracticalcompletionDate() {
        return practicalcompletionDate;
    }

    public String getFirstAcquisitionTime() {
        return firstAcquisitionTime;
    }

    public String getFirstConstructionFeeRecordedTime() {
        return firstConstructionFeeRecordedTime;
    }

    public String getCalculationForReviewTime() {
        return calculationForReviewTime;
    }

    public String getCalculationExamineTime() {
        return calculationExamineTime;
    }

    public String getWhichMaterialStoresReturnedTime() {
        return whichMaterialStoresReturnedTime;
    }

    public String getIfGetRejectedMaterialFinish() {
        return ifGetRejectedMaterialFinish;
    }

    public String getCompletedActualBudgetTime() {
        return completedActualBudgetTime;
    }

    public String getActualBudgetSubmittalsTime() {
        return actualBudgetSubmittalsTime;
    }

    public String getActualBudgetauditReportTime() {
        return actualBudgetauditReportTime;
    }

    public String getFirstWorkingCapitalTime() {
        return firstWorkingCapitalTime;
    }

    public String getIfProjectClose() {
        return ifProjectClose;
    }

    public String getYear() {
        return year;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public Integer getNotStartWorkCount() {
        return notStartWorkCount;
    }

    public Integer getStartWorkCount() {
        return startWorkCount;
    }

    public Integer getCompletionCount() {
        return completionCount;
    }

    public Integer getCalculationForReviewCount() {
        return calculationForReviewCount;
    }

    public Integer getCalculationExamineCount() {
        return calculationExamineCount;
    }

    public Integer getWhichMaterialStoresReturnedCount() {
        return whichMaterialStoresReturnedCount;
    }

    public Integer getRejectedMaterialFinishCount() {
        return rejectedMaterialFinishCount;
    }

    public Integer getCompletedActualBudgetCount() {
        return completedActualBudgetCount;
    }

    public Integer getActualBudgetSubmittalsCount() {
        return actualBudgetSubmittalsCount;
    }

    public Integer getActualBudgetauditReportCount() {
        return actualBudgetauditReportCount;
    }

    public Integer getProjectCloseCount() {
        return projectCloseCount;
    }

    public String getProjectName() {
        return projectName;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public String getFirstLevelUnit() {
        return firstLevelUnit;
    }

    public String getSecondLevelUnit() {
        return secondLevelUnit;
    }

    public String getRelevantDepartment() {
        return relevantDepartment;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public void setProjectProperty(String projectProperty) {
        this.projectProperty = projectProperty;
    }

    public void setProjectStage(String projectStage) {
        this.projectStage = projectStage;
    }

    public void setDataQualityInspection(String dataQualityInspection) {
        this.dataQualityInspection = dataQualityInspection;
    }

    public void setPlanStartUpDate(String planStartUpDate) {
        this.planStartUpDate = planStartUpDate;
    }

    public void setPlancompletionDate(String plancompletionDate) {
        this.plancompletionDate = plancompletionDate;
    }

    public void setPracticalStartUpDate(String practicalStartUpDate) {
        this.practicalStartUpDate = practicalStartUpDate;
    }

    public void setPracticalcompletionDate(String practicalcompletionDate) {
        this.practicalcompletionDate = practicalcompletionDate;
    }

    public void setFirstAcquisitionTime(String firstAcquisitionTime) {
        this.firstAcquisitionTime = firstAcquisitionTime;
    }

    public void setFirstConstructionFeeRecordedTime(String firstConstructionFeeRecordedTime) {
        this.firstConstructionFeeRecordedTime = firstConstructionFeeRecordedTime;
    }

    public void setCalculationForReviewTime(String calculationForReviewTime) {
        this.calculationForReviewTime = calculationForReviewTime;
    }

    public void setCalculationExamineTime(String calculationExamineTime) {
        this.calculationExamineTime = calculationExamineTime;
    }

    public void setWhichMaterialStoresReturnedTime(String whichMaterialStoresReturnedTime) {
        this.whichMaterialStoresReturnedTime = whichMaterialStoresReturnedTime;
    }

    public void setIfGetRejectedMaterialFinish(String ifGetRejectedMaterialFinish) {
        this.ifGetRejectedMaterialFinish = ifGetRejectedMaterialFinish;
    }

    public void setCompletedActualBudgetTime(String completedActualBudgetTime) {
        this.completedActualBudgetTime = completedActualBudgetTime;
    }

    public void setActualBudgetSubmittalsTime(String actualBudgetSubmittalsTime) {
        this.actualBudgetSubmittalsTime = actualBudgetSubmittalsTime;
    }

    public void setActualBudgetauditReportTime(String actualBudgetauditReportTime) {
        this.actualBudgetauditReportTime = actualBudgetauditReportTime;
    }

    public void setFirstWorkingCapitalTime(String firstWorkingCapitalTime) {
        this.firstWorkingCapitalTime = firstWorkingCapitalTime;
    }

    public void setIfProjectClose(String ifProjectClose) {
        this.ifProjectClose = ifProjectClose;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public void setNotStartWorkCount(Integer notStartWorkCount) {
        this.notStartWorkCount = notStartWorkCount;
    }

    public void setStartWorkCount(Integer startWorkCount) {
        this.startWorkCount = startWorkCount;
    }

    public void setCompletionCount(Integer completionCount) {
        this.completionCount = completionCount;
    }

    public void setCalculationForReviewCount(Integer calculationForReviewCount) {
        this.calculationForReviewCount = calculationForReviewCount;
    }

    public void setCalculationExamineCount(Integer calculationExamineCount) {
        this.calculationExamineCount = calculationExamineCount;
    }

    public void setWhichMaterialStoresReturnedCount(Integer whichMaterialStoresReturnedCount) {
        this.whichMaterialStoresReturnedCount = whichMaterialStoresReturnedCount;
    }

    public void setRejectedMaterialFinishCount(Integer rejectedMaterialFinishCount) {
        this.rejectedMaterialFinishCount = rejectedMaterialFinishCount;
    }

    public void setCompletedActualBudgetCount(Integer completedActualBudgetCount) {
        this.completedActualBudgetCount = completedActualBudgetCount;
    }

    public void setActualBudgetSubmittalsCount(Integer actualBudgetSubmittalsCount) {
        this.actualBudgetSubmittalsCount = actualBudgetSubmittalsCount;
    }

    public void setActualBudgetauditReportCount(Integer actualBudgetauditReportCount) {
        this.actualBudgetauditReportCount = actualBudgetauditReportCount;
    }

    public void setProjectCloseCount(Integer projectCloseCount) {
        this.projectCloseCount = projectCloseCount;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public void setFirstLevelUnit(String firstLevelUnit) {
        this.firstLevelUnit = firstLevelUnit;
    }

    public void setSecondLevelUnit(String secondLevelUnit) {
        this.secondLevelUnit = secondLevelUnit;
    }

    public void setRelevantDepartment(String relevantDepartment) {
        this.relevantDepartment = relevantDepartment;
    }
}
