/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialplan.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.materialplan.entity.InventoryTable;
import com.jeeplus.modules.sg.managementcenter.materialplan.entity.MaterialPlan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 请假表单MAPPER接口
 * @author lgf
 * @version 2018-06-12
 */
@MyBatisMapper
public interface MaterialPlanMapper extends BaseMapper<MaterialPlan> {
    public Integer insertList(@Param("list") List<MaterialPlan> list);
    void deleteData(String uniqueCode);
    void updateTime(MaterialPlan materialPlan);
    void updateInventory(InventoryTable inventoryTable);
}