/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.project.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.project.entity.PickingRequisition;
import com.jeeplus.modules.sg.managementcenter.project.entity.Project1;
import com.jeeplus.modules.sg.picking.activiti.entity.Acquisition;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface PickingRequisitionMapper extends BaseMapper<PickingRequisition> {
    int insertList(@Param("list") List<PickingRequisition> list);
    List<PickingRequisition> findListPicking(List<PickingRequisition> pickingReqisitions);

    //查找登录名id
    List<String> findUserId(@Param("list") List<String> list);

    List<Acquisition> findListAcquisition(@Param("list")List<Project1> list);
}