<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>核准阶段管理</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp" %>
	<style type="text/css">
		/* 下边两行是去掉input 输入框右边的上下箭头按钮*/
		.deal::-webkit-inner-spin-button {
			-webkit-appearance: none !important;
		}
		.deal::-webkit-outer-spin-button {
			-webkit-appearance: none !important;
		}
		input[type="number"]{
			-moz-appearance:textfield;
		}
	</style>
	<script type="text/javascript">

		$(document).ready(function() {
	        $('#initialDesignDate').datetimepicker({
				 format: "YYYY-MM-DD"
		    });
			$('#landDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#eiaDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#acceptanceDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#replyDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#soilDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#depositDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#recordDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#siteProposalDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#planningDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#usePlanDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#requisitonDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#conLandDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#transferDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#certificateDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#permitDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#fireProdate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#fireAccDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#estateDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
		});

		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/filing/earlyEngineering/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
		function noFue(val){
			document.getElementById('batchOverview').value = val >= 0 ? val : 0;
		}

		function noFue2(val){
			document.getElementById('batchStatistics').value = val >= 0 ? val : 0;
		}

		function noFue3(val){
			document.getElementById('estimateCode').value = val >= 0 ? val : 0;
		}

		function noFue4(val){
			document.getElementById('designCost').value = val >= 0 ? val : 0;
		}

		function noFue5(val){
			document.getElementById('supervisionFeeCode').value = val >= 0 ? val : 0;
		}

		function noFue6(val){
			document.getElementById('managementFeeCode').value = val >= 0 ? val : 0;
		}

		function noFue7(val){
			document.getElementById('dataCode').value = val >= 0 ? val : 0;
		}
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="earlyEngineering" action="${ctx}/filing/earlyEngineering/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编码：</label></td>
					<td class="width-35">
						<form:input path="projectCode" readonly="true" htmlEscape="false"  class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">单体编码：</label></td>
					<td class="width-35">
						<form:input path="monomerCode" readonly="true" htmlEscape="false"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-35">
						<form:input path="entryName" readonly="true" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">初设批复文号：</label></td>
					<td class="width-35">
						<form:input path="preDesignNo" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">初设批复日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='initialDesignDate'>
							<input type='text'  name="initialDesignDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.initialDesignDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">初设附件：</label></td>
					<td class="width-35">
						<sys:fileUpload path="preDesignAnnex"  value="${earlyEngineering.preDesignAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
		  		</tr>
				<tr>

					<td class="width-15 active"><label class="pull-right">批概动态：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue(this.value)" path="batchOverview" htmlEscape="false" rows="4" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">批概静态：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue2(this.value)" path="batchStatistics" htmlEscape="false" rows="4" class="form-control"/>
					</td>
				</tr>
				<tr>
					</td>
					<td class="width-15 active"><label class="pull-right">批概场地清理费/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue3(this.value)" path="estimateCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">设计费批概相应的/相应的WBS编码WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue4(this.value)" path="designCost" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">监理费批概/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue5(this.value)" path="supervisionFeeCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">批概法人管理费/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue6(this.value)" path="managementFeeCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">其他概算中需要的数据/相应的WBS编码：</label></td>
					<td class="width-35">
						<form:input type="number" onblur="noFue7(this.value)" path="dataCode" htmlEscape="false" rows="4" class="form-control"/>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">三个项目部关键人员信息</label></td>
					<td class="width-35">
						<form:input path="threeDepartment" htmlEscape="false" class="form-control"/>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">监理合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="inspectionControl"  value="${earlyEngineering.inspectionControl}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">施工中标通知书</label></td>
					<td class="width-35">
						<sys:fileUpload path="letterAcceptance"  value="${earlyEngineering.letterAcceptance}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="conContract"  value="${earlyEngineering.conContract}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
					<td class="width-15 active"><label class="pull-right">其他合同</label></td>
					<td class="width-35">
						<sys:fileUpload path="otherContracts"  value="${earlyEngineering.otherContracts}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">用地预审意见（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="landNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">用地预审意见（变电站） 日期：</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='landDate'>
							<input type='text'  name="landDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.landDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">用地预审意见（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="landAnnex"  value="${earlyEngineering.landAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">环评批复（变电站、线路） 文号</label></td>
					<td class="width-35">
						<form:input path="eiaNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">环评批复（变电站、线路） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='eiaDate'>
							<input type='text'  name="eiaDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.eiaDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">环评批复（变电站、线路） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="eiaAnnex"  value="${earlyEngineering.eiaAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">环评验收文号及日期 文号</label></td>
					<td class="width-35">
						<form:input path="acceptanceNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">环评验收文号及日期 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='acceptanceDate'>
							<input type='text'  name="acceptanceDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.acceptanceDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">环评验收文号及日期 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="acceptanceAnnex"  value="${earlyEngineering.acceptanceAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">水保批复（变电站、线路） 文号</label></td>
					<td class="width-35">
						<form:input path="replyNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">水保批复（变电站、线路） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='replyDate'>
							<input type='text'  name="replyDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.replyDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">水保批复（变电站、线路） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="replyAnnex"  value="${earlyEngineering.replyAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">水保验收文号及日期 文号</label></td>
					<td class="width-35">
						<form:input path="soilNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">水保验收文号及日期 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='soilDate'>
							<input type='text'  name="soilDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.soilDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">水保验收文号及日期 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="soilannex"  value="${earlyEngineering.soilannex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">压覆矿藏复函（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="depositNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">压覆矿藏复函（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='depositDate'>
							<input type='text'  name="depositDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.depositDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">压覆矿藏复函（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="depositAnnex"  value="${earlyEngineering.depositAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">地灾评估备案表（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="recordNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">地灾评估备案表（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='recordDate'>
							<input type='text'  name="recordDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.recordDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">地灾评估备案表（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="recordAnnex"  value="${earlyEngineering.recordAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">选址意见书（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="siteProposalNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">选址意见书（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='siteProposalDate'>
							<input type='text'  name="siteProposalDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.siteProposalDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">选址意见书（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="siteProposalAnnex"  value="${earlyEngineering.siteProposalAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">线路路径规划意见 文号</label></td>
					<td class="width-35">
						<form:input path="planningNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">线路路径规划意见 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='planningDate'>
							<input type='text'  name="planningDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.planningDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">线路路径规划意见 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="planningAnnex"  value="${earlyEngineering.planningAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">用地规划许可证 文号</label></td>
					<td class="width-35">
						<form:input path="usePlanNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">用地规划许可证 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='usePlanDate'>
							<input type='text'  name="usePlanDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.usePlanDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">用地规划许可证 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="usePlanAnnex"  value="${earlyEngineering.usePlanAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">征地补偿批复 文号</label></td>
					<td class="width-35">
						<form:input path="requisitonNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">征地补偿批复 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='requisitonDate'>
							<input type='text'  name="requisitonDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.requisitonDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">征地补偿批复 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="requisitonAnnex"  value="${earlyEngineering.requisitonAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">建设用地批准书 文号</label></td>
					<td class="width-35">
						<form:input path="conLandNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">建设用地批准书 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='conLandDate'>
							<input type='text'  name="conLandDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.conLandDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">建设用地批准书 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="conLandAnnex"  value="${earlyEngineering.conLandAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">划拨决定书 文号</label></td>
					<td class="width-35">
						<form:input path="transferNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">划拨决定书 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='transferDate'>
							<input type='text'  name="transferDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.transferDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">划拨决定书 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="transferAnnex"  value="${earlyEngineering.transferAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">土地证（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="certificateNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">土地证（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='certificateDate'>
							<input type='text'  name="certificateDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.certificateDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">土地证（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="certificateAnnex"  value="${earlyEngineering.certificateAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">建设工程规划许可证（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="permitNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">建设工程规划许可证（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='permitDate'>
							<input type='text'  name="permitDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.permitDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">建设工程规划许可证（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="permitAnnex"  value="${earlyEngineering.permitAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">消防设计审查/备案意见（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="fireProNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">消防设计审查/备案意见（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='fireProdate'>
							<input type='text'  name="fireProdate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.fireProdate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>

					<td class="width-15 active"><label class="pull-right">消防设计审查/备案意见（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="fireProAnnex"  value="${earlyEngineering.fireProAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">消防验收/备案意见（变电站） 文号</label></td>
					<td class="width-35">
						<form:input path="fireAccNo"   htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">消防验收/备案意见（变电站） 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='fireAccDate'>
							<input type='text'  name="fireAccDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.fireAccDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">消防验收/备案意见（变电站） 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="fireAccAnnex"  value="${earlyEngineering.fireAccAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>

					<td class="width-15 active"><label class="pull-right">不动产权证 文号</label></td>
					<td class="width-35">
						<form:input path="estateNo"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">不动产权证 日期</label></td>
					<td class="width-35">
						<div class='input-group form_datetime' id='estateDate'>
							<input type='text'  name="estateDate" class="form-control"  value="<fmt:formatDate value="${earlyEngineering.estateDate}" pattern="yyyy-MM-dd"/>"/>
							<span class="input-group-addon">
			                        <span class="glyphicon glyphicon-calendar"></span>
			                    </span>
						</div>
					</td>
					<td class="width-15 active"><label class="pull-right">不动产权证 附件</label></td>
					<td class="width-35">
						<sys:fileUpload path="estateAnnex"  value="${earlyEngineering.estateAnnex}" type="*" uploadPath="/photo"  readonly="false"/></td>
					</td>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">规划总平（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planningLevel" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">勘察定界报告（变电站）：</label></td>
					<td class="width-35">
						<form:input path="surveyReport" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">征地红线图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="redLineMap" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">用地红线图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="redLineLand" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">宗地图：</label></td>
					<td class="width-35">
						<form:input path="zongMap" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">勘察合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordSurvey" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">设计合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordDesign" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">施工合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordContract" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">监理合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="supervisionRecord" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">岩土勘察报告审查合格意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qulifiedOpinions" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工图审查合格意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="constructionComments" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">施工图审查合格证（变电站）：</label></td>
					<td class="width-35">
						<form:input path="constructionDrawing" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">抗震设防审查证书（变电站）：</label></td>
					<td class="width-35">
						<form:input path="seismicReview" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">规划放线报告（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planningSetting" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">安监申报书、备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="safetyRecord" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">质监申报书、备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qualityRecord" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工许可证：</label></td>
					<td class="width-35">
						<form:input path="constructionPermit" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">规划竣工测绘现状图及管线、绿化、比较图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planBuiltMapping" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">质监竣工验收意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qualityAcceptance" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">城建档案接收合格证明（变电站）：</label></td>
					<td class="width-35">
						<form:input path="urbanArchives" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">竣工备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="completionRecord" htmlEscape="false" class="form-control"/>
					</td>

					<td class="width-15 active"><label class="pull-right">房产测绘报告：</label></td>
					<td class="width-35">
						<form:input path="realEstate" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">宗地复测报告：</label></td>
					<td class="width-35">
						<form:input path="reportOnLang" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
		 	</tbody>
		</table>
		</div>
		</form:form>
</body>
</html>