<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>核准阶段管理</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp" %>
	<style type="text/css">
		/* 下边两行是去掉input 输入框右边的上下箭头按钮*/
		.deal::-webkit-inner-spin-button {
			-webkit-appearance: none !important;
		}
		.deal::-webkit-outer-spin-button {
			-webkit-appearance: none !important;
		}
		input[type="number"]{
			-moz-appearance:textfield;
		}
	</style>
	<script type="text/javascript">

		$(document).ready(function() {
	        $('#initialDesignDate').datetimepicker({
				 format: "YYYY-MM-DD"
		    });
		});

		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/filing/legalCompliance/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }

	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="legalCompliance" action="${ctx}/filing/legalCompliance/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编码：</label></td>
					<td class="width-35">
						<form:input path="projectCode" readonly="true" htmlEscape="false"  class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">单体编码：</label></td>
					<td class="width-35">
						<form:input path="monomerCode" readonly="true" htmlEscape="false"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-35">
						<form:input path="entryName" readonly="true" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">规划总平（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planningLevel" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">勘察定界报告（变电站）：</label></td>
					<td class="width-35">
						<form:input path="surveyReport" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">征地红线图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="redLineMap" htmlEscape="false" class="form-control"/>
					</td>
		  		</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">用地红线图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="redLineLand" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">宗地图：</label></td>
					<td class="width-35">
						<form:input path="zongMap" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">勘察合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordSurvey" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">设计合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordDesign" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="recordContract" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">监理合同备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="supervisionRecord" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">岩土勘察报告审查合格意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qulifiedOpinions" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">施工图审查合格意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="constructionComments" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">施工图审查合格证（变电站）：</label></td>
					<td class="width-35">
						<form:input path="constructionDrawing" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">抗震设防审查证书（变电站）：</label></td>
					<td class="width-35">
						<form:input path="seismicReview" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">规划放线报告（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planningSetting" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">安监申报书、备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="safetyRecord" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">质监申报书、备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qualityRecord" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">施工许可证：</label></td>
					<td class="width-35">
						<form:input path="constructionPermit" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">规划竣工测绘现状图及管线、绿化、比较图（变电站）：</label></td>
					<td class="width-35">
						<form:input path="planBuiltMapping" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">质监竣工验收意见（变电站）：</label></td>
					<td class="width-35">
						<form:input path="qualityAcceptance" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">城建档案接收合格证明（变电站）：</label></td>
					<td class="width-35">
						<form:input path="urbanArchives" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">竣工备案表（变电站）：</label></td>
					<td class="width-35">
						<form:input path="completionRecord" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">房产测绘报告：</label></td>
					<td class="width-35">
						<form:input path="realEstate" htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">宗地复测报告：</label></td>
					<td class="width-35">
						<form:input path="reportOnLang" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
		 	</tbody>
		</table>
		</div>
		</form:form>
</body>
</html>