<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>执行计划汇总</title>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <meta name="decorator" content="ani"/>
    <%@ include file="/webpage/include/bootstraptable.jsp" %>
    <script type="text/javascript">
        function AgriculturalDistributionNetworkFileChange(e) {
            var AgriculturalDistributionNetworkFile = $('#AgriculturalDistributionNetwork').get(0).files[0];
            $('#AgriculturalDistributionNetworkFileName').text(AgriculturalDistributionNetworkFile.name);
        }

        function ProcessTrackingFileChange(e) {
            var ProcessTrackingFile = $('#ProcessTracking').get(0).files[0];
            $('#ProcessTrackingFileName').text(ProcessTrackingFile.name);
        }
        function fileUpload() {

            var AgriculturalDistributionNetworkFile = $('#AgriculturalDistributionNetwork').get(0).files[0];
            var ProcessTrackingFile = $('#ProcessTracking').get(0).files[0];

            var formData = new FormData();
            formData.append("file", AgriculturalDistributionNetworkFile);
            formData.append("file", ProcessTrackingFile);

            // 构造XMLHttpRequest对象
            var xmlRequest = new XMLHttpRequest();
            // 发送请求
            xmlRequest.open("POST", "${ctx}/plansummary/import", true);
            // 设置响应类型
            xmlRequest.responseType = "blob";
            // 发送请求
            xmlRequest.send(formData);

            // 请求获得响应之后,触发下面的回调函数
            xmlRequest.onload = function (oEvent) {
                // 当时满足下面的状态码的时候,视为下载成功
                if ((xmlRequest.status >= 200 && xmlRequest.status < 300) || xmlRequest.status === 304) {

                    // 从xmlRequest对象中获取响应的内容
                    var content = xmlRequest.response;


                    var dispositionStr = xmlRequest.getResponseHeader('Content-Disposition');
                    if (dispositionStr == null || dispositionStr === "") {
                        alert("下载失败!");
                        return;
                    }
                    // 获取文件名
                    var dispositionArr = dispositionStr.split(";");
                    var fileName = decodeURIComponent(dispositionArr[1]);
                    var name = fileName.split("=");
                    fileName = name[1];
                    console.log(fileName);
                    var blob = new Blob([content]);
                    var elink = document.createElement('a');
                    elink.download = fileName;
                    elink.style.display = 'none';
                    var src = URL.createObjectURL(blob);
                    elink.href = src;
                    document.body.appendChild(elink);
                    elink.click();
                    document.body.removeChild(elink);
                    URL.revokeObjectURL(src);

                }
            }


        }

    </script>
    <style>
        .div-btn {
            margin: 0 10px 20px 10px;
        }
        .file-upload{
            margin: 10px 0 0 0 ;
        }
    </style>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="panel panel-primary">
        <div class="panel-body">
            <h5>导入文件不能超过5M，仅允许导入“xls”或“xlsx”格式文件！</h5>
        </div>
        <input type="file" name="AgriculturalDistributionNetwork" id="AgriculturalDistributionNetwork" style="display: none;"
               onchange="AgriculturalDistributionNetworkFileChange(event)">
        <input type="file" name="ProcessTracking" id="ProcessTracking" style="display: none;"
               onchange="ProcessTrackingFileChange(event)">
        <div class="div-btn">
            <button class="btn btn-info" onclick="AgriculturalDistributionNetwork.click()">
                <i class="fa fa-folder-open-o"></i> 导入可视化全流程跟踪报表
            </button>

            <span id="AgriculturalDistributionNetworkFileName" class="file_name">
                未选择文件
            </span>

            <button class="btn btn-info" onclick="ProcessTracking.click()" style="margin-left: 16px">
                <i class="fa fa-folder-open-o"></i> 导入2021年第三批配农网、省招协议库存物资需求预测计划上报表
            </button>
            <span id="ProcessTrackingFileName" class="file_name">
                未选择文件
            </span>

            <div class="file-upload">
                <button class="btn btn-primary btn-block btn-lg btn-parsley" onclick="fileUpload()">提交</button>
            </div>
        </div>
    </div>
</div>
 </body>
</html>
