<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>修改数据</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {
			$('#startDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
			$('#endDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/sg/financial/expense/update",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
	</script>
</head>

<body class="bg-white">
		<form:form id="inputForm" modelAttribute="expense" class="form-horizontal">
		<form:hidden path="id"/>
		<table class="table table-bordered">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>项目定义号：</label></td>
					<td class="width-35">
						<form:input readonly="true" path="projectId" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目批次：</label></td>
					<td class="width-35">
						<form:input path="projectBatch" htmlEscape="false"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="pull-right">施工费合同折扣：</label></td>
					<td class="width-35">
						<form:input path="constructionCost" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">设计费合同折扣：</label></td>
					<td class="width-35">
						<form:input path="designCost" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">设计费典型设计折扣：</label></td>
					<td class="width-35">
						<form:input path="designTypeicalCost" htmlEscape="false"    class="form-control number"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">监理费合同折扣：</label></td>
					<td class="width-35">
						<form:input path="supervisionCost" htmlEscape="false"    class="form-control number"/>
					</td>
					<td class="width-15 active"><label class="pull-right">监理费典型折扣：</label></td>
					<td class="width-35">
						<form:input path="supervisionTypeicalCost" htmlEscape="false"    class="form-control number"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">发文中设计费金额（不含税）：</label></td>
					<td class="width-35">
						<form:input path="documentDesignCost" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="pull-right">发文中监理费金额（不含税）：</label></td>
					<td class="width-35">
						<form:input path="documentSupervisionCost" htmlEscape="false"    class="form-control number"/>
					</td>
				</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>