<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>转资模块</title>
    <meta name="decorator" content="ani"/>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <%@include file="/webpage/include/summernote.jsp" %>
    <%@ include file="/webpage/include/bootstraptable.jsp" %>
    <%@include file="fundList.js" %>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="panel panel-primary">
        <div class="panel-heading">
                <h3 class="panel-title">项目转资信息管理</h3>
        </div>
        <div class="panel-body">
            <div id="search-collapse" class="collapse">
                <div class="accordion-inner">
                    <form:form id="searchForm" modelAttribute="fund" class="form form-horizontal well clearfix">
                        <div class="col-xs-12 col-sm-6 col-md-4">
                            <label class="label-item single-overflow pull-left" title="项目定义号：">项目定义号：</label>
                            <form:input path="projectId" htmlEscape="false" class=" form-control"/>
                        </div>
                        <div class="col-xs-12 col-sm-6 col-md-4">
                            <label class="label-item single-overflow pull-left" title="项目名称：">项目名称：</label>
                            <form:input path="projectName" htmlEscape="false" class=" form-control"/>
                        </div>
                        <div class="col-xs-12 col-sm-6 col-md-4">
                            <label class="label-item single-overflow pull-left" title="储备项目名称：">储备项目名称：</label>
                            <form:input path="reserveProjectName" htmlEscape="false" class=" form-control"/>
                        </div>
                        <div class="col-xs-12 col-sm-6 col-md-4">
                            <div style="margin-top:26px">
                                <a id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i
                                        class="fa fa-search"></i> 查询</a>
                                <a id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i
                                        class="fa fa-refresh"></i> 重置</a>
                            </div>
                        </div>
                    </form:form>
                </div>
            </div>
            <div id="toolbar">
                <shiro:hasPermission name="sg:managementcenter:fundList:edit">
                    <button id="edit" class="btn btn-primary" disabled onclick="edit()">
                        <i class="glyphicon glyphicon-plus"></i> 修改
                    </button>
                </shiro:hasPermission>
                    <shiro:hasPermission name="sg:managementcenter:fundList:del">
                    <button id="remove" class="btn btn-danger" disabled onclick="deleteAll()">
                        <i class="glyphicon glyphicon-remove"></i> 删除
                    </button>
                </shiro:hasPermission>
            </div>
            <table id="fundTable" data-toolbar="#toolbar" class="table" style="table-layout:fixed"></table>
        </div>
    </div>
</div>
</body>
</html>