<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	var procInsId = $("#procInsId").val();
	//定义方法---在bootstrap数据循环中使用，必须定义在bootstrapTable之前
	window.operateEvents = {
		'click #TableView': function (e, value, row, index) {
			jp.openSaveDialog('模块清单', "${ctx}/managementcenter/activiti/updateConUpload?id="+row.id, '800px', '500px');
			refresh();
		},
		'click #del': function (e, value, row, index) {
			jp.confirm('是否需要删除', function () {
				jp.post("${ctx}/managementcenter/activiti/delConUpload" , {"id": row.id},
					function (data) {
					if (data.success) {
						jp.success(data.msg);
						jp.close(index);
						refresh();
					} else {
						jp.error(data.msg);
					}
				})
			}, function () {
			});
		}
	};
	$('#testPicTable').bootstrapTable({
		//请求方法
		method: 'post',
		//类型json
		dataType: "json",
		contentType: "application/x-www-form-urlencoded",
		//显示检索按钮
		showSearch: false,
		//显示刷新按钮
		showRefresh: false,
		//显示切换手机试图按钮
		showToggle: false,
		//显示 内容列下拉框
		showColumns: false,
		//显示到处按钮
		showExport: false,
		//显示切换分页按钮
		showPaginationSwitch: false,
		//最低显示2行
		minimumCountColumns: 2,
		//是否显示行间隔色
		striped: true,
		//是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
		cache: false,
		//是否显示分页（*）
		pagination: false,
		//排序方式
		sortOrder: "asc",
		//初始化加载第一页，默认第一页
		pageNumber:1,
		//每页的记录行数（*）
		pageSize: 10,
		//可供选择的每页的行数（*）
		pageList: [10, 25, 50, 100],
		//这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
		url: "${ctx}/managementcenter/activiti/conData?reserveProjectName=${construction.reserveProjectName}",
		//默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
		//queryParamsType:'',
		////查询参数,每次调用是会带上这个参数，可自定义
		queryParams : function(params) {
			var searchParam = $("#searchForm").serializeJSON();
			searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
			searchParam.pageSize = params.limit === undefined? -1 : params.limit;
			searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
			return searchParam;
		},
		//分页方式：client客户端分页，server服务端分页（*）
		sidePagination: "server",
		contextMenuTrigger:"right",//pc端 按右键弹出菜单
		contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
		contextMenu: '#context-menu',
		onContextMenuItem: function(row, $el){
			if($el.data("item") == "edit"){
				edit(row.id);
			}else if($el.data("item") == "view"){
				view(row.id);
			} else if($el.data("item") == "delete"){
				jp.confirm('确认要删除该图片管理记录吗？', function(){
					jp.loading();
					jp.get("${ctx}/test/pic/testPic/delete?id="+row.id, function(data){
						if(data.success){
							$('#testPicTable').bootstrapTable('refresh');
							jp.success(data.msg);
						}else{
							jp.error(data.msg);
						}
					})

				});

			}
		},

		onClickRow: function(row, $el){
		},
		onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
		columns: [{
			field: 'reserveProjectName',
			title: '储备项目暂定名称',
		},{
			field: 'projectInfo',
			title: '对方信息',
		},{
			field: 'projectMoney',
			title: '对方金额',
		},{
			field: 'billList',
			title: '缴费单',
			formatter:function(value, row , index){
				var valueArray = value.split("|");
				var labelArray = [];
				for(var i =0 ; i<valueArray.length; i++){
					if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
					{
						labelArray[i] = "<a href=\""+valueArray[i]+"\" url=\""+valueArray[i]+"\" target=\"_blank\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>"
					}else{
						labelArray[i] = '<img   onclick="jp.showPic(\''+valueArray[i]+'\')"'+' height="50px" src="'+valueArray[i]+'">';
					}
				}
				return labelArray.join(" ");
			}

		},{
			field: 'processingList',
			title: '政策处理清单',
			formatter:function(value, row , index){
				var valueArray = value.split("|");
				var labelArray = [];
				for(var i =0 ; i<valueArray.length; i++){
					if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
					{
						labelArray[i] = "<a href=\""+valueArray[i]+"\" url=\""+valueArray[i]+"\" target=\"_blank\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>"
					}else{
						labelArray[i] = '<img   onclick="jp.showPic(\''+valueArray[i]+'\')"'+' height="50px" src="'+valueArray[i]+'">';
					}
				}
				return labelArray.join(" ");
			}

		},{
			field: 'operate',
			title: '操作',
			width: '80px',
			events: operateEvents,
			formatter: operateFormatter
		}]
	});

	function operateFormatter(value, row, index) {
		return [
			'<input id="TableView" type="button" value="修改" class="btn btn-default">',
			'<input id="del" type="button" value="删除" class="btn btn-default">',
		].join('');
	}


	if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端


		$('#testPicTable').bootstrapTable("toggleView");
	}

	$('#testPicTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
		'check-all.bs.table uncheck-all.bs.table', function () {
		$('#remove').prop('disabled', ! $('#testPicTable').bootstrapTable('getSelections').length);
		$('#view,#edit').prop('disabled', $('#testPicTable').bootstrapTable('getSelections').length!=1);
	});
	$("#export").click(function(){//导出Excel文件
		jp.downloadFile('${ctx}/test/pic/testPic/export');
	});
	$("#search").click("click", function() {// 绑定查询按扭
		$('#testPicTable').bootstrapTable('refresh');
	});
	$("#reset").click("click", function() {// 绑定查询按扭
		$("#searchForm  input").val("");
		$("#searchForm  select").val("");
		$("#searchForm  .select-item").html("");
		$('#testPicTable').bootstrapTable('refresh');
	});

	$("#btnImport").click(function () {
		jp.openSaveDialog('填写信息及上传文件', "${ctx}/managementcenter/activiti/conUpdate?reserveProjectName=${construction.reserveProjectName}", '1000px', '800px');
	})
});

function getIdSelections() {
	return $.map($("#testPicTable").bootstrapTable('getSelections'), function (row) {
		return row.id
	});
}

function deleteAll(){

	jp.confirm('确认要删除该图片管理记录吗？', function(){
		jp.loading();
		jp.get("${ctx}/test/pic/testPic/deleteAll?ids=" + getIdSelections(), function(data){
			if(data.success){
				$('#testPicTable').bootstrapTable('refresh');
				jp.success(data.msg);
			}else{
				jp.error(data.msg);
			}
		})

	})
}

//刷新列表
function refresh(){
	$('#testPicTable').bootstrapTable('refresh');
}

function refresh2() {
	$('#projectTable').bootstrapTable('refresh');
}

function add(){
	jp.openSaveDialog('新增图片管理', "${ctx}/test/pic/testPic/form",'800px', '500px');
}



function edit(id){//没有权限时，不显示确定按钮
	if(id == undefined){
		id = getIdSelections();
	}
	jp.openSaveDialog('编辑图片管理', "${ctx}/managementcenter/upload/imagesForm?id=" + id, '800px', '500px');
}

function view(id){//没有权限时，不显示确定按钮
	if(id == undefined){
		id = getIdSelections();
	}
	jp.openViewDialog('查看图片管理', "${ctx}/managementcenter/upload/imagesForm?id=" + id, '800px', '500px');
}




</script>