<%@ taglib prefix="for" uri="http://www.springframework.org/tags/form" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>文件管理列表</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="uploadList.js" %>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">文件管理列表</h3>
	</div>
	<div class="panel-body">
	
	<!-- 搜索 -->
	<div id="search-collapse" class="collapse">
		<div class="accordion-inner">
	<form:form id="searchForm" modelAttribute="uploadImages" class="form form-horizontal well clearfix">
<%--		<input type="hidden" id="procInsId" name="procInsId" value="${uploadImages.act.procInsId}"/>--%>
		<input type="hidden" id="path" name="path" value="${uploadImages.path}">
		<div class="col-sm-4">
			<label class="label-item single-overflow pull-left" title="文件用途：">文件用途：</label>
			<form:select path="imgName"  class="form-control m-b">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('uploadFileType')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
		</div>
		<div class="col-sm-4">
			<label class="label-item single-overflow pull-left" title="项目需求名称：">项目需求名称：</label>
			<form:input path="reserveProjectName" cssClass="form-control" htmlEscape="false"/>
		</div>
		 <div class="col-xs-12 col-sm-6 col-md-4">
			<div style="margin-top:26px">
			  <a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
			  <a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
			 </div>
	    </div>	
	</form:form>
	</div>
	</div>

		<!-- 工具栏 -->
		<div id="toolbar">
			<shiro:hasPermission name="managementcenter:activiti:uploadEdit">
				<button id="edit" class="btn btn-success" disabled onclick="edit()">
						<i class="glyphicon glyphicon-edit"></i> 修改
				</button>
			</shiro:hasPermission>
			<shiro:hasPermission name="managementcenter:activiti:uploadDel">
				<button id="remove" class="btn btn-danger" disabled onclick="deleteAll()">
					<i class="glyphicon glyphicon-remove"></i> 删除
				</button>
			</shiro:hasPermission>
		</div>
	<!-- 表格 -->
	<table id="testPicTable"   data-toolbar="#toolbar"></table>

    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    </ul>  
	</div>
	</div>
	</div>
</body>
</html>