<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>用户管理</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<link href="${ctxStatic}/plugin/bootstrapTree/bootstrap-treeview.css" rel="stylesheet" type="text/css"/>
	<script src="${ctxStatic}/plugin/bootstrapTree/bootstrap-treeview.js" type="text/javascript"></script>
	<%@ include file="privilege.js"%>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">用户列表</h3>
	</div>
	<div class="panel-body">
	<div class="row">
			<!-- 搜索框-->
			<div id="search-collapse" class="collapse">
				<div class="accordion-inner">
					<form id="searchForm" class="form form-horizontal well clearfix" >
						<div class="col-sm-4">
							<label class="label-item single-overflow pull-left" title="登录名：">登录名：</label>
							<input type="text" name="loginName" maxlength="100"  class=" form-control"/>
						</div>
						<div class="col-sm-4">
							<label class="label-item single-overflow pull-left" title="姓名：">姓名：</label>
							<input type="text" name="name" maxlength="100"  class=" form-control"/>
						</div>
						<div class="col-sm-4">
					    	<label class="label-item single-overflow pull-left" title="公司：">归属公司：</label>
					    	<sys:treeselect id="company" name="company.id"
										title="公司" url="/sys/office/treeData?type=1" cssClass=" form-control" allowClear="true"/>
					    </div>
					    <div class="col-sm-4">
					    	<label class="label-item single-overflow pull-left" title="员工：">归属部门：</label>
					   		<sys:treeselect id="office" name="office.id"
								title="部门" url="/sys/office/treeData?type=2" cssClass=" form-control" allowClear="true" notAllowSelectParent="true"/>
					    </div>
					    <div class="col-sm-4">
							 <div style="margin-top:26px">
							  <a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
							  <a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
							</div>
					    </div>
					</form>
				</div>
			</div><!-- 搜索框结束 -->
		
		<!-- 工具栏 -->
	    <div id="toolbar">
				<button id="edit" class="btn btn-success" disabled onclick="edit()">
		            <i class="glyphicon glyphicon-edit"></i> 修改权限
		        </button>
	    </div><!-- 工具栏结束 -->
	    
	    
	    <!-- 表格 -->
	    <table id="table" data-toolbar="#toolbar">
	    </table>
	
	    <!-- context menu -->
	    <ul id="context-menu" class="dropdown-menu">
	        <li data-item="edit"><a>编辑</a></li>
	        <li data-item="delete"><a>删除</a></li>
	        <li data-item="cancel"><a>取消</a></li>
	    </ul>
	</div>
	</div>
	</div>
	</div>
</body>
</html>