<%@ page contentType="text/html;charset=UTF-8"  %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目立项信息修改</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">
		$(document).ready(function() {
	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/sg/managementcenter/project/saveApproval",$('#inputForm').serialize(),function(data){
					function extracted() {
						jp.getParent().refresh();
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
					}
					if(data.success){
						extracted();
                        jp.success(data.msg)
                    }else{
						jp.error(data.msg);
                    }
                })
			}

        }

	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="project" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>储备项目暂定名称：</label></td>
					<td class="width-35">
						<form:input path="reserveProjectName"   htmlEscape="false"  readonly="true"   class="form-control"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目定义：</label></td>
					<td class="width-35">
						<form:input path="projectId"   htmlEscape="false"  readonly="true"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName"   htmlEscape="false"  readonly="true" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">对应项目包：</label></td>
					<td class="width-35">
							<form:input path="approval.projectPackage"   htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目发文预算：</label></td>
					<td class="width-35">
							<form:input path="approval.projectBudget"   htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">录入系统金额：</label></td>
					<td class="width-35">
						<form:input path="approval.enterSystemAmount"  htmlEscape="false" class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">调概后金额：</label></td>
					<td class="width-35">
						<form:input path="approval.afterAmount"   htmlEscape="false" class="form-control "/>
					</td>
					<td class="width-15 active"><label class="">调概原因：</label></td>
					<td class="width-35">
						<form:input path="approval.adjustmentReasons"   htmlEscape="false" class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">施工费：</label></td>
					<td class="width-35">
						<form:input path="approval.constructionCost"  htmlEscape="false" class="form-control  number"/>
					</td>
					<td class="width-15 active"><label class="">物资费：</label></td>
					<td class="width-35">
						<form:input path="approval.materialCost"   htmlEscape="false" class="form-control number"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">设计费：</label></td>
					<td class="width-35">
						<form:input path="approval.designFee"  htmlEscape="false"    class="form-control number"/>
					</td>
					<td class="width-15 active"><label class="">监理费：</label></td>
					<td class="width-35">
						<form:input path="approval.supervisionFee"  htmlEscape="false" class="form-control number"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">政策处理费：</label></td>
					<td class="width-35">
						<form:input path="approval.policyFee"  htmlEscape="false" class="form-control number"/>
					</td>
					<td class="width-15 active"><label class="">其他费用：</label></td>
					<td class="width-35">
						<form:input path="approval.otherExpenses"  htmlEscape="false" class="form-control number"/>
					</td>
				</tr>
			
			</tbody>
		</table>
	</form:form>
</body>
</html>