<%@ page contentType="text/html;charset=UTF-8"  %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目前期基本信息修改</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">
		$(document).ready(function() {
	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/sg/managementcenter/project/save",$('#inputForm').serialize(),function(data){
					function extracted() {
						jp.getParent().refresh();
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
					}
					if(data.success){
						extracted();
                        jp.success(data.msg)
                    }else{
						jp.error(data.msg);
                    }
                })
			}

        }
		function noFue(val){
			document.getElementById('constructionContractRate').value = val >= 0 ? val : 0;
		}
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="project" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>储备项目暂定名称：</label></td>
					<td class="width-35">
						<form:input path="reserveProjectName"   htmlEscape="false"  readonly="true"   class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目定义：</label></td>
					<td class="width-35">
						<form:input path="projectId"   htmlEscape="false"  readonly="true"  class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName"   htmlEscape="false"  readonly="true" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">市公司：</label></td>
					<td class="width-35">
						<c:if test="${not empty project.basicInformation.municipalCompany}">
							<form:input path="basicInformation.municipalCompany"  readonly="true"  htmlEscape="false" class="form-control required"/>
						</c:if>
						<c:if test="${empty project.basicInformation.municipalCompany}">
							<form:input path="basicInformation.municipalCompany"   htmlEscape="false" class="form-control required"/>
						</c:if>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">县公司：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.basicInformation.countyCompany}">
								<form:input path="basicInformation.countyCompany"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="basicInformation.countyCompany"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">项目性质：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.basicInformation.projectNature}">
								<form:input path="basicInformation.projectNature"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="basicInformation.projectNature"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">需求单位：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.basicInformation.demandUnit}">
								<form:input path="basicInformation.demandUnit"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="basicInformation.demandUnit"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="width-15 active"><label class="">运维单位：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.basicInformation.operationUnit}">
								<form:input path="basicInformation.operationUnit"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="basicInformation.operationUnit"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">供电区域：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.powerSupplyArea"  htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">网格编号：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.gridNumber"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">单元格编号：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.cellNumber"  htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">项目储备编号：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.projectReserveNo"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">电网项目编号：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.gridProjectNo"  htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">ERP编号：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.basicInformation.erpNo}">
								<form:input path="basicInformation.erpNo"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="basicInformation.erpNo"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">建设必要性及内容：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.necessityContent"  htmlEscape="false" class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">变电站名称：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.subStationName"  htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">线路名称：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.lineName"  htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">项目类型：</label></td>
					<td class="width-35">
						<c:choose>
							<c:when test="${not empty project.basicInformation.projectType}">
								<form:input path="basicInformation.projectType"  readonly="true" htmlEscape="false" class="form-control required"/>
							</c:when>
							<c:otherwise>
								<form:input path="basicInformation.projectType"  htmlEscape="false" class="form-control required"/>
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">是否迎峰度夏项目：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.whetherSummer"  htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">项目基本说明：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.basicDescription"  htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">工区备注：</label></td>
					<td class="width-35">
						<form:input path="basicInformation.workAreaRemarks"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
			</tbody>
		</table>
	</form:form>
</body>
</html>