<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>施工单位审核页面</title>
    <meta name="decorator" content="ani"/>
    <%@ include file="/webpage/include/bootstraptable.jsp"%>
    <link href="${ctxStatic}/plugin/bootstrapTree/bootstrap-treeview.css" rel="stylesheet" type="text/css"/>
    <script src="${ctxStatic}/plugin/bootstrapTree/bootstrap-treeview.js" type="text/javascript"></script>
    <%@include file="/webpage/include/treeview.jsp" %>
    <%@include file="constructionManageAct.js" %>
</head>
<body style="background-color:white">
<div class="wrapper wrapper-content">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">项目计划审核操作</h3>
        </div>
        <div class="panel-body">
            <div class="wrapper wrapper-content">
            <input type="text" value="${projectId}" id="projectId" hidden="hidden"/>
            <input type="text" value="" id="ids" hidden="hidden">
            <div class="row">
                <%--未安排计划的树形--%>
                <div class="col-sm-3 col-md-3">
                    <div style="margin-top: 11px">
                        <label>
                            <input type="input" class="form-control" placeholder="请输入项目名称" id="input-search" style="width: 200px;float: left">
                            <button type="button" class="btn btn-success select-node" id="btn-search" style="float: left" >搜索</button>
                        </label>
                    </div>
                    <div id="jstree" style="height:370px;overflow:auto;"></div>
                </div>
                <div  class="col-sm-9 col-md-9 animated fadeInRight">
                    <!-- 工具栏 -->
                    <div id="toolbar">
                        <button id="selectId" class="btn btn-primary">
                            <i class="glyphicon glyphicon-plus"></i>安排选择计划
                        </button>
                        <button id="remove" class="btn btn-danger"  onclick="deleteAll()">
                            <i class="glyphicon glyphicon-remove"></i> 删除
                        </button>
                        <button id="remove1" class="btn btn-default"  onclick="deleteAllExit()">
                            <i class="glyphicon glyphicon-edit"></i> 退回备注
                        </button>
                    </div><!-- 工具栏结束 -->
                    <div style="height:370px;overflow:auto">
                        <table id="table" data-toolbar="#toolbar">
                        </table>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3"></div>
                <div class="col-sm-6">
                    <div class="form-group text-center">
                        <input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="button" value="确认安排此计划" onclick="surePlan()" />&nbsp;
                    </div>
                </div>
            </div>
            <c:if test="${not empty act.id}">
                <act:flowChart procInsId="${act.procInsId}"/>
                <act:histoicFlow procInsId="${act.procInsId}" />
            </c:if>
        </div>
        </div>
    </div>
</div>
</body>
</html>
