<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目计划安排</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="disList2ManageAct.js" %>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">项目计划审核操作</h3>
	</div>
	<div class="panel-body">
		<!-- 搜索 -->
		<div id="search-collapse" class="collapse">
			<div class="accordion-inner">
				<form:form id="searchForm" modelAttribute="projectActProclnsAss" class="form form-horizontal well clearfix">
					<input type="hidden" id="procInsId" value="${projectActProclnsAss.act.procInsId}"/>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="项目定义号：">项目定义号：</label>
						<form:input path="projectNumber" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<label class="label-item single-overflow pull-left" title="项目名称：">项目名称：</label>
						<form:input path="projectName" htmlEscape="false" maxlength="100"  class=" form-control"/>
					</div>
					<div class="col-xs-12 col-sm-6 col-md-4">
						<div style="margin-top:26px">
							<a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
							<a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
						</div>
					</div>
				</form:form>
			</div>
		</div>

	<!-- 工具栏 -->
	<div id="toolbar">
		<button id="export" class="btn btn-warning">
			<i class="fa fa-file-excel-o"></i> 导出
		</button>
	 </div>

	<!-- 表格 -->
	<table id="projectTable"  style="table-layout:fixed"  data-toolbar="#toolbar"></table>
		<div class="row">
			<div class="col-sm-3"></div>
			<div class="col-sm-6">
				<div class="form-group text-center">
					<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="button" value="确认提交" onclick="runListSubmit()" />&nbsp;
				</div>
			</div>
		</div>
		<c:if test="${not empty act.id}">
			<act:flowChart procInsId="${act.procInsId}"/>
			<act:histoicFlow procInsId="${act.procInsId}" />
		</c:if>
	</div>
	</div>
	</div>
</body>
</html>