<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>用户管理</title>
    <meta name="decorator" content="ani"/>
    <%@ include file="/webpage/include/bootstraptable.jsp"%>
    <link href="${ctxStatic}/plugin/bootstrapTree/bootstrap-treeview.css" rel="stylesheet" type="text/css"/>
    <script src="${ctxStatic}/plugin/bootstrapTree/bootstrap-treeview.js" type="text/javascript"></script>
    <%@include file="/webpage/include/treeview.jsp" %>
    <%@ include file="projectPlanArrageForm.js"%>
    <script>
        function save() {
            var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
            parent.layer.close(dialogIndex);
            jp.getParent().addDate();
        }
    </script>
</head>
<style>
</style>
<body style="background: white">
<div class="wrapper wrapper-content">
    <div class="row">
        <%--未安排计划的树形--%>
        <div class="col-sm-3 col-md-2">
            <input type="text" hidden="hidden" value="" id="idsRemark">
            <%--<input type="text" id="input-search" class="">--%>
            <div style="margin-top: 11px">
                <label>
                <input type="input" class="form-control" placeholder="请输入项目名称" id="input-search" style="width: 70%;float: left">
                <button type="button" class="btn btn-success select-node" id="btn-search" style="float: left" >搜索</button>
                </label>
            </div>
            <div id="jstree" style="height:500px;overflow:auto;margin-top: 10px;margin-top: 1px"></div>
        </div>
        <div  class="col-sm-9 col-md-10 animated fadeInRight">
            <!-- 工具栏 -->
            <div id="toolbar">
                <button id="selectId" class="btn btn-primary">
                    <i class="glyphicon glyphicon-plus"></i>安排选择计划
                </button>
                <button id="remove" class="btn btn-danger"  onclick="deleteAll()">
                    <i class="glyphicon glyphicon-remove"></i> 退回
                </button>
                <button id="selectPowerPack" class="btn btn-success" onclick="planPowerPacker()">
                    <i class="glyphicon glyphicon-plus"></i>安排停电包
                </button>
                <button id="cancelPowerPack" class="btn btn-warning" onclick="cancelPowerPacker()">
                    <i class="glyphicon glyphicon-remove"></i>取消停电包
                </button>
                <button id="export" class="btn btn-default" onclick="getRemarksBack()">
                    <i class="glyphicon glyphicon-edit"></i> 备注
                </button>
            </div><!-- 工具栏结束 -->
            <div style="height:500px;overflow:auto">
                <table id="table" data-toolbar="#toolbar">
                </table>
            </div>
        </div>
    </div>
</div>
</body>
</html>