<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>

<html>
<head>
    <title>储备文件管理</title>
    <meta name="decorator" content="ani"/>
    <%@ include file="/webpage/include/bootstraptable.jsp" %>
    <%@ include file="/webpage/include/treeview.jsp" %>
    <%@ include file="allUploadList.js" %>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">储备文件管理</h3>
        </div>
        <div class="panel-body">

            <!-- 搜索 -->
            <div id="search-collapse" class="collapse">
                <div class="accordion-inner">
                    <form:form id="searchForm" modelAttribute="reserveProcess"
                               class="form form-horizontal well clearfix">
                        <div class="col-xs-12 col-sm-6 col-md-4">
                            <label class="label-item single-overflow pull-left" title="储备项目编号：">储备项目编号：</label>
                            <form:input path="projectReserveId" htmlEscape="false" maxlength="64"
                                        class=" form-control"/>
                        </div>
                        <div class="col-xs-12 col-sm-6 col-md-4">
                            <div style="margin-top:26px">
                                <a id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i
                                        class="fa fa-search"></i> 查询</a>
                                <a id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i
                                        class="fa fa-refresh"></i> 重置</a>
                            </div>
                        </div>
                    </form:form>
                </div>
            </div>

            <!-- 工具栏 -->
            <div id="toolbar">

                <shiro:hasPermission name="sg:reserve:reserveProcess:export">
                    <button id="export" class="btn btn-warning">
                        <i class="fa fa-file-excel-o"></i> 导出甲供材清册
                    </button>
                </shiro:hasPermission>


                <shiro:hasPermission name="sg:reserve:reserveProcess:export">
                    <button id="exportFiles" class="btn btn-warning">
                        <i class="fa fa-file-excel-o"></i> 项目导出打包文件
                    </button>
                </shiro:hasPermission>

            </div>

            <!-- 表格 -->
            <table id="testPicTable" style="table-layout:fixed" data-toolbar="#toolbar"></table>
        </div>
    </div>
</div>
</body>
</html>