<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目储备信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {
			$('#disclosureFinishDate').datetimepicker({
				format: "YYYY-MM-DD"
			});

			$("#agree").click(function () {
				jp.prompt("通过", function (message) {
					var budgetStatement = $("input[name='budgetStatement']").val();
					var projectProposal = $("input[name='projectProposal']").val();
					var drawings = $("input[name='drawings']").val();
					var drawingSpecification = $("input[name='drawingSpecification']").val();
					var projectReserveId = $("#projectReserveId").val();
					var projectName = $("#projectName").val();
					console.log(budgetStatement)
					console.log(projectProposal)
					console.log(drawings)
					console.log(drawingSpecification)

					if (budgetStatement == ""
							|| projectProposal == ""
							|| drawings == ""
							|| drawingSpecification == ""
							|| budgetStatement == undefined
							|| projectProposal == undefined
							|| drawings == undefined
							|| drawingSpecification == undefined
							|| budgetStatement == 'undefined'
							|| projectProposal == 'undefined'
							|| drawings == 'undefined'
							|| drawingSpecification == 'undefined') {
						jp.error("不能为空");
					} else {
						jp.post("${ctx}/sg/reserveProcess/actDesignUnit",
								{
									"taskId": "${reserveProcess.act.taskId}",
									"taskName": "${reserveProcess.act.taskName}",
									"taskDefKey": "${reserveProcess.act.taskDefKey}",
									"procInsId": "${reserveProcess.act.procInsId}",
									"procDefId": "${reserveProcess.act.procDefId}",
									"flag": "yes",
									"projectReserveId":projectReserveId,
									"projectName":projectName,
									"budgetStatement":budgetStatement,
									"projectProposal":projectProposal,
									"drawings":drawings,
									"drawingSpecification":drawingSpecification,
									"comment": window.encodeURI(message)
								},
								function (data) {
									if (data.success) {
										jp.success(data.msg);
										jp.go("${ctx}/act/task/todo");
									} else {
										jp.error(data.msg);
									}
								}
						);
					}


				})
			});
			$("#no").click(function () {
				jp.prompt("取消流程", function (message) {
					var projectReserveId = $("#projectReserveId").val();
					jp.post("${ctx}/sg/reserveProcess/actDesignUnit",{
								"taskId": "${reserveProcess.act.taskId}",
								"taskName": "${reserveProcess.act.taskName}",
								"taskDefKey": "${reserveProcess.act.taskDefKey}",
								"procInsId": "${reserveProcess.act.procInsId}",
								"procDefId": "${reserveProcess.act.procDefId}",
								"flag": "no",
								"projectReserveId":projectReserveId,
								"comment": window.encodeURI(message)
							},
							function (data) {
								if (data.success) {
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							}
					)
				})
			});

			$("#moreImport").click(function(){
				jp.open({
					type: 2,
					area: [800, 400],
					auto: true,
					title:"导入数据",
					content: "${ctx}/managementcenter/materialinfo/importMore/Process" ,
					btn: ['确定', '关闭'],
					btn1: function(index, layero){
						var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/sg/reserveProcess/importValidations', function (data) {
							if(data.success){
								jp.success(data.msg);
								jp.close(index);
							}else{
								jp.error(data.msg);
							}
						});//调用保存事件
						return false;
					},

					btn2: function(index){
						jp.close(index);
					}
				});
			})
		});
	</script>
</head>
<body class="bg-white">
	<div class="wrapper wrapper-content">
		<div class="row">
			<div class="col-md-12">
				<div class="panel panel-primary">
					<div class="panel-heading">
						<h3 class="panel-title">
							<h3 class="panel-title">运行人员审核</h3>
						</h3>
					</div>
					<div class="panel-body">
						<form:form id="inputForm" modelAttribute="reserveProcess" class="form-horizontal">
							<form:hidden path="id"/>
							<form:hidden path="act.taskId"/>
							<form:hidden path="act.taskName"/>
							<form:hidden path="act.taskDefKey"/>
							<form:hidden path="act.procInsId"/>
							<form:hidden path="act.procDefId"/>
							<form:hidden id="flag" path="act.flag"/>
							<table class="table table-bordered">
								<tbody>
								<tr>
									<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目储备编号：</label></td>
									<td class="width-35">
										<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目名称：</label></td>
									<td class="width-35">
										<form:input path="projectName" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目性质：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.projectNature" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">需求单位：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.demandUnit" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">区域：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.district" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目分组：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.projectGroup" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">储备批次：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.reserveBatches" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">供电区域：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.blockSupply" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">网格编号：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.gridNumber" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">单元格编号：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.cellNumber" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">电网项目编号：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.powerGridProjectId" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">建设必要性及内容：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.constructionNecessityAndContent" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">变电站名称：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.substationName" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">线路名称：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.circuitName" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">网架项目划分：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.netRackProjectDivide" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目类型：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.projectType" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">费用估算：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.costEstimate" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
									<td class="width-15 active"><label class="">是否迎峰度夏项目：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.whetherWindwardProject" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目紧急程度：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.projectUrgencyDegree" htmlEscape="false" readonly="true" class="form-control number"/>
									</td>
									<td class="width-15 active"><label class="">拟实施下达年份：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.implementIssuedYear" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">拟实施批次：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.implementBatch" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">备注：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.basicRemarks" htmlEscape="false" rows="3" maxlength="200" readonly="true"  class="form-control"/>
									</td>
								</tr>

								<tr>
									<td colspan="4" class="width-15 active"><label class="">设计及评审情况：</label></td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">设计状态：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.designCondition" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">是否通过省公司评审：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.whetherPassReview" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否需提交路径图（政处）：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.whetherNeedWiringDiagram" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">是否完成物资清册编制：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.whetherFinishMaterials" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否完成图纸移交：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.whetherFinishDrawing" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td colspan="4" class="width-15 active"><label class="">方案交底组织：</label></td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">交底牵头部门：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.disclosureToCoordinate" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">交底参与部门：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.disclosureParticipate" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否完成交底：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.whetherFinishDisclosure" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目管理中心人员：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.projectManagementPeople" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">设计院人员：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.designingInstitutePeople" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">经研所人员：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.ifoPeople" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">区域中心人员：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.regionalCenterPeople" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">不停电作业中心人员：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.uninterruptedOperationPeople" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">作业方式：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.workMode" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">交底完成日期：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.disclosureFinishDate" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">备注：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.disclosureRemarks" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td colspan="4" class="width-15 active"><label class="">方案交底结论：</label></td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">立项说明：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.projectDescription" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">不具备立项条件说明：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.doNotPossessProjectDescription" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">方案变更说明：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.changedProgramsExplain" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">政处难度初判：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.initialDifficulty" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否有资本设备：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.capitalEquipment" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">是否有变电站新出线：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.substationNewLine" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否已实施：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.whetherImplement" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">现场情况描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.fieldDescription" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否有实施必要性：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.necessaryOfImplementation" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">实施无必要描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.unnecessaryDescription" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否存在前置条件：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.precondition" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">前置条件描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.conditionsDescribed" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否存在施工方案问题：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.constructionSchemeProblem" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">施工方案问题描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.problemDescriptionOfConstructionScheme" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">现场是否存在安全隐患：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.existingSecurityThreat" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">安全隐患描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.safetyHazardDescription" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否需要定制物资：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.customizedMaterials" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">定制物资描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.materialDescription" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否有拆旧物资：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.dismantlingTheOldMaterial" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">作业方式：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.operatingType" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否有土建工作量：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.civilWork" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">停电问题描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.problemDescription" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否有立杆工作量：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.verticalRodWorkload" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">总工作量描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.totalWorkloadDescription" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">区域中心：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.regionalCenter" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">供电所辖区：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.powerSupplyArea" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">政处地点：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.zhengLocation" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">政处类型（可多类）：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.zhengType" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">政处对象（产权单位）：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.zhengObject" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">政处描述：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.zhengDescribe" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">是否需规划报批：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.projectApproval" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">是否需办理安评航评手续：</label></td>
									<td class="width-35">
										<form:input path="reserveManagement.courseEvaluationProcedures" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">政处难点提醒：</label></td>
									<td class="width-35">
										<form:textarea path="reserveManagement.zhengDifficultyWarn" htmlEscape="false" rows="3" maxlength="255" readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td colspan="4" class="width-15 active"><label class="">设计资料：</label></td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">预算书：</label></td>
									<td class="width-35">
										<sys:fileUpload path="budgetStatement"  value="${reserveProcess.budgetStatement}" type="*" uploadPath="/personnelTurnover"  readonly="false"/>
									</td>
									<td class="width-15 active"><label class="">项目建议书：</label></td>
									<td class="width-35">
										<sys:fileUpload path="projectProposal"  value="${reserveProcess.projectProposal}" type="*" uploadPath="/personnelTurnover"  readonly="false"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">图纸：</label></td>
									<td class="width-35">
										<sys:fileUpload path="drawings"  value="${reserveProcess.drawings}" type="*" uploadPath="/personnelTurnover"  readonly="false"/>
									</td>
									<td class="width-15 active"><label class="">施工图设计说明书：</label></td>
									<td class="width-35">
										<sys:fileUpload path="drawingSpecification"  value="${reserveProcess.drawingSpecification}" type="*" uploadPath="/personnelTurnover"  readonly="false"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">甲供材清册：</label></td>
									<td class="width-35">
										<a id="moreImport" class="btn btn-info">
											<i class="fa fa-file-excel-o"></i> 多文件导入
										</a>
									</td>
								</tr>
								</tbody>
							</table>
						</form:form>

						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="通过"/>&nbsp;
									<input id="no" class="btn  btn-danger btn-lg btn-parsley" type="submit" value="取消流程"/>
								</div>
							</div>
						</div>

						<c:if test="${not empty reserveProcess.id}">
							<act:flowChart procInsId="${reserveProcess.act.procInsId}"/>
							<act:histoicFlow procInsId="${reserveProcess.act.procInsId}" />
						</c:if>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>
</html>