<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目储备信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {
			$('#disclosureFinishDate').datetimepicker({
				format: "YYYY-MM-DD"
			});
		});
		function save() {
			var isValidate = jp.validateForm('#inputForm');//校验表单
			if(!isValidate){
				return false;
			}else{
				jp.loading();
				jp.post("${ctx}/sg/managementCenter/reserveManagement/jlUpdate",$('#inputForm').serialize(),function(data){
					if(data.success){
						jp.getParent().refresh();
						var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
						parent.layer.close(dialogIndex);
						jp.success(data.msg)

					}else{
						jp.error(data.msg);
					}
				})
			}
		}
	</script>
</head>
<body class="bg-white">
<form:form id="inputForm" modelAttribute="reserveManagement" class="form-horizontal">
	<form:hidden path="id"/>
	<table class="table table-bordered">
		<tbody>
		<tr>
			<td colspan="4" class="width-15 active"><label class="">方案交底组织：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">交底牵头部门：</label></td>
			<td class="width-35">
				<form:input path="disclosureToCoordinate" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">交底参与部门：</label></td>
			<td class="width-35">
				<form:input path="disclosureParticipate" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否完成交底：</label></td>
			<td class="width-35">
				<select id="whetherFinishDisclosure" name="whetherFinishDisclosure"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.whetherFinishDisclosure=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.whetherFinishDisclosure=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">项目管理中心人员：</label></td>
			<td class="width-35">
				<form:input path="projectManagementPeople" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">设计院人员：</label></td>
			<td class="width-35">
				<form:input path="designingInstitutePeople" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">经研所人员：</label></td>
			<td class="width-35">
				<form:input path="ifoPeople" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">区域中心人员：</label></td>
			<td class="width-35">
				<form:input path="regionalCenterPeople" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">不停电作业中心人员：</label></td>
			<td class="width-35">
				<form:input path="uninterruptedOperationPeople" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">作业方式：</label></td>
			<td class="width-35">
				<form:input path="workMode" htmlEscape="false"    class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">交底完成日期：</label></td>
			<td class="width-35">
				<div class='input-group form_datetime' id='disclosureFinishDate'>
					<input type='text'  name="disclosureFinishDate" class="form-control required"  value="<fmt:formatDate value="${reserveManagement.disclosureFinishDate}" pattern="yyyy-MM-dd"/>"/>
					<span class="input-group-addon">
						<span class="glyphicon glyphicon-calendar"></span>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">备注：</label></td>
			<td class="width-35">
				<form:textarea path="disclosureRemarks" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>




		<tr>
			<td colspan="4" class="width-15 active"><label class="">方案交底结论：</label></td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">立项说明：</label></td>
			<td class="width-35">
				<form:textarea path="projectDescription" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">不具备立项条件说明：</label></td>
			<td class="width-35">
				<form:textarea path="doNotPossessProjectDescription" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">方案变更说明：</label></td>
			<td class="width-35">
				<form:textarea path="changedProgramsExplain" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">政处难度初判：</label></td>
			<td class="width-35">
				<form:input path="initialDifficulty" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否有资本设备：</label></td>
			<td class="width-35">
				<select id="capitalEquipment" name="capitalEquipment"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.capitalEquipment=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.capitalEquipment=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否有变电站新出线：</label></td>
			<td class="width-35">
				<select id="substationNewLine" name="substationNewLine"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.substationNewLine=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.substationNewLine=='0'}">selected</c:if>>否</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否已实施：</label></td>
			<td class="width-35">
				<select id="whetherImplement" name="whetherImplement"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.whetherImplement=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.whetherImplement=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">现场情况描述：</label></td>
			<td class="width-35">
				<form:textarea path="fieldDescription" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否有实施必要性：</label></td>
			<td class="width-35">
				<select id="necessaryOfImplementation" name="necessaryOfImplementation"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.necessaryOfImplementation=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.necessaryOfImplementation=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">实施无必要描述：</label></td>
			<td class="width-35">
				<form:textarea path="unnecessaryDescription" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否存在前置条件：</label></td>
			<td class="width-35">
				<select id="precondition" name="precondition"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.precondition=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.precondition=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">前置条件描述：</label></td>
			<td class="width-35">
				<form:textarea path="conditionsDescribed" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否存在施工方案问题：</label></td>
			<td class="width-35">
				<select id="constructionSchemeProblem" name="constructionSchemeProblem"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.constructionSchemeProblem=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.constructionSchemeProblem=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">施工方案问题描述：</label></td>
			<td class="width-35">
				<form:textarea path="problemDescriptionOfConstructionScheme" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">现场是否存在安全隐患：</label></td>
			<td class="width-35">
				<select id="existingSecurityThreat" name="existingSecurityThreat"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.existingSecurityThreat=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.existingSecurityThreat=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">安全隐患描述：</label></td>
			<td class="width-35">
				<form:textarea path="safetyHazardDescription" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否需要定制物资：</label></td>
			<td class="width-35">
				<select id="customizedMaterials" name="customizedMaterials"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.customizedMaterials=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.customizedMaterials=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">定制物资描述：</label></td>
			<td class="width-35">
				<form:textarea path="materialDescription" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否有拆旧物资：</label></td>
			<td class="width-35">
				<select id="dismantlingTheOldMaterial" name="dismantlingTheOldMaterial"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.dismantlingTheOldMaterial=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.dismantlingTheOldMaterial=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">作业方式：</label></td>
			<td class="width-35">
				<form:input path="operatingType" htmlEscape="false"    class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否有土建工作量：</label></td>
			<td class="width-35">
				<select id="civilWork" name="civilWork"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.civilWork=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.civilWork=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">停电问题描述：</label></td>
			<td class="width-35">
				<form:textarea path="problemDescription" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否有立杆工作量：</label></td>
			<td class="width-35">
				<select id="verticalRodWorkload" name="verticalRodWorkload"  class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.verticalRodWorkload=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.verticalRodWorkload=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">总工作量描述：</label></td>
			<td class="width-35">
				<form:textarea path="totalWorkloadDescription" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">区域中心：</label></td>
			<td class="width-35">
				<form:input path="regionalCenter" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">供电所辖区：</label></td>
			<td class="width-35">
				<form:input path="powerSupplyArea" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处地点：</label></td>
			<td class="width-35">
				<form:input path="zhengLocation" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">政处类型（可多类）：</label></td>
			<td class="width-35">
				<form:input path="zhengType" htmlEscape="false" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处对象（产权单位）：</label></td>
			<td class="width-35">
				<form:input path="zhengObject" htmlEscape="false" class="form-control"/>
			</td>
			<td class="width-15 active"><label class="">政处描述：</label></td>
			<td class="width-35">
				<form:textarea path="zhengDescribe" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">是否需规划报批：</label></td>
			<td class="width-35">
				<select id="projectApproval" name="projectApproval" class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.projectApproval=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.projectApproval=='0'}">selected</c:if>>否</option>
				</select>
			</td>
			<td class="width-15 active"><label class="">是否需办理安评航评手续：</label></td>
			<td class="width-35">
				<select id="courseEvaluationProcedures" name="courseEvaluationProcedures" class="form-control">
					<option value="">请选择</option>
					<option value="1" <c:if test="${reserveManagement.courseEvaluationProcedures=='1'}">selected</c:if>>是</option>
					<option value="0" <c:if test="${reserveManagement.courseEvaluationProcedures=='0'}">selected</c:if>>否</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="width-15 active"><label class="">政处难点提醒：</label></td>
			<td class="width-35">
				<form:textarea path="zhengDifficultyWarn" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
			</td>
		</tr>
		</tbody>
	</table>
</form:form>
</body>
</html>