<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>涉电开工报告</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="PowerStart.js"%>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">涉电开工报告</h3>
	</div>
	<div class="panel-body">
	<!-- 表格 -->
	<table id="testPicTable"   data-toolbar="#toolbar"></table>
		<div class="panel-body">
			<form:form id="inputForm" modelAttribute="materialModule" class="form-horizontal">
				<form:hidden path="id"/>
				<form:hidden path="act.taskId"/>
				<form:hidden path="act.taskName"/>
				<form:hidden path="act.taskDefKey"/>
				<form:hidden path="act.procInsId"/>
				<form:hidden path="act.procDefId"/>
				<table class="table table-bordered">
					<tbody>
					<form:hidden path="reserveProjectName"/>
					<form:hidden path="projectId"/>
					<tr>
						<td class="width-15 active">项目名称 ：</td>
						<td class="width-35">
							<form:input id="projectName" path="projectName" readonly="true"
										cssClass="form-control"/>
						</td>
						<td class="width-15 active">工程编号：</td>
						<td class="width-35">
							<form:input id="projectNumber" path="projectNumber" readonly="true"
										cssClass="form-control"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active">建设单位：</td>
						<td class="width-35">
							<form:input id="buildingUnit" path="buildingUnit" readonly="true"
										cssClass="form-control"/>
						</td>
						<td class="width-15 active">施工单位：</td>
						<td class="width-35">
							<form:input id="constructionUnit" path="constructionUnit" readonly="true"
										cssClass="form-control"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active">计划开工时间：</td>
						<td class="width-35">
							<form:input id="plannedStart" path="plannedStart"
										cssClass="form-control required" placeholder="必填"/>
						</td>
						<td class="width-15 active">计划竣工时间：</td>
						<td class="width-35">
							<form:input id="plannedEnd" path="plannedEnd"
										cssClass="form-control required" placeholder="必填"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active">项目负责人：</td>
						<td class="width-35">
							<form:input id="projectManager" path="projectManager"
										cssClass="form-control required" placeholder="必填"/>
						</td>
						<td class="width-15 active">施工负责人：</td>
						<td class="width-35">
							<form:input id="personInCharge" path="personInCharge"
										cssClass="form-control required" placeholder="必填"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active">线路名称：</td>
						<td class="width-35">
							<form:input id="lineName" path="lineName" readonly="true"
										cssClass="form-control"/>
						</td>
						<td class="width-15 active">工作地点：</td>
						<td class="width-35">
							<form:input id="workPlace" path="workPlace"
										cssClass="form-control required" placeholder="必填"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active">参考作业方式：</td>
						<td class="width-35">
							<form:textarea id="operationMethod" path="operationMethod" readonly="true"
										   cssClass="form-control"/>
						</td>
						<td class="width-15 active">参考新建工作量：</td>
						<td class="width-35">
							<form:textarea id="newWorkload" path="newWorkload" readonly="true"
										   cssClass="form-control"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active">参考拆除工作量：</td>
						<td class="width-35">
							<form:textarea id="demolitionWorkload" path="demolitionWorkload" readonly="true"
										   cssClass="form-control"/>
						</td>
						<td class="width-15 active">作业方式：</td>
						<td class="width-35">
							<form:input id="wayOfWorking" path="wayOfWorking"
										cssClass="form-control required" placeholder="必填"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active">新建工作量：</td>
						<td class="width-35">
							<form:input id="startConstruction" path="startConstruction"
										cssClass="form-control required" placeholder="必填"/>
						</td>
						<td class="width-15 active">拆除工作量：</td>
						<td class="width-35">
							<form:input id="startLoad" path="startLoad"
										cssClass="form-control required" placeholder="必填"/>
						</td>
					</tr>
					<tr>
						<td class="width-15 active">交叉跨越：</td>
						<td class="width-35">
							<form:select path="startCrossover" cssClass="form-control">
								<form:option value="无"/>
								<form:option value="有"/>
							</form:select>
						</td>
						<td class="width-15 active"><label><font color="red">*</font>文件上传：</label></td>
						<td class="width-35">
							<sys:fileUpload  path="pic" fileNumLimit="50" fileSizeLimit="50" value="${testPic.pic}" type="file" uploadPath="/materialModule"></sys:fileUpload>
						</td>
					</tr>
					</tbody>
				</table>
			</form:form>
			<div class="row">
				<div class="col-sm-3"></div>
				<div class="col-sm-6">
					<div class="form-group text-center">
						<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="提交" />&nbsp;
					</div>
				</div>
			</div>
			<c:if test="${not empty materialModule.id}">
				<act:flowChart procInsId="${materialModule.act.procInsId}"/>
				<act:histoicFlow procInsId="${materialModule.act.procInsId}" />
			</c:if>
		</div>
    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    </ul>  
	</div>
	</div>
	</div>
</body>
</html>