<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>判断是否完成涉电工作</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="PowerWhether.js"%>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">判断是否完成涉电工作</h3>
	</div>
	<div class="panel-body">
	<!-- 表格 -->
	<table id="testPicTable"   data-toolbar="#toolbar"></table>
		<div class="panel-body">
			<form:form id="inputForm" modelAttribute="materialModule" class="form-horizontal">
				<form:hidden path="id"/>
				<form:hidden path="act.taskId"/>
				<form:hidden path="act.taskName"/>
				<form:hidden path="act.taskDefKey"/>
				<form:hidden path="act.procInsId"/>
				<form:hidden path="act.procDefId"/>
				<input type="hidden" id="procInsId" name="procInsId" value="${materialModule.act.procInsId}"/>
			</form:form>
			<div class="row">
				<div class="col-sm-3"></div>
				<div class="col-sm-6">
					<div class="form-group text-center">
						<input id="finish" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="审核通过" />&nbsp;
						<input id="second" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="二次涉电" />&nbsp;
						<input id="no" class="btn  btn-primary btn-lg btn-danger" type="submit" value="涉电竣工有误" />&nbsp;
					</div>
				</div>
			</div>
			<c:if test="${not empty materialModule.id}">
				<act:flowChart procInsId="${materialModule.act.procInsId}"/>
				<act:histoicFlow procInsId="${materialModule.act.procInsId}" />
			</c:if>
		</div>
    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    </ul>  
	</div>
	</div>
	</div>
</body>
</html>