<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>电气施工中流程</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="electricalMiddle.js"%>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">电气施工中流程</h3>
	</div>
	<div class="panel-body">
	<!-- 表格 -->
	<table id="testPicTable"   data-toolbar="#toolbar"></table>
		<div class="panel-body">
			<form:form id="inputForm" modelAttribute="materialModule" class="form-horizontal">
				<form:hidden path="id"/>
				<form:hidden path="act.taskId"/>
				<form:hidden path="act.taskName"/>
				<form:hidden path="act.taskDefKey"/>
				<form:hidden path="act.procInsId"/>
				<form:hidden path="act.procDefId"/>
				<input type="hidden" id="procInsId" name="procInsId" value="${materialModule.act.procInsId}"/>
				<table class="table table-bordered">
					<tbody>
					<tr>
						<td class="width-35 active" style="text-align: right">项目名称：</td>
						<td class="width-35">
								${materialShow.projectName}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>文件上传：</label></td>
						<td class="width-35">
							<sys:fileUpload  path="pic" fileNumLimit="50" fileSizeLimit="50" value="${testPic.pic}" type="file" uploadPath="/materialModule"></sys:fileUpload>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>填写信息：</label></td>
						<td class="width-35">
							<input id="imgName" type="text" class="form-control required">
						</td>
					</tr>
					</tbody>
				</table>
			</form:form>
			<div class="row">
				<div class="col-sm-3"></div>
				<div class="col-sm-6">
					<div class="form-group text-center">
						<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="提交" />&nbsp;
					</div>
				</div>
			</div>
			<c:if test="${not empty materialModule.id}">
				<act:flowChart procInsId="${materialModule.act.procInsId}"/>
				<act:histoicFlow procInsId="${materialModule.act.procInsId}" />
			</c:if>
		</div>
    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    </ul>  
	</div>
	</div>
	</div>
</body>
</html>