<%@ page pageEncoding="UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>施工模块项目发起流程</title>
    <meta name="decorator" content="ani"/>
    <!-- SUMMERNOTE -->
    <%@include file="/webpage/include/summernote.jsp" %>
    <%@include file="materialModuleForm.js" %>
</head>
<body>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        <a class="panelButton" href="#" onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
                    </h3>
                </div>
                <div class="panel-body">
                    <form:form id="inputForm" modelAttribute="materialModule" action="${ctx}/materialmodule/activiti/save"
                               method="post" class="form-horizontal">
                        <form:hidden path="id"/>
                        <form:hidden path="act.taskId"/>
                        <form:hidden path="act.taskName"/>
                        <form:hidden path="act.taskDefKey"/>
                        <form:hidden path="act.procInsId"/>
                        <form:hidden path="act.procDefId"/>
                        <form:hidden id="flag" path="act.flag"/>
                        <div class="form-group text-center">
                            <h3> 选择项目发起施工验收流程</h3>
                        </div>
                        <table class="table table-bordered">
                            <tbody>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"><font
                                        color="red">*</font>项目名称：</label></td>
                                <td class="width-35">
                                    <sys:itemselect url="${ctx}/sg/managementcenter/project/ysDataPicking"
                                                    id="projectId" name="projectId"
                                                    value="${project.projectId}"
                                                    labelName="project.projectId"
                                                    labelValue="${project.projectId}"
                                                    title="选择项目号" cssClass="form-control "
                                                    fieldLabels="${fns:urlEncode('项目需求名称|项目定义号|项目名称')}"
                                                    fieldKeys="reserveProjectName|projectId|projectName"
                                                    searchLabels="${fns:urlEncode('储备项目名称')}|${fns:urlEncode('项目定义号')}|${fns:urlEncode('项目名称')}"
                                                    searchKeys="reserveProjectName|projectId|projectName"
                                                    isMultiSelected="false"/>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="row">
                            <div class="col-sm-3"></div>
                            <div class="col-sm-6">
                                <div class="form-group text-center">
                                    <input id="contain" class="btn  btn-primary btn-lg btn-parsley" type="submit"
                                           value="提交"/>&nbsp;
                                </div>
                            </div>
                        </div>
                    </form:form>
                    <c:if test="${not empty materialModule.id}">
                        <act:flowChart procInsId="${materialModule.act.procInsId}"/>
                        <act:histoicFlow procInsId="${materialModule.act.procInsId}"/>
                    </c:if>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>