<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目管理列表页</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="materialReport.js" %>
	<style type="text/css">
		#div1{
			margin-top: 10px;
		}
		.well-class-body{
			width: 150px;
			word-wrap: break-word;
			word-break: break-all;
			/*text-align: right;*/
			margin: 2px;
		}
		.list-lig-one{
			color: #0C0C0C;
			/*text-align: center;*/
			font-size: 17px;
			background-color: whitesmoke;
		}
		.list-lig-two{
			/*background-color: #6495ED;*/
			color: #333333;
			font-size: 14px;
		}
	</style>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">在线开具设计材料清单</h3>
	</div>
		<div class="panel-body">
			<div  class="form form-horizontal well clearfix">
				<div class="col-xs-12 col-sm-6 col-md-4">
					<label class="label-item single-overflow pull-left" title="项目名称：">项目名称：</label>
					<input type="text" id="reserveName" name="reserveName" class="form-control required">
				</div>
			</div>
			<div>

			</div>
			<table class="table table-view">
				<tbody>
				<%--<h3>项目：${projectNumber.requireName}&nbsp;发起第${projectNumber.theNumber}次开具领料清单</h3>--%>
				<c:forEach items="${pickListList}" var="items" varStatus="status">
					<c:if test="${status.count eq 1 || (status.count-1) % 1 eq 0}">
						<tr>
					</c:if>
					<td colspan="4" class="list-lig-one">${items.name}</td>
					<c:if test="${status.count % 1 eq 0 || status.count eq 1}">
						</tr>
					</c:if>

					<c:forEach items="${items.mdTheClassList}" var="items" varStatus="status">
						<c:if test="${status.count eq 1 || (status.count-1) % 1 eq 0}">
							<tr>
						</c:if>
						<td colspan="4" class="list-lig-two">${items.name}</td>
						<c:if test="${status.count % 1 eq 0 || status.count eq 1}">
							</tr>
						</c:if>

						<c:forEach items="${items.mdSmallClassList}" var="itemss" varStatus="status">
							<c:if test="${status.count eq 1 || (status.count-1) % 4 eq 0}">
								<tr>
							</c:if>
							<td style="text-align: center;vertical-align: middle">
								<div class="well-class-body" style="float: left;">
									<a href="javascript:jp.openViewDialog('模块清单','${ctx}/managementcenter/moduleacquisition/moduleListing/list?blockId=${itemss.id}', '800px', '500px');">
											${itemss.name}
									</a>
								</div>
								<div style="float: left;margin-left: 5px;margin: auto">
									<input style="width:40px;" placeholder="0" type="number" min="0" name="need" id="${itemss.id}"/><span>&nbsp;${itemss.mdUnit}</span>
										<%--											<span><img onclick="jp.showPic('${itemss.mdImg}')" src="${itemss.mdImg}" height="50px"></span>--%>
									<c:if test="${not empty itemss.mdImg}">
										<a id="imgButton" class="btn btn-success btn-xs waves-effect m-r-5" href="javascript:jp.openViewDialog('查看附件','${ctx}/picking/activiti/pickPic?id=${itemss.id}', '800px', '500px')">显示附件</a>
									</c:if>
								</div>
							</td>
							<c:if test="${status.count % 4 eq 0 || status.count eq 4}">
								</tr>
							</c:if>
						</c:forEach>

					</c:forEach>
				</c:forEach>
				</tbody>
			</table>
			<div class="row">
				<div class="col-sm-3"></div>
				<div class="col-sm-6">
					<div class="form-group text-center">
						<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="确认提交" />&nbsp;
					</div>
				</div>
			</div>

			<c:if test="${not empty showList.id}">
				<act:flowChart procInsId="${showList.act.procInsId}"/>
				<act:histoicFlow procInsId="${showList.act.procInsId}" />
			</c:if>
		</div>

	</div>
	</div>
</body>
</html>

