<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>年度项目建设进度统计管理</title>
    <meta name="decorator" content="ani"/>
    <script type="text/javascript">
        $(document).ready(function () {

        });

        function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if (!isValidate) {
                return false;
            } else {
                jp.loading();
                jp.post("${ctx}/sg/progress/save", $('#inputForm').serialize(), function (data) {
                    if (data.success) {
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)
                    } else {
                        jp.error(data.msg);
                    }
                })
            }

        }
    </script>
</head>
<body class="bg-white">
<form:form id="inputForm" modelAttribute="yearProgress" class="form-horizontal">
    <form:hidden path="id"/>
    <table class="table table-bordered">
        <tbody>
        <tr>
            <td class="width-15 active"><label class="">年度：</label></td>
            <td class="width-35">
                <form:input path="projectYear" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">项目定义号：</label></td>
            <td class="width-35">
                <form:input path="projectId" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">项目编号：</label></td>
            <td class="width-35">
                <form:input path="projectNO" htmlEscape="false" class="form-control"/>
            </td>
            <td class="width-15 active"><label class=""><font color="red">*</font>项目名称：</label></td>
            <td class="width-35">
                <form:input path="projectName" htmlEscape="false" class="form-control required"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">合同单位：</label></td>
            <td class="width-35">
                <form:input path="assignedUnit" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">费率：</label></td>
            <td class="width-35">
                <form:input path="rate" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">施工单位：</label></td>
            <td class="width-35">
                <form:input path="constructionUnit" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">业主项目经理：</label></td>
            <td class="width-35">
                <form:input path="ownerProjectManager" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">施工项目经理：</label></td>
            <td class="width-35">
                <form:input path="constructionProjectManager" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">分包单位：</label></td>
            <td class="width-35">
                <form:input path="subcontractor" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">设计人员：</label></td>
            <td class="width-35">
                <form:input path="designer" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">建设中存在的问题：</label></td>
            <td class="width-35">
                <form:input path="problemsInConstruction" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">项目投运状态：</label></td>
            <td class="width-35">
                <form:input path="projectOperationStatus" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">项目投运时间：</label></td>
            <td class="width-35">
                <form:input path="projectOperationTime" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">设计费是否发生：</label></td>
            <td class="width-35">
                <form:input path="isTheDesign" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">监理费是否发生：</label></td>
            <td class="width-35">
                <form:input path="isTheSupervision" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">施工费是否发生：</label></td>
            <td class="width-35">
                <form:input path="whetherIsIncurred" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">施工单位是否送审：</label></td>
            <td class="width-35">
                <form:input path="whetherIsApproval" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">是否审定：</label></td>
            <td class="width-35">
                <form:input path="approvedNot" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">是否审定：</label></td>
            <td class="width-35">
                <form:input path="approvedNotNot" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">甲供材是否平：</label></td>
            <td class="width-35">
                <form:input path="whetherFlat" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">财务决算批次：</label></td>
            <td class="width-35">
                <form:input path="settlementBatch" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        <tr>
            <td class="width-15 active"><label class="">项目关闭日期：</label></td>
            <td class="width-35">
                <form:input path="projectCloseDate" htmlEscape="false" class="form-control "/>
            </td>
            <td class="width-15 active"><label class="">资产卡片号：</label></td>
            <td class="width-35">
                <form:input path="assetCardNo" htmlEscape="false" class="form-control"/>
            </td>
        </tr>
        </tbody>
    </table>
</form:form>
</body>
</html>