<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目底表</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="/webpage/include/treeview.jsp" %>
	<%@include file="projectScheduleStatList.js" %>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">项目底表列表信息</h3>
	</div>
	<div class="panel-body">

	<!-- 搜索 -->
	<div id="search-collapse" class="collapse">
		<div class="accordion-inner">
			<form:form id="searchForm" modelAttribute="projectScheduleStatInfo" class="form form-horizontal well clearfix">
				<div class="col-xs-12 col-sm-6 col-md-4">
					<label class="label-item single-overflow pull-left" title="项目名称：">地区：</label>
					<form:input path="secondLevelUnit" htmlEscape="false" maxlength="64"  class=" form-control"/>
				</div>
				<%--<div class="col-xs-12 col-sm-6 col-md-4">
					<label class="label-item single-overflow pull-left" title="国网项目编码：">国网项目编码：</label>
					<form:input path="projectNumber" htmlEscape="false" maxlength="64"  class=" form-control"/>
				</div>--%>
				 <div class="col-xs-12 col-sm-6 col-md-4">
					<div style="margin-top:26px">
					  <a  id="search" class="btn btn-primary btn-rounded  btn-bordered btn-sm"><i class="fa fa-search"></i> 查询</a>
					  <a  id="reset" class="btn btn-primary btn-rounded  btn-bordered btn-sm" ><i class="fa fa-refresh"></i> 重置</a>
					 </div>
				</div>
			</form:form>
		</div>
	</div>

		<!-- 工具栏 -->
			<div id="toolbar">
				<%--<shiro:hasPermission name="budgetSpectaculars:budgetSpectaculars:import">
					<button id="btnImport" class="btn btn-info">
						<i class="fa fa-folder-open-o"></i> 导入综合查询
					</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="budgetSpectaculars:budgetSpectaculars:importProjectDetail">
					<button id="importProjectDetail" class="btn btn-info">
						<i class="fa fa-folder-open-o"></i> 导入项目明细
					</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="budgetSpectaculars:budgetSpectaculars:importProjectSettlement">
					<button id="importProjectSettlement" class="btn btn-info">
						<i class="fa fa-folder-open-o"></i> 导入工程结算信息
					</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="budgetSpectaculars:budgetSpectaculars:importWhichMaterial">
					<button id="importWhichMaterial" class="btn btn-info">
						<i class="fa fa-folder-open-o"></i> 导入甲供材信息
					</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="budgetSpectaculars:budgetSpectaculars:importHandmadeVindicate">
					<button id="importHandmadeVindicate" class="btn btn-info">
						<i class="fa fa-folder-open-o"></i> 导入手工维护信息
					</button>
				</shiro:hasPermission>
				<shiro:hasPermission name="budgetSpectaculars:budgetSpectaculars:delete">
					<button id="remove" class="btn btn-danger" disabled onclick="deleteAll()">
						<i class="glyphicon glyphicon-remove"></i> 删除
					</button>
				</shiro:hasPermission>--%>
			</div>

	<!-- 表格 -->
	<table id="dataTable"   data-toolbar="#toolbar"></table>

    <!-- context menu -->
    <ul id="context-menu" class="dropdown-menu">
    	<shiro:hasPermission name="managementcenter:materialproject:add">
        <li data-item="view"><a>查看</a></li>
        </shiro:hasPermission>
    	<shiro:hasPermission name="managementcenter:materialproject:edit">
        <li data-item="edit"><a>编辑</a></li>
        </shiro:hasPermission>
        <shiro:hasPermission name="managementcenter:materialproject:del">
        <li data-item="delete"><a>删除</a></li>
        </shiro:hasPermission>
        <li data-item="action1"><a>取消</a></li>
    </ul>
	</div>
	</div>
	</div>
</body>
</html>
